commit 5e662c37d7cc472266989f259c4ae579d66a6617
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 27 13:38:31 2018 +0200

    configure.ac: release GIMP 2.10.0 \o/

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 36586f291a0358f6677e54db98ad3b5b54471989
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 27 13:20:59 2018 +0200

    docs, etc: system gimprc and its manpage regenerated

 docs/gimprc.5.in | 2 +-
 etc/gimprc.in    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 26c67cf7d2fce1f0ad0058e9b963463e82ede650
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 27 11:02:38 2018 +0200

    devel-docs: more s/2.9/2.10/

 devel-docs/debugging-tips.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9cb91971ea508d0b63f4b6c4a23adb69ef527e0e
Author: Jehan <jehan@girinstud.io>
Date:   Fri Apr 27 02:59:57 2018 +0200

    desktop: update release date… again…

    Let's hope it's the last time!

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6a56fac519b26a79c5c2169436c22def0d26887
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 16:06:08 2018 -0400

    app: move exclusion and linear-burn modes to a more logical position

    ... in the layer-mode menu (this only affects UI.)

 app/operations/layer-modes/gimp-layer-modes.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 12904cffc8389bc2afeb0df36589ff4d60b5a69d
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 20:46:32 2018 +0200

    pdb: fix typo s/chanel/channel/

 pdb/groups/plug_in_compat.pdb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9f86c7ec04e21830a6bf406bff783e32f0c0770a
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Apr 26 14:49:39 2018 +0000

    Update Swedish translation

 po-libgimp/sv.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6980904074db4bc037f07465436b17174ecc492b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Apr 26 16:29:57 2018 +0200

    Update Polish translation

 po-libgimp/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ae509749d478588d78381a6940f9e101afd39757
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 16:12:28 2018 +0200

    devel-docs: more s/2.9/2.10/

 devel-docs/icons.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c410273b0b65d4503e1f88e4e85ba34835d4b3a
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 16:07:00 2018 +0200

    README: s/2.9/2.10/ and make it say "stable"

 README | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

commit b0b381b6c839d85f665f01811e246f48cf46c503
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 16:06:32 2018 +0200

    libgimp*: don't say "2.9" in metadata

 libgimp/gimpimagemetadata.c | 2 +-
 libgimpbase/gimpmetadata.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7854fcdc800df942433517194acd9815e0c9dbaa
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 15:56:30 2018 +0200

    NEWS: make it say "2.10 Stable Branch"

 NEWS | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 4e832722e2447868e85382532d9ccb9868ea890c
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 15:45:44 2018 +0200

    NEWS: updates and fixes

 NEWS | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit f35c2cdcec4cf189adba92e832da451a2019bd1f
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 15:45:04 2018 +0200

    script-fu: port chrome-it.scm to non-deprecated color API

 plug-ins/script-fu/scripts/chrome-it.scm | 46
 +++++++++++++++++++++-----------
 1 file changed, 31 insertions(+), 15 deletions(-)

commit f1db670f1914f38a76d4714388760106f53fdbcb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Apr 26 14:59:12 2018 +0200

    configure,app: depend on GEGL-0.4.0

 app/sanity.c | 4 ++--
 configure.ac | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 6057828582b924640f5d9c14dcd410c85faf4d10
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 26 13:16:20 2018 +0200

    desktop: use tilde for 'rc' separation in version scheme.

    In other words, number the release candidates: 2.10.0~rc*.
    In any case, this makes `rpmdev-vercmp` to consider them before
    2.10.0,
    unlike using a hyphen separator.

    Though I still leave the <releases> trick from commit fb6328b9ad
    so that
    our unit test succeeds, since `appstream-util` still considers
    the other
    order.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7788becaa258a66de6dc770ff3b937332447a15
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 13:02:55 2018 +0200

    AUTHORS: regenerated

 AUTHORS | 1 +
 1 file changed, 1 insertion(+)

commit a44e1500fa77dd38ca85b774c6a4a0181654d4ba
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 26 13:00:18 2018 +0200

    app: fix rectangle select tool cursor after committing/halting

    gimp_rectangle_select_tool_cursor_update(): always set a cursor and
    cursor modifier even if no GimpToolRectangle widget exists, so we are
    not stuck with the last set cursor after committing or halting the
    tool.

 app/tools/gimprectangleselecttool.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2d19848277d64897af223300cd0617533480edb3
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:33:30 2018 -0400

    app: don't invalidate gradient cache upon gradient-type changes

    In GimpOperationGradient, since we no longer avoid using the
    gradient cache for conical gradients, the gradient type doesn't
    affect the cache.

 app/operations/gimpoperationgradient.c | 2 --
 1 file changed, 2 deletions(-)

commit 740bfa5c75aa5469d4fcad357f189cecf90fc748
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 26 03:03:37 2018 +0200

    NEWS: add Korean translation update.

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e46a8497aca1ce910536bf5f9f643691b74dc341
Author: Aryeom Han <aryeom@girinstud.io>
Date:   Thu Apr 26 02:09:51 2018 +0200

    po: update Korean translation.

 po/ko.po | 31509
 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 21276 insertions(+), 10233 deletions(-)

commit d4404aa4bc3b9611929432fa0fe4b2eee8369861
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 26 01:10:55 2018 +0200

    libgimpconfig: fix the fix of the fix!

    So apparently, it's "parenthesis" in singular.
    Cf. commit 1b44812ab1.

 libgimpconfig/gimpconfigwriter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04aff3d4ea0e02818a55e9c247c9cdb8d061f848
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 26 00:58:31 2018 +0200

    NEWS, authors.xml: add the 2.10 splash author.

    See commit ea3de6d524.
    Also update the translation list in NEWS.

 NEWS        | 3 ++-
 authors.xml | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

commit bd86c5f6035e1f5252a87e54fd00ab667c48b44c
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 26 00:50:44 2018 +0200

    desktop, NEWS: release date and NEWS updated.

 NEWS                                    | 16 ++++++++++++++--
 desktop/org.gimp.GIMP.appdata.xml.in.in |  2 +-
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 1b44812ab11b8c2768d222f4f26b884746adbb81
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 25 23:53:45 2018 +0200

    libgimpconfig: fix wrong typo fix.

    Actually after re-reviewing previous commit, I found at least
    one wrong
    fix in commit 4a77ff2d3d.
    s/the opening parentheses/the opening parenthese/

 libgimpconfig/gimpconfigwriter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a77ff2d3d518dab45da9852c9fb3822a5ed0b28
Author: luz.paz <luzpaz@users.noreply.github.com>
Date:   Wed Apr 25 14:31:11 2018 -0400

    Bug 795557 - Misc. typo fixes in source, comments and doxygen (pt3)

    Found via `codespell` and grep.

 app/actions/buffers-commands.c                       |  2 +-
 app/actions/dashboard-commands.c                     |  2 +-
 app/actions/data-editor-commands.c                   |  2 +-
 app/actions/debug-actions.c                          |  2 +-
 app/actions/fonts-commands.c                         |  2 +-
 app/actions/gradient-editor-commands.c               |  2 +-
 app/actions/images-commands.c                        |  2 +-
 app/actions/palettes-commands.c                      |  2 +-
 app/actions/quick-mask-commands.c                    |  2 +-
 app/core/gimpbrush-load.c                            |  2 +-
 app/core/gimpbrush-transform.cc                      |  4 ++--
 app/core/gimpcurve.c                                 |  6 +++---
 app/core/gimpcurve.h                                 |  2 +-
 app/core/gimpimage.c                                 |  2 +-
 app/core/gimpitem.c                                  |  2 +-
 app/core/gimppalette-import.h                        |  2 +-
 app/core/gimpscanconvert.c                           |  2 +-
 app/core/gimpstrokeoptions.c                         |  2 +-
 app/core/gimptag.c                                   |  2 +-
 app/core/gimpviewable.c                              |  2 +-
 app/display/gimpcanvas.c                             |  2 +-
 app/display/gimpdisplayshell-transform.c             |  2 +-
 app/display/gimptoolrectangle.c                      |  2 +-
 app/operations/gimpcurvesconfig.c                    |  2 +-
 app/operations/gimpoperationflood.c                  |  2 +-
 app/operations/gimpoperationgrow.c                   |  2 +-
 app/operations/gimpoperationshrink.c                 |  4 ++--
 app/paint/gimppaintcore-loops.cc                     |  6 +++---
 app/pdb/plug-in-compat-cmds.c                        |  4 ++--
 app/tests/test-ui.c                                  |  2 +-
 app/tests/test-xcf.c                                 |  2 +-
 app/text/gimptext-xlfd.c                             |  2 +-
 app/text/gimptextlayout.h                            |  2 +-
 app/tools/gimpcagetool.c                             |  2 +-
 app/tools/gimprectangleselecttool.c                  |  2 +-
 app/widgets/gimpdialogfactory.c                      |  2 +-
 app/widgets/gimpdockwindow.c                         |  2 +-
 app/widgets/gimplayertreeview.c                      |  2 +-
 app/xcf/xcf-load.c                                   |  2 +-
 devel-docs/commit-rules.txt                          |  2 +-
 devel-docs/includes.txt                              |  2 +-
 devel-docs/xcf.txt                                   |  2 +-
 libgimpconfig/gimpconfigwriter.c                     |  2 +-
 plug-ins/common/curve-bend.c                         |  2 +-
 plug-ins/common/decompose.c                          | 12 ++++++------
 plug-ins/common/file-ps.c                            |  2 +-
 plug-ins/common/mail.c                               |  2 +-
 plug-ins/common/newsprint.c                          |  2 +-
 plug-ins/common/van-gogh-lic.c                       |  2 +-
 plug-ins/file-jpeg/jpeg-save.c                       |  2 +-
 plug-ins/file-jpeg/jpeg.c                            |  2 +-
 plug-ins/file-psd/psd-save.c                         |  2 +-
 plug-ins/lighting/lighting-image.c                   |  2 +-
 plug-ins/lighting/lighting-main.c                    |  2 +-
 plug-ins/lighting/lighting-main.h                    |  2 +-
 plug-ins/map-object/map-object-apply.c               |  2 +-
 plug-ins/map-object/map-object-image.c               |  2 +-
 plug-ins/map-object/map-object-image.h               |  2 +-
 plug-ins/map-object/map-object-main.c                |  2 +-
 plug-ins/map-object/map-object-main.h                |  2 +-
 plug-ins/map-object/map-object-ui.c                  |  4 ++--
 plug-ins/metadata/metadata-tags.h                    |  6 +++---
 plug-ins/pygimp/doc/pygimp.html                      |  4 ++--
 plug-ins/pygimp/doc/pygimp.sgml                      |  4 ++--
 plug-ins/pygimp/doc/structure-of-plugin.html         |  2 +-
 plug-ins/pygimp/doc/support-modules.html             |  2 +-
 plug-ins/pygimp/gimpshelf.py                         |  2 +-
 plug-ins/script-fu/scripts/guides-from-selection.scm | 12 ++++++------
 plug-ins/script-fu/tinyscheme/CHANGES                |  2 +-
 69 files changed, 91 insertions(+), 91 deletions(-)

commit 6e87ceb89618d4645ff3158007215ad95f33dbac
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 17:39:10 2018 -0400

    app: use half the cache size for symmetric conical gradients

    Symmetric conical gradients only span half a revolution (unlike
    assymetric ones, which span an entire revolution), and therefore
    require only half the cache size.

 app/core/gimpdrawable-gradient.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit ea3de6d52491ef36f3d24d3f46f5728e906a06e2
Author: Pat David <patdavid@gmail.com>
Date:   Wed Apr 25 16:31:56 2018 -0500

    splash: Add 2.10 splash image + svg

    This image is CC-BY from Philipp Haegi.
    https://www.flickr.com/photos/philipphaegi/39057406754

    I added the graphics overlay for the splash.

 data/images/gimp-splash.png |    Bin 399811 -> 3354880 bytes
 data/images/gimp-splash.svg | 872001
 +++++++++++++++++++++++++++++++++++++++++
 data/images/gimp-splash.xcf |    Bin 707320 -> 0 bytes
 3 files changed, 872001 insertions(+)

commit c4674037bd412ac286d2274cfbee1ab54c15bfa6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 25 20:13:38 2018 +0000

    Update Swedish translation

 po/sv.po | 1422
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 723 insertions(+), 699 deletions(-)

commit 4cba52277437cb3c14cf093910b343b715a66dd2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 25 20:10:13 2018 +0000

    Update Swedish translation

 po-script-fu/sv.po | 22 +++++-----------------
 1 file changed, 5 insertions(+), 17 deletions(-)

commit d6a7302678787833d8ab2e78c546d7f12120c51a
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 15:41:00 2018 -0400

    app: crop GimpDrawableFilter output

    Add a crop node to the GimpDrawableFilter graph, applied after the
    filter's output, cropping the output to the filter area (the same
    area used for the input crop node).  If we fail to do this, filters
    whose op's bounding box is bigger than the input region can affect
    areas outside the drawable, when the filter is rendered as part of
    the image graph (in contrast to being comitted).  This is
    particularly relevant to source ops, that may have an infinite
    bounding box.

    We probably didn't notice this until now, since before the recent
    GimpProjection update-area changes, only the drawable's area would
    get invalidated in response to changes in the filter, so regions
    outside the drawable wouldn't normally get rendered.  However, this
    could still have been triggered by causing regions outside the
    drawable to be invalidated by other means.

 app/core/gimpdrawablefilter.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit 08f2b2d93bc0b882521e66aca92b6cf303571373
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Apr 25 20:31:40 2018 +0200

    Update Polish translation

 po-libgimp/pl.po |  15 +-
 po/pl.po         | 943
 +++++++++++++++++++++++++++----------------------------
 2 files changed, 479 insertions(+), 479 deletions(-)

commit fb6328b9ad1ad959b594dd3028e45e035bbf47d5
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 25 20:05:31 2018 +0200

    desktop: preparing appdata for 2.10.0 release.

    Adding today's (hopeful) date.

    Also removing the trick from commit 447d9bbc56 because the bug in
    appstream-util has been fixed, but adding the same trick elsewhere for
    another bug in this validation script:
    https://github.com/hughsie/appstream-glib/issues/234

 desktop/org.gimp.GIMP.appdata.xml.in.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5970046e25f5b718bd08b1acbba8fb981e79de48
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 13:58:09 2018 -0400

    app: use gradient cache for conical gradients

    Add gimp_drawable_gradient_adjust_coords(), which adjusts the
    gradient segment coords according to the gradient type, so that, in
    cases where the gradient span is unrelated to the segment length,
    the gradient cache (in GimpOperationGradient) is big enough not to
    produce banding.  Use the new function in gimp_drawable_gradient()
    and in the gradient tool, instead of duplicating the logic.

    Move the shapreburst coordinate-adjustment logic to the new
    function, and add appropriate logic for conical gradients.

    Remove the code that avoids using the gradient cache for conical
    gradients from GimpOperationGradient.

 app/core/gimpdrawable-gradient.c       | 86
 ++++++++++++++++++++++++++++++----
 app/core/gimpdrawable-gradient.h       | 57 ++++++++++++----------
 app/operations/gimpoperationgradient.c | 15 ------
 app/tools/gimpgradienttool.c           | 51 +++++++++-----------
 4 files changed, 132 insertions(+), 77 deletions(-)

commit 38ba45cf31dde26b31809084b15f2e975dc142f7
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 13:05:29 2018 -0400

    app: in GimpOperationGradient, move cache generation back to process()

    Undo the part of commit fa9a4108c3d4dc52ab73a2af49762832a4ccabc5
    that moved cache generation from process() to prepare().  prepare()
    is called after each property change, in order to calculate the
    op's bounding box for invalidation.  Since we only need the cache
    for actual processing, generating it in process() avoids that
    overhead.

 app/operations/gimpoperationgradient.c | 40
 +++++++++++++++++++++++++++++-----
 app/operations/gimpoperationgradient.h |  1 +
 2 files changed, 35 insertions(+), 6 deletions(-)

commit ef5bd98e999e567c5b536350650e20a538d13f65
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 25 19:20:12 2018 +0200

    app: protect GimpContext's "parent" pointer against dangling

    with a weak ref and call set_parent(NULL) in dispose().

 app/core/gimpcontext.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 45be8b259121adc43d1d0199fa545cc621f8b1f3
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 11:12:47 2018 -0400

    app: use paint composite-mode, instead of AUTO, in more places

    In the various types of fill operations, and in fade operations,
    use the paint composite-mode of the current paint mode, which is
    the composite mode we use during painting, instead of AUTO, which
    results in the default mode we use for layer compositing.  This
    effectively means that filling using any non-legacy, non-
    subtractive mode can paint over transparent areas, rather than
    being limited to nontransparent areas.

 app/core/gimpdrawable-bucket-fill.c | 5 ++++-
 app/core/gimpdrawable-edit.c        | 5 ++++-
 app/core/gimpdrawable-fill.c        | 5 ++++-
 app/core/gimpdrawable-gradient.c    | 4 +++-
 app/core/gimpimage-fade.c           | 5 ++++-
 app/tools/gimpgradienttool.c        | 8 ++++++--
 6 files changed, 25 insertions(+), 7 deletions(-)

commit 95921427d530f9a9fc088d7f313e19b3d2c49dd3
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 10:51:20 2018 -0400

    app: remove multithreading warning from the preferences dialog

    Since we're prepping for a release, it's a about time we've done
    that.  I hereby pronounce multithreading support fit for general
    use!

 app/dialogs/preferences-dialog.c | 10 ----------
 1 file changed, 10 deletions(-)

commit fa9a4108c3d4dc52ab73a2af49762832a4ccabc5
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 09:41:13 2018 -0400

    app: various improvements to GimpOperationGradient

    Invalidate the gradient cache while setting relevant properties,
    and validate it, reconstructing if necessary, during prepare(),
    rather than process(), to avoid the need to use a mutex.

    Make sure the cache has at least two elements, corresponding to
    the initial and final colors of the gradient, since both colors
    might be needed, and to avoid division by zero.

    Avoid using a cache if its necessary size is too big, or if the
    gradient type is conical, since the necessary cache size for
    conical gradients is unrelated to the gradient line length.

    Improve index rounding during cache lookup.

    Lots of indentation fixes.

 app/operations/gimpoperationgradient.c | 322
 +++++++++++++++++++--------------
 app/operations/gimpoperationgradient.h |  32 ++--
 2 files changed, 204 insertions(+), 150 deletions(-)

commit 4fce5d2518898b6c98e44238c5ac4891c37855a9
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 25 08:40:03 2018 -0400

    Bug 793714 - Error when merging layer group with Pass through mode

    When merging a pass-through group, change its mode to NORMAL first,
    to avoid a critical when duplicating the group as a regular layer.
    Preserve the group's blend/composite space/mode while changing its
    mode (note that only the composite space currently matters, since
    the other parmaeters are immutable for pass-through groups.)

 app/core/gimpimage-merge.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit bd03ea7617a83b71684b3131d945f6c73ccd16da
Author: Ville Pätsi <drc@gimp.org>
Date:   Wed Apr 25 13:43:25 2018 +0300

    Clear kde_hacks and change treeview selected color

 themes/Dark/gtkrc | 204
 ++----------------------------------------------------
 1 file changed, 4 insertions(+), 200 deletions(-)

commit 8696c0585552bcab6269c2648dfd9574c45dd8ac
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 25 00:55:41 2018 +0200

    app: disable the "Use Applicator" toggle in paint options

 app/tools/gimppaintoptions-gui.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 106fc9309f2884bb91f2c9c6a17a9aa3e67c359b
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 25 00:19:37 2018 +0200

    Bug 795510 - SYS_gettid is not available on non-Linux system.

    I could not find for sure what to use on FreeBSD instead, so
    let's just
    not get this information there. It is quite useful information to know
    where thread traces were asked from, but it is more important to make
    sure the program can be compiled everywhere. Also we can just check
    which thread has gimp_stack_trace*() calls. Thus it can be seen as
    redundant information in any case.

    SYS_gettid is apparently defined as a macro, so let's simply check for
    it being defined.

 libgimpbase/gimputils.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 44a931e16c4dd50acc295e50c3d7f7a35c3c2e04
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 14:26:08 2018 +0200

    ripple: put the compat code in the proper place, fix up POTFILES.in

 app/pdb/internal-procs.c      |  2 +-
 app/pdb/plug-in-compat-cmds.c | 40 ++++++++++-----------
 pdb/groups/plug_in_compat.pdb | 81
 +++++++++++++++++++++++++++++++++++++++++++
 po-plug-ins/POTFILES.in       |  1 -
 4 files changed, 101 insertions(+), 23 deletions(-)

commit d18cc028ca0c9a7bc545727fc02bb64e275fcc72
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:   Tue Apr 24 12:11:28 2018 +0000

    Update Finnish translation

 po/fi.po | 33634
 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 21277 insertions(+), 12357 deletions(-)

commit dcefc10eca00ae8473d8f2e9be94e0a95371d47a
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 24 13:58:30 2018 +0200

    app: make setting of layer mode on new layers smarter in
    layers-commands.c

    If the mode remembered in GimpDialogConfig is NORMAL or NORMAL_LEGACY,
    use the image's default new layer mode instead.

 app/actions/layers-commands.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit 1c91cdabc8856a60eaed0fc207efb1b00592b9b2
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 24 13:57:24 2018 +0200

    app: change the default new layer mode in GimpDialogConfig

    to GIMP_LAYER_MODE_NORMAL.

 app/config/gimpdialogconfig.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ac34bda702bd9702951810e9ee121b1dd7629ff
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 24 13:56:51 2018 +0200

    app: change the default paint mode in GimpContext to
    GIMP_LAYER_MODE_NORMAL

 app/core/gimpcontext.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 00f3c4e47bc0a177b1ff80018cad9551197eae01
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 24 13:55:50 2018 +0200

    libgimp: use the right layer mode in gimp_layer_new_from_surface()

    gimp_image_get_default_new_layer_mode() instead of
    GIMP_LAYER_MODE_NORMAL_LEGACY.

 libgimp/gimplayer.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 709f2484383cfe4e41349b136bc3b9c9ff9fd66c
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 13:33:04 2018 +0200

    data: make the "Structure" brush obsolete.

    Start obsoleting the most terrible brushes of GIMP. This is definitely
    one of them.

 data/brushes/Texture/Makefile.am                            |   1 -
 data/brushes/gimp-obsolete-files/Makefile.am                |   1 +
 data/brushes/{Texture => gimp-obsolete-files}/Structure.gbr | Bin
 3 files changed, 1 insertion(+), 1 deletion(-)

commit e6de783b3c7153de5febb2042d5cbd27ab0edf2d
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 13:02:07 2018 +0200

    remove the ripple plugin, provide compat PDB-API

 app/pdb/plug-in-compat-cmds.c  | 152 +++++++++
 plug-ins/common/.gitignore     |   2 -
 plug-ins/common/Makefile.am    |  18 -
 plug-ins/common/gimprc.common  |   1 -
 plug-ins/common/plugin-defs.pl |   1 -
 plug-ins/common/ripple.c       | 736
 -----------------------------------------
 6 files changed, 152 insertions(+), 758 deletions(-)

commit 21f891955f59ca6a362b33476e69d25e97d9d992
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 04:46:37 2018 +0200

    desktop: fix a few links and a release date in appdata file.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8a899aa5478b2ea2ca5ca7dd60ea02c47d56d385
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 04:22:06 2018 +0200

    NEWS: kick up 2.10.0 RC3 news.

 NEWS | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 9325013fb05edf8574942bd80df8ff345c0552cd
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 03:55:04 2018 +0200

    data: add a gitignore in new "Fun" brush category.

 data/brushes/Fun/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 7c0d8a2d2a7173e92db6ff7725de7bad619d2270
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 03:16:02 2018 +0200

    Bug 589371 - some new brushes.

    Extract of a selection by Jose Americo Gobbo.
    Reviewed by Aryeom and myself for integration.

    From what I could gather, authors are:
    - Grunge 01 by Rene Jensen.
    - Stone Work 01 by Mathias Jonathan (Griffeur).
    - Pencil 03 and Charcoal 03 by Americo.

    According to information from Americo, all data is GPL v3.0.

 data/brushes/Sketch/Charcoal-03.gih    | Bin 0 -> 25004 bytes
 data/brushes/Sketch/Makefile.am        |   2 ++
 data/brushes/Sketch/Pencil-03.gih      | Bin 0 -> 6866 bytes
 data/brushes/Splatters/Grunge-01.gih   | Bin 0 -> 590401 bytes
 data/brushes/Splatters/Makefile.am     |   1 +
 data/brushes/Texture/Hatch-Pen-01.gbr  | Bin 0 -> 16425 bytes
 data/brushes/Texture/Makefile.am       |   2 ++
 data/brushes/Texture/Stone-Work-01.gih | Bin 0 -> 744644 bytes
 8 files changed, 5 insertions(+)

commit 8d5447645762880c80f223f6de99b27ab4c8e64f
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 24 02:49:03 2018 +0200

    Bug 795493 - Warning when removing a text layer

    In gimp_text_tool_connect(), when auto-removing empty text layers upon
    text layer or tool change, make sure we don't try to remove a layer
    that has already been removed, which can happen if this function is
    reached *because* somehow the layer was removed externally (e.g. by
    the user in the layers dialog).

 app/tools/gimptexttool.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 9bbd763d3c2434e993e71c5d7c497eb381dbb4ef
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 24 00:54:53 2018 +0200

    data: new splash screen.

    Things are getting serious now. We need a reasonnable splash, right?
    Just in case we have a RC3!
    It follows all rules: full HD and bottom fourth empty for loading
    text.

 data/images/gimp-splash.png | Bin 507529 -> 399811 bytes
 data/images/gimp-splash.xcf | Bin 13464022 -> 707320 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit f9cfb55d7e8fb0a9dc61b4b00486fe9d31f0e2c5
Author: Aryeom Han <aryeom@girinstud.io>
Date:   Mon Apr 23 23:48:49 2018 +0200

    data: meeeeeeeh!

 data/brushes/Fun/GEGL-goat.gih | Bin 0 -> 425791 bytes
 data/brushes/Fun/Makefile.am   |   1 +
 2 files changed, 1 insertion(+)

commit 57c849df03a71120d3612f91a7346def4741f14b
Author: Aryeom Han <aryeom@girinstud.io>
Date:   Mon Apr 23 23:40:54 2018 +0200

    data: Wilber is kitch and he knows it!

 data/brushes/Fun/Makefile.am |   3 ++-
 data/brushes/Fun/Wilber.gih  | Bin 0 -> 9165111 bytes
 2 files changed, 2 insertions(+), 1 deletion(-)

commit e87589f35a4e1a204dc281e3a93f1972dcebf9f9
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Apr 23 21:06:24 2018 +0200

    Update Catalan translation

 po/ca.po | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 8cd75a586039943e847b93a97482a59e7e8963b4
Author: Aryeom Han <aryeom@girinstud.io>
Date:   Mon Apr 23 20:31:31 2018 +0200

    data: update pepper brush.

    At least if the fun has to go on, let's have a good quality one!

 data/brushes/Fun/pepper.gbr | Bin 11993 -> 158437 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit db227148f01a772dd1e9dbd69703a229311003d0
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 18:18:51 2018 +0200

    pdb: finally deprecate gimp-color-balance

    Since nobody can tell me how the new gimp-drawable-color-balance can
    be improved, it's going to be identical, just with a namespace.

 app/pdb/color-cmds.c    | 6 ++++--
 libgimp/gimpcolor_pdb.c | 2 ++
 libgimp/gimpcolor_pdb.h | 1 +
 pdb/groups/color.pdb    | 1 +
 4 files changed, 8 insertions(+), 2 deletions(-)

commit f14a865ebf5431d1c1f56781810738e7ebca1bc4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Apr 23 16:15:10 2018 +0000

    Update Swedish translation

 po-libgimp/sv.po | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit a9fb4f9a3910f794587bb66d89fa4aac1fcdf075
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 17:10:46 2018 +0200

    pdb: make all item-transform procedures honor the "linked" flag

    and improve their documentation.

 app/pdb/item-transform-cmds.c   | 136 ++++++++++++++++++--
 libgimp/gimpitemtransform_pdb.c | 243 ++++++++++++++++++++++-------------
 pdb/groups/item_transform.pdb   | 277
 ++++++++++++++++++++++++++++------------
 3 files changed, 476 insertions(+), 180 deletions(-)

commit b80036e14f9591c68d23fe5f71572448d00a71e5
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 15:49:23 2018 +0200

    pdb: deprecated gimp-layer-translate

    and port all plug-ins/scripts to gimp-item-transform-translate.

 app/pdb/layer-cmds.c                             | 6 ++++--
 libgimp/gimplayer_pdb.c                          | 2 ++
 libgimp/gimplayer_pdb.h                          | 1 +
 pdb/groups/layer.pdb                             | 2 ++
 plug-ins/common/animation-optimize.c             | 2 +-
 plug-ins/common/file-gif-load.c                  | 2 +-
 plug-ins/common/file-xmc.c                       | 6 +++---
 plug-ins/pygimp/pygimp-drawable.c                | 2 +-
 plug-ins/script-fu/scripts/carve-it.scm          | 2 +-
 plug-ins/script-fu/scripts/difference-clouds.scm | 2 +-
 plug-ins/script-fu/scripts/drop-shadow.scm       | 2 +-
 11 files changed, 18 insertions(+), 11 deletions(-)

commit acbdc4d5b49ddd810c7fae8b911083fec9ba4eeb
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 03:06:23 2018 +0200

    pdb: add gimp-item-transform-translate procedure

    We were only able to translate selections and layers (bot not channels
    and paths) via the PDB, this new procedure fixes that. Deprecation of
    old API and some more transform consistency to follow...

 app/pdb/internal-procs.c        |  2 +-
 app/pdb/item-transform-cmds.c   | 98
 +++++++++++++++++++++++++++++++++++++++++
 libgimp/gimp.def                |  1 +
 libgimp/gimpitemtransform_pdb.c | 55 +++++++++++++++++++++++
 libgimp/gimpitemtransform_pdb.h |  3 ++
 pdb/groups/item_transform.pdb   | 67 +++++++++++++++++++++++++++-
 6 files changed, 224 insertions(+), 2 deletions(-)

commit 5b80d3d3be25ecbfdbef86d4e11df5abadb1d064
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 02:59:35 2018 +0200

    app: fix source operations on layers with alpha

    They are not supposed to completely overwrite the layer's alpha
    channel. Instead, composite them on top of the layer using gegl:over.

 app/core/gimpdrawablefilter.c | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 6ffa19d59567eb19be67362f6958f72b13576e09
Author: Simon Budig <simon@budig.de>
Date:   Mon Apr 23 01:53:12 2018 +0200

    fix internal name of the filter-grid help-id

 app/actions/filters-actions.c | 2 +-
 app/widgets/gimphelp-ids.h    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a31ee3ec22db2f1c02d02900c558dba87937839a
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 01:23:09 2018 +0200

    app: fix outer border color of GimpSpinScale to look OK on all themes

    it used to be "text" which is almost always too extreme; use "text_aa"
    instead which is half way between "text" and "base" and always gives a
    reasonable contrast.

 app/widgets/gimpspinscale.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7256f1844751fe242cd204111d22b8308c43d35f
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 01:08:54 2018 +0200

    app: change offsets parameters of GimpItem::translate() from int
    to double

    so we can use it to precisely position paths; use SIGNED_ROUND() in
    channel, layer etc. to snap to pixels.

 app/core/gimpchannel.c    | 76
 +++++++++++++++++++++--------------------------
 app/core/gimpitem.c       | 16 +++++-----
 app/core/gimpitem.h       |  8 ++---
 app/core/gimplayer.c      | 12 ++++----
 app/core/gimpselection.c  |  8 ++---
 app/vectors/gimpvectors.c |  8 ++---
 6 files changed, 61 insertions(+), 67 deletions(-)

commit b1a36b044ba07551ddc0ae37799ce63b47a6af9d
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 23 01:07:04 2018 +0200

    app: cast another argument to g_object_ref() in gimp_tool_info_new()

 app/core/gimptoolinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33d933608384a447171d3c85263bc0f09e7b9944
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 23 00:35:01 2018 +0200

    app: gimp_get_temp_file() / gimp_temp_name() should create tmp/ if...

    ... it doesn't exist.
    The tmp/ dir in the config folder should already be created by
    GIMP, but
    just in case it is not there, try and create it, since all code
    calling
    these assumes that it exists.

 app/core/gimp.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 08cc37271fc73c430fd382a4b593bc5e502a502b
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 22 22:11:13 2018 +0200

    libgimpconfig: create parent directories for config file if necessary.

    The directory should be already created by GIMP. But just in case
    it is
    not there, for whatever reason, don't just fail. Try and create all
    parents.

 libgimpconfig/gimpconfigwriter.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit ada987828d1be5d9e7a89f72986c7c5db34bf181
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Apr 22 20:35:16 2018 +0200

    Update Catalan translation

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c77c756f6aff1c0e2c6685fd046fa9993103ec55
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Apr 22 20:33:24 2018 +0200

    Update Catalan translation

 po/ca.po | 2954
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1613 insertions(+), 1341 deletions(-)

commit 87f9e65408ab61c1317113eab01603f654434084
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 22 19:51:44 2018 +0200

    data: move the Pepper brush to a "Fun" category.

    This brush is not to be considered seriously and is mostly a
    "troll". If
    we want to keep it, let's make a proper category.

 configure.ac                            |   1 +
 data/brushes/Fun/Makefile.am            |   8 ++++++++
 data/brushes/{Legacy => Fun}/pepper.gbr | Bin
 data/brushes/Legacy/Makefile.am         |   1 -
 data/brushes/Makefile.am                |   1 +
 5 files changed, 10 insertions(+), 1 deletion(-)

commit d7ced206eea2ef80aa806134027a5a5a9d1dae72
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 22 15:35:12 2018 +0200

    Update Polish translation

 po/pl.po | 1108
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 569 insertions(+), 539 deletions(-)

commit a6a8147b195ca2094a495b577c102a187a9ce316
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 22 03:59:02 2018 -0400

    app: fix indentation of GimpUndoType enum descriptions

 app/core/core-enums.h | 188
 +++++++++++++++++++++++++-------------------------
 1 file changed, 94 insertions(+), 94 deletions(-)

commit 37742a9fee417985ebf195beefc5a05fd8c435a9
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 22 03:39:40 2018 -0400

    Bug 795410 - Deleting a layer group and then undoing the deletion ...

    ... raises a CRITICAL

    gimp_item_{start,end}_move() currently serves two different
    purposes:  It is used by GimpLayer to suspend/resume mask resizing
    of the layer's ancestors; this is necessary whenever an operation
    on a layer might affect the size of its ancestors.  It is also used
    by GimpGroupLayer to suspend/resume its own mask resizing; this, on
    the other hand, is only necessary before applying one of the
    transformation functions to the group, so that mask modification is
    handled by GimpLayer.  In other words, the effects of
    gimp_item_{start,end}_move() on group layers are only necessary in
    a subset of the cases in which these functions are used.

    While in itself this isn't a problem, it does cause issues when
    removing a group layer:  gimp_image_remove_layer() calls
    gimp_item_start_move() before removing the layer, and
    gimp_item_end_move() afterwards.  While the former function is
    called while the layer is still attached to the image, the latter
    function is called after the layer is no longer attached.  Since
    GimpGroupLayer pushes an undo step in response to these calls, only
    the call to start_move() results in an undo step, while the call to
    end_move() doesn't, resulting in an unbalanced
    GIMP_UNDO_GROUP_LAYER_START_MOVE undo step on the stack.  This
    causes problems when undoing the operation.

    Add gimp_item_{start,end}_transform() functions, and corresponding
    GimpItem::{start,end}_transform() virtual functions, which are more
    specialized versions of gimp_item_{start,end}_move(), which should
    be used instead of the former before/after transforming an item; in
    other cases, such as when removing ot reordering an item,
    gimp_item_{start,end}_move() should still be used.  The default
    implementation of GimpItem::{start,end}_transform() calls
    gimp_item_{start,end}_move(), respectively, so subclasses that
    override these functions don't have to do that themselves.

    In GimpGroupLayer, override GimpItem::{start,end}_transform(),
    instead of GimpItem::{start,end}_move(), for the same purpose of
    suspending mask resize.  This avoids these functions from being
    called when removing a layer group, fixing the bug.

 app/core/core-enums.c          |  8 ++---
 app/core/core-enums.h          |  4 +--
 app/core/gimpgrouplayer.c      | 66
 +++++++++++++++++++--------------------
 app/core/gimpgrouplayer.h      |  4 +--
 app/core/gimpgrouplayerundo.c  | 20 ++++++------
 app/core/gimpimage-item-list.c | 16 +++++-----
 app/core/gimpimage-resize.c    |  4 +++
 app/core/gimpimage-undo-push.c | 16 +++++-----
 app/core/gimpimage-undo-push.h |  4 +--
 app/core/gimpitem.c            | 70
 ++++++++++++++++++++++++++++++++++++------
 app/core/gimpitem.h            |  9 ++++++
 11 files changed, 140 insertions(+), 81 deletions(-)

commit eeae5b48cab952a9492cb0bfefa82d35de722de4
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 22 03:36:27 2018 -0400

    app: avoid pushing undo for nested
    gimp_group_layer_{suspend,resume}_mask()

    ... in order not to overshoot the undo-stack estimated memory-
    usage.  See comment in the code.

 app/core/gimpgrouplayer.c | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 577e17032abd3201b7eef6edac1a4f88c99f8728
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 22 03:18:37 2018 -0400

    app: fix undo when moving a group-layer child outside the group

    In gimp_image_reorder_item(), call gimp_item_start/end_move()
    before/after reordering the item (and use an undo group, so that
    the resulting undo actions are grouped together with the reordering
    undo action,) so that if the item is a child of a group layer, and
    reordering moves it out of the group in a way that causes the
    group's mask to be resized, the mask will be properly restored when
    undoing the operation.

 app/core/core-enums.c |  2 ++
 app/core/core-enums.h |  1 +
 app/core/gimpimage.c  | 26 +++++++++++++++++++++-----
 3 files changed, 24 insertions(+), 5 deletions(-)

commit da2430deaad4355cde580de16d27a149df8b9a9b
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 21 15:59:21 2018 +0200

    build: fix the forgotten splash screen for dev flatpak.

 ...-update-splash-screen-text-for-2.10.0-RC2.patch | 11722
 +++++++++++++++++++
 build/flatpak/org.gimp.GIMP-dev.json               |     6 +
 2 files changed, 11728 insertions(+)

commit 4d6cba0cfb0e7408d441b8c2537ef6e43788d5a5
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 21 15:48:22 2018 +0200

    app: make --show-playground visible in --help.

    After Alexandre Prokoudine's insistent demand! :-)
    I am still not sure how wise this is, since this should be really
    considered a "developer-only" option. Basically these tools are really
    too buggy and unstable and we should not shine too much light
    on these.
    The counter-argument is that doing so will favor the bitrot.

    Well ok. At least let's add a big warning message at the top of the
    Playground page, to make it very clear (if that were not already the
    case) that basically this is not to be considered a secret feature,
    but
    really more a "we are looking for contributors" option.

 app/dialogs/preferences-dialog.c | 11 +++++++++++
 app/main.c                       |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit c0eb7858a56f11181b6534a5f9beee0666eaf4bc
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 21 12:08:46 2018 +0200

    Bug 795057 - Insensitive text in plug-ins is unreadable with dark
    themes

    Don't fix too early! In some cases, PixbufStyle class is not found and
    the fix failed.

 libgimp/gimpui.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8be37da0128ad319778737cafcb824d976cba66a
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 21 10:38:55 2018 +0200

    Bug 795418 - Gimp 'critical error' when running luminosity masks
    script

    In the gimp-channel-combine-masks PDB wrapper, only push an undo step
    if the modified channel is attached to an image. It's a completely
    reasonable use case to combine unattached channels.

 app/pdb/channel-cmds.c | 4 +++-
 pdb/groups/channel.pdb | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 38a288780299500e543e0d2123863b4647bb37b9
Author: Jehan <jehan@girinstud.io>
Date:   Fri Apr 20 23:32:07 2018 +0200

    app, pdb: s/gimp_pdb_item_is_modifyable/gimp_pdb_item_is_modifiable/

    Fix proper English.

 app/pdb/drawable-cmds.c | 4 ++--
 app/pdb/gimppdb-utils.c | 6 +++---
 app/pdb/gimppdb-utils.h | 2 +-
 app/pdb/layer-cmds.c    | 8 ++++----
 app/pdb/paths-cmds.c    | 2 +-
 app/pdb/vectors-cmds.c  | 4 ++--
 pdb/groups/drawable.pdb | 4 ++--
 pdb/groups/layer.pdb    | 8 ++++----
 pdb/groups/paths.pdb    | 2 +-
 pdb/groups/vectors.pdb  | 4 ++--
 10 files changed, 22 insertions(+), 22 deletions(-)

commit ee1d62bcb829f6140b750e0a1a5b0dc8f7fa6072
Author: Matt Kraai <kraai@ftbfs.org>
Date:   Thu May 11 06:10:43 2017 -0700

    Bug 795412 - Typo in man file

    Change "extension" to "extensions"

 docs/gimp.1.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1081bd5956399da6f39301d66df8ea4cafba3fe
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 20 19:13:47 2018 +0200

    app: fix gimp_pdb_item_is_modifyable() for channels

    When a channel is position-locked, it is also implicitly
    content-locked because we translate channels by modifying their
    pixels.

 app/pdb/gimppdb-utils.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit e4f327eca838380868adc11a93d97b8d5bdf5d38
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 20 12:31:04 2018 +0200

    Bug 795385 - Segmentation fault when using gradient tool

    We don't currently use GimpOperationGradient multi-threaded, but
    protect cache initialization in process() with a mutex anyway in cae
    we ever do.

 app/operations/gimpoperationgradient.c | 6 ++++++
 app/operations/gimpoperationgradient.h | 1 +
 2 files changed, 7 insertions(+)

commit c0bac871ca4b3ccd9e7229bc74f177484b1ac0b3
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 20 10:21:43 2018 +0200

    Bug 795385 - Segmentation fault when using gradient tool

    Make sure that the gradient cache in GimpOperationBlend contains
    at least one pixel (is never NULL).

 app/operations/gimpoperationgradient.c | 3 +++
 1 file changed, 3 insertions(+)

commit ee7554678e461b4bb20b0f7f64b85fcf99c29df1
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 19 15:46:58 2018 -0400

    Bug 795369 - crop tool not changing from landscape to portrait ...

    ... when using default aspect ratio

    The call to
    gimp_{crop,rectangle_select}_tool_update_option_defaults() when
    starting the crop/rectangle-select tools seems to no longer be
    necessary, while it overrides user modification to the default
    ratio's landscape/portrait orinetation (which only really matters
    for the crop tool, since the rectangle-select tools' default ratio
    is 1:1).  Fix this by simply removing the call.

 app/tools/gimpcroptool.c            | 2 --
 app/tools/gimprectangleselecttool.c | 2 --
 2 files changed, 4 deletions(-)

commit 187f2b4453751b33677e7be02eb3a5cd0b84cf60
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 19 14:52:02 2018 -0400

    app: #include <string.h> in tool_manager.c

    For strcmp() and strlen().

 app/tools/tool_manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit b1df7d5497f72fc04883b27eecc1b1b1a0025f38
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Apr 19 19:52:20 2018 +0200

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit cb5f5d05e3d6820dbe8e441b81dd13c84831e7f1
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 19 18:31:34 2018 +0200

    app: make the sample point dockable work with more than 4 sample
    points

    Keep the color frames in a scrolled list of two columns, show a label
    if the image has no sample points, show an icon if there is no image.

 app/widgets/gimpsamplepointeditor.c | 188
 ++++++++++++++++++++++--------------
 app/widgets/gimpsamplepointeditor.h |   7 +-
 2 files changed, 119 insertions(+), 76 deletions(-)

commit 01e5a6b1334f9ed22f52a738d027f2ef56c90a0c
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 19 16:20:41 2018 +0200

    app: improve drawing of sample points so they are always visible

    Draw them a bit brighter and larger, and with a dark shadow like tool
    lines so they are visible on all backgrounds.

 app/display/gimpcanvas-style.c      |  4 ++--
 app/display/gimpcanvassamplepoint.c | 13 ++++++++-----
 2 files changed, 10 insertions(+), 7 deletions(-)

commit f2a1fd5bf0e170e79bc3c2f1f162d2f73ecb9747
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 14 19:02:21 2018 -0400

    app: refactor gimppaintcore-loops to coalesce iteration

    The gimppaintcore-loops functions perform very little actual
    computational work (in case of do_layer_blend(), at least for
    simple blend modes), which makes the cost of buffer iteration, and
    memory bandwidth, nonnegligible factors.  Since these functions are
    usually called in succession, acessing the same region of the same
    buffers, using the same foramts, coalescing them into a single
    function, which performs all the necessary processing in a single
    step, can improve performance when these functions are the
    bottleneck.

    Add a gimp_paint_core_loops_process() function, which does just
    that: it takes a set of algorithms to run, and a set of parameters,
    and performs all of them in one go.  The individual functions are
    kept for convenience, but are merely wrappers around
    gimp_paint_core_loops_process().

    Be warned: the implementation uses unholy C++ from outer space, in
    order to make this (sort of) managable.  See the comments for more
    details.

 app/paint/gimppaintcore-loops.cc | 1494
 ++++++++++++++++++++++++++++++--------
 app/paint/gimppaintcore-loops.h  |  116 ++-
 app/paint/gimppaintcore.c        |   75 +-
 3 files changed, 1315 insertions(+), 370 deletions(-)

commit 76eedf21987c8bb5df1e9f6e1dff69a08b9b0505
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 19 04:11:07 2018 -0400

    configure.ac: require a C++14 compiler

    This didn't take long :)  Require a C++14 compiler, for polymorphic
    lambdas, which are used in the next commit.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66bc050df861d8708a2e31f9c780395ddeaaea55
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 19 05:17:30 2018 -0400

    app: indentation fix to last commit

 app/core/gimpdrawable-transform.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87e6653c9adc832a75027f5c8aee353d816366fb
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 19 04:48:11 2018 -0400

    app: improve drawable flipping speed

    In gimp_drawable_transform_buffer_flip(), perform flipping tile-by-
    tile, instead of row-by-row/column-by-column.

 app/core/gimpdrawable-transform.c | 118
 ++++++++++++++++++++++++++------------
 1 file changed, 81 insertions(+), 37 deletions(-)

commit 12d38816a5cf7e5d2796665a78b333dc0c9ad24f
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Apr 19 01:03:29 2018 +0200

    pdb: fix formatting of generated code in item_transform.pdb

 app/pdb/item-transform-cmds.c | 29 +++++++++++++++--------------
 pdb/groups/item_transform.pdb | 19 ++++++++++++-------
 2 files changed, 27 insertions(+), 21 deletions(-)

commit 428110f63f419ff4b88dfa26bd9707e7c51afe68
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 23:44:34 2018 +0200

    app: remove non-cut/copy/paste functions from gimp-edit.[ch]

    Move them to the new files gimpdrawable-edit.[ch] and
    gimpimage-fade.[ch].

 app/actions/edit-commands.c        |   5 +-
 app/core/Makefile.am               |   4 ++
 app/core/gimp-edit.c               | 119
 -------------------------------------
 app/core/gimp-edit.h               |  11 ----
 app/core/gimpdrawable-edit.c       |  94 +++++++++++++++++++++++++++++
 app/core/gimpdrawable-edit.h       |  29 +++++++++
 app/core/gimpimage-fade.c          |  78 ++++++++++++++++++++++++
 app/core/gimpimage-fade.h          |  26 ++++++++
 app/core/gimpselection.c           |   4 +-
 app/dialogs/fade-dialog.c          |   4 +-
 app/display/gimpdisplayshell-dnd.c |   3 +-
 app/pdb/drawable-edit-cmds.c       |   9 +--
 app/pdb/edit-cmds.c                |  12 ++--
 app/tools/gimpbucketfilltool.c     |   4 +-
 app/widgets/gimpdrawabletreeview.c |  16 ++---
 pdb/groups/drawable_edit.pdb       |   9 +--
 pdb/groups/edit.pdb                |  12 ++--
 po/POTFILES.in                     |   1 +
 18 files changed, 267 insertions(+), 173 deletions(-)

commit 7caa3398550d5d07d9d5a6cb9481be32289c7a27
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 22:50:23 2018 +0200

    devel-docs: some updates to GIMP3-API-Changes.txt

 devel-docs/GIMP3-API-Changes.txt | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit ab7fbeed08dc679870f8230edc46a8caac7cb3ee
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 18 20:31:56 2018 +0000

    Update Swedish translation

 po/sv.po | 89
 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 41 deletions(-)

commit 147c09f19e0da36241a41312b2aa64d8366c781a
Author: luz.paz <luzpaz@users.noreply.github.com>
Date:   Wed Apr 18 20:57:03 2018 +0200

    Bug 795161 - Misc. typo fixes in source comments and doxygen

    Found via `codespell`
    Follow-up to  commit 7fdb963e018c5413036bc1dd547c7a812e20302d

 build/flatpak/flatpak-howto.txt                    |  2 +-
 build/windows/installer/associations.isi           |  2 +-
 build/windows/installer/configoverride.isi         |  2 +-
 build/windows/installer/gimp3264.iss               |  4 ++--
 build/windows/jhbuild/build.jhbuildrc              |  4 ++--
 .../jhbuild/patches/ghostscript-8.71-windows.patch |  2 +-
 configure.ac                                       |  4 ++--
 devel-docs/GIMP3-API-Changes.txt                   |  4 ++--
 devel-docs/debugging-tips.txt                      |  2 +-
 devel-docs/gih.txt                                 |  2 +-
 devel-docs/parasites.txt                           |  2 +-
 devel-docs/structure.xml                           |  2 +-
 devel-docs/tools/shooter.c                         |  2 +-
 devel-docs/ui-framework.txt                        |  2 +-
 libgimpbase/gimpdatafiles.h                        |  2 +-
 libgimpbase/gimpsignal.c                           |  2 +-
 libgimpbase/gimpwin32-io.h                         |  2 +-
 libgimpcolor/gimpcolorprofile.c                    | 10 +++++-----
 libgimpthumb/gimpthumbnail.c                       |  2 +-
 libgimpwidgets/Makefile.am                         |  2 +-
 libgimpwidgets/gimpcolorselector.c                 |  2 +-
 libgimpwidgets/gimpeevl.c                          |  8 ++++----
 libgimpwidgets/gimpenumstore.c                     |  2 +-
 libgimpwidgets/gimppreview.c                       |  2 +-
 libgimpwidgets/gimppropwidgets.c                   |  2 +-
 pdb/lib.pl                                         |  2 +-
 pdb/pdbgen.pl                                      |  2 +-
 plug-ins/common/blinds.c                           |  4 ++--
 plug-ins/common/cartoon.c                          |  2 +-
 plug-ins/common/cml-explorer.c                     |  2 +-
 plug-ins/common/compose.c                          |  2 +-
 plug-ins/common/contrast-retinex.c                 |  2 +-
 plug-ins/common/curve-bend.c                       | 18
 +++++++++---------
 plug-ins/common/decompose.c                        |  6 +++---
 plug-ins/common/despeckle.c                        |  6 +++---
 plug-ins/common/file-cel.c                         |  2 +-
 plug-ins/common/file-dicom.c                       |  2 +-
 plug-ins/common/file-jp2-load.c                    |  2 +-
 plug-ins/common/file-pdf-save.c                    |  2 +-
 plug-ins/common/file-ps.c                          |  8 ++++----
 plug-ins/common/file-raw-data.c                    |  2 +-
 plug-ins/common/film.c                             |  6 +++---
 plug-ins/common/max-rgb.c                          |  2 +-
 plug-ins/common/photocopy.c                        |  2 +-
 plug-ins/common/sample-colorize.c                  | 10 +++++-----
 plug-ins/common/softglow.c                         |  2 +-
 plug-ins/common/sphere-designer.c                  |  2 +-
 plug-ins/common/tile-small.c                       |  2 +-
 plug-ins/common/unsharp-mask.c                     |  6 +++---
 plug-ins/file-fits/fits-io.c                       |  6 +++---
 plug-ins/file-fits/fits.c                          |  2 +-
 plug-ins/file-psd/psd-util.c                       |  2 +-
 plug-ins/file-tiff/file-tiff-load.c                |  2 +-
 plug-ins/file-tiff/file-tiff-save.c                |  2 +-
 plug-ins/file-webp/file-webp-save.c                |  2 +-
 plug-ins/flame/libifs.c                            |  2 +-
 plug-ins/gfig/gfig-style.c                         |  2 +-
 plug-ins/gradient-flare/gradient-flare.c           |  6 +++---
 plug-ins/ifs-compose/ifs-compose-utils.c           |  2 +-
 plug-ins/metadata/metadata-editor.c                | 22
 +++++++++++-----------
 plug-ins/metadata/metadata-viewer.c                |  2 +-
 plug-ins/print/print-settings.c                    |  2 +-
 plug-ins/pygimp/ChangeLog.old                      |  2 +-
 plug-ins/pygimp/doc/gimp-module-procedures.html    |  2 +-
 plug-ins/pygimp/doc/gimp-objects.html              |  2 +-
 plug-ins/pygimp/doc/procedural-database.html       |  2 +-
 plug-ins/pygimp/doc/pygimp.html                    |  6 +++---
 plug-ins/pygimp/doc/pygimp.sgml                    |  8 ++++----
 plug-ins/pygimp/plug-ins/palette-sort.py           |  2 +-
 plug-ins/script-fu/ftx/README                      |  2 +-
 plug-ins/script-fu/ftx/ftx-functions.txt           |  2 +-
 plug-ins/script-fu/scripts/add-bevel.scm           |  2 +-
 plug-ins/script-fu/scripts/palette-export.scm      |  2 +-
 plug-ins/script-fu/scripts/script-fu-compat.init   |  2 +-
 plug-ins/script-fu/tinyscheme/CHANGES              |  4 ++--
 plug-ins/script-fu/tinyscheme/Manual.txt           |  2 +-
 plug-ins/script-fu/tinyscheme/hack.txt             |  4 ++--
 plug-ins/script-fu/tinyscheme/scheme.c             |  2 +-
 plug-ins/selection-to-path/README                  |  4 ++--
 plug-ins/selection-to-path/bitmap.h                |  2 +-
 tools/gimp-mkenums                                 |  2 +-
 81 files changed, 138 insertions(+), 138 deletions(-)

commit 43974c3c6ace840fe675e413a9c03e538d8c259f
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 18 15:02:14 2018 -0400

    data: update splash-screen text for 2.10.0-RC2

 data/images/gimp-splash.png | Bin 129666 -> 507529 bytes
 data/images/gimp-splash.xcf | Bin 13439283 -> 13464022 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 542a04735be9df70377dd4d5020370d2e4437e59
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 18 13:35:28 2018 -0400

    app: fix airbrush periodic stamp behavior

    Commit ddfc7715cbcd8d165520902bc0abfff3c09b88f4 changed the
    airbrush periodic stamp behavior, so that instead of using the main
    brush, it issued a full MOTION event, potentially using a different
    brush when using a GIH brush.

    Fix this, by renaming the "timeout" signal of GimpAirbrush to
    "stamp", and by adding a new gimp_airbrush_stamp() function, which
    should be used for painting the periodic airbrush dab in response,
    instead of calling gimp_paint_core_paint() directly, and which
    calls gimp_airbrush_paint() instead, as the old code did.

    In order to call this function from the paint thread, we replace
    the various gimp_paint_tool_paint_core_foo() functions, introduced
    in the above commit, with a generic gimp_paint_tool_paint_push()
    function, which takes a callback (and a data pointer) to run on the
    paint thread, and queues it for execution (when not using the paint
    thread, the function is called directly from the calling thread.)

 app/paint/gimpairbrush.c        |  37 +++++-
 app/paint/gimpairbrush.h        |  12 +-
 app/tools/gimpairbrushtool.c    |  37 ++++--
 app/tools/gimppainttool-paint.c | 258
 +++++++++++++++-------------------------
 app/tools/gimppainttool-paint.h |  46 +++----
 5 files changed, 186 insertions(+), 204 deletions(-)

commit ce8c4cb2a0a9ed6ffbe640fdda421700d1383225
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 20:41:54 2018 +0200

    Bug 795288 - Layer is moved by arrow keys even after all locks...

    ...(Pixel, Position and Size, Alpha Channel) are enabled.

    gimp_edit_selection_tool_translate(): add checks for locks and bail
    out with a message if the item is NULL or locked.

    gimp_move_tool_button_press(): refactor NULL and lock checks to look
    more like the new code added above, and also check "lock-content" of
    channels and masks: moving them changes their pixels.

 app/tools/gimpeditselectiontool.c | 104 ++++++++++++++++++++++++------
 app/tools/gimpmovetool.c          | 129
 +++++++++++++++++++-------------------
 2 files changed, 147 insertions(+), 86 deletions(-)

commit 64c38edd81abc2fe9f5bbd12e2bea24d0ac6d1cf
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 18:49:47 2018 +0200

    Bug 795300 - ICC profile conversion artifacts and gamma problems

    Cache the fish in GimpColorTransform as suggested by Massimo.

 libgimpcolor/gimpcolortransform.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 0a39874bda18f66c1d8e09f363c12ddb998350d3
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 14:54:34 2018 +0200

    themes: fix "Dark" selected colors in "kde_hack_1" too, whatever
    that is

 themes/Dark/gtkrc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cafb18643f3ae84c9a11564b09fe77da5e931c18
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 12:45:58 2018 +0200

    app: another optimization in GimpOperationGradient

    Don't reallocate the cache in prepare() but only on demand in
    process().

 app/operations/gimpoperationgradient.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 12b9d7a4e7789e1f1ab9c709a71a7ecc743acb15
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 18 12:34:07 2018 +0200

    build: update dev flatpak to 2.10.0 RC2.

 build/flatpak/org.gimp.GIMP-dev.json | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 79460c82c36a5eeeb799b2825bae88ce7ae8335b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 18 09:20:38 2018 +0000

    Update Swedish translation

 po/sv.po | 510
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 272 insertions(+), 238 deletions(-)

commit 370dbd3e04532e74cde8f3c731defd1af48fe763
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Apr 18 10:13:19 2018 +0200

    Updated Danish translation of gimp-tips

 po-tips/da.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit e94d3b953ff377bc4c0b8171b88a7b5e07918cca
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Apr 18 10:13:19 2018 +0200

    Updated Danish translation of gimp-plug-ins

 po-plug-ins/da.po | 326
 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 192 insertions(+), 134 deletions(-)

commit 3b412612876fdefb7c79d564140162a157ce79ba
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Apr 18 10:13:18 2018 +0200

    Updated Danish translation

 po/da.po | 3100
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1758 insertions(+), 1342 deletions(-)

commit d32d13b16d91973e301f358eff59c8165e04b8d0
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Apr 18 10:13:17 2018 +0200

    Updated Danish translation of gimp-libgimp

 po-libgimp/da.po | 397
 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 221 insertions(+), 176 deletions(-)

commit 9dbf919d46aeb9604404d551979b7dd511cb0a8f
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 18 01:11:33 2018 +0200

    app: speed up gradient rendering a lot

    by using a cache of colors that is calculated once, instead of
    calling gimp_gradient_get_color_at() for each rendered pixel.

 app/core/gimpdrawable-gradient.c       |   9 ++
 app/operations/gimpoperationgradient.c | 159
 +++++++++++++--------------------
 app/operations/gimpoperationgradient.h |   4 +
 app/tools/gimpgradienttool.c           |  35 ++++++--
 4 files changed, 105 insertions(+), 102 deletions(-)

commit bccaaeb56c98f8d45efce3269f40fb5e94f5e4ca
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 22:24:35 2018 +0200

    configure.ac: post-release version bump to 2.10.0-RC2-git

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6582692ec6c8196108b2d42f6758c62076a88d13
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 21:27:05 2018 +0200

    configure.ac: release 2.10.0-RC2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27d75a5bd0027e33521aedee7971ad7c76a2649c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 17 21:24:08 2018 +0200

    NEWS: mention CIE Lab gradient blending

 NEWS | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ff82b3779c09745ac96fc709469896a3ef7fa9cd
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 21:21:33 2018 +0200

    NEWS: more updates

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 5e3df8032ad726f8bb7608e904a43175cbb41f4b
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 21:16:50 2018 +0200

    NEWS: mention new libgimp API

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 4d94863abcb267af962fa0ba0df56a98b7f44da0
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 20:44:03 2018 +0200

    app: don't use style->dark for histogram and curve intersections/grid

    because it's always darker than "bg" and not visible in dark themes.
    Instead, use "text_aa" which is always between "text" and "base".

 app/widgets/gimpcurveview.c     | 2 +-
 app/widgets/gimphistogramview.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 434728da084297aabbf9ec134f675ec23c0a6cbc
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 19:59:06 2018 +0200

    themes: switch Dark's base[SELECTED] and text[SELECTED] colors

    so selected text is totally obvious. Also improves histogram and other
    places which use base/text's higher contrast.

 themes/Dark/gtkrc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 436e53d39075c376ad32746420b0d17bb7679c62
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 13:17:13 2018 +0200

    pdb: improve docs about which procedures are affected by context
    settings

    Also add some double blank lines so they show up as single blank
    lines in the generated docs, which improves readablility.

 app/pdb/context-cmds.c         | 33 +++++++++++++++++++++++++++------
 app/pdb/drawable-edit-cmds.c   | 10 ++++++++--
 app/pdb/image-select-cmds.c    |  9 +++++++++
 libgimp/gimpcontext_pdb.c      | 37 ++++++++++++++++++++++++++++++++-----
 libgimp/gimpdrawableedit_pdb.c | 14 ++++++++++++--
 libgimp/gimpimageselect_pdb.c  |  9 +++++++++
 pdb/groups/context.pdb         | 38
 +++++++++++++++++++++++++++++++++-----
 pdb/groups/drawable_edit.pdb   | 14 ++++++++++++--
 pdb/groups/image_select.pdb    |  9 +++++++++
 9 files changed, 151 insertions(+), 22 deletions(-)

commit e02a03a63d3213b6facb7a0b3fa72ab94bc643c4
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 13:16:31 2018 +0200

    devel-docs: add missing stuff to libgimpbase-sections.txt

 devel-docs/libgimpbase/libgimpbase-sections.txt | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 93313cd93c537b64edd036947bf0eb11ccd585a4
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 12:56:39 2018 +0200

    docs, etc: system gimprc and manpage regenerated with new setting

    (filter-tool-use-last-settings no)

 docs/gimprc.5.in | 6 ++++++
 etc/gimprc.in    | 5 +++++
 2 files changed, 11 insertions(+)

commit 93f41b344c0b6af7561a9ff6aefc04ca168b7f3c
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 01:16:54 2018 +0200

    pdb: improve docs of gimp_context_set_diagonal_neighbors()

 app/pdb/context-cmds.c    | 2 +-
 libgimp/gimpcontext_pdb.c | 3 ++-
 pdb/groups/context.pdb    | 2 +-
 3 files changed, 4 insertions(+), 3 deletions(-)

commit c0dd812ea6b546ed14ed655d075226aae06ef017
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 00:42:15 2018 +0200

    pdb: fix use of "seed" properties in plug_in_compat.pdb

    now that GeglParamSpecSeed is uint.

 app/pdb/plug-in-compat-cmds.c | 12 ++++++------
 pdb/groups/plug_in_compat.pdb | 12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 2da25576c3a14bba06ddb395e8e1858a0c0a9beb
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 00:12:01 2018 +0200

    app: fix duplication of GeglParamSpecSeed, we missed its limits before

    (which are probably never used, but still)

 app/core/gimpparamspecs-duplicate.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit cb84e0ab56f556492e16ccd4515b555a4c1d0f08
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 17 00:07:55 2018 +0200

    configure.ac: reqire GEGL >= 0.3.34

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fff0717632d402d62d57b3ac9cb604f09e8ab6a6
Author: Tobias Ellinghaus <me@houz.org>
Date:   Mon Apr 16 23:54:45 2018 +0200

    PFM: Fix writing with ',' as decimal separator

    Some locales (like German) use ',' as the decimal separator, so using
    printf like functions to output a float value fails when the result
    should always use '.'. Since there are only two distinct possibilities
    we just write the string representation and be done with it.

 plug-ins/common/file-pnm.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4bcc1183e5ff9783b8eb8a420b1eee8c60b7db14
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 21:44:47 2018 +0200

    devel-docs: add new libgimp functions

 devel-docs/libgimp/libgimp-sections.txt | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 233ac80de16c89ddef4397fe1a09907354b45b92
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 20:12:12 2018 +0200

    script-fu: port all scripts to the new gimp-drawable-edit functions

 plug-ins/script-fu/scripts/add-bevel.scm          |  6 +--
 plug-ins/script-fu/scripts/addborder.scm          | 10 ++--
 plug-ins/script-fu/scripts/burn-in-anim.scm       | 61
 ++++++++++++-----------
 plug-ins/script-fu/scripts/carve-it.scm           | 14 +++---
 plug-ins/script-fu/scripts/chrome-it.scm          | 20 ++++----
 plug-ins/script-fu/scripts/circuit.scm            |  4 +-
 plug-ins/script-fu/scripts/clothify.scm           |  3 +-
 plug-ins/script-fu/scripts/coffee.scm             | 21 ++++----
 plug-ins/script-fu/scripts/distress-selection.scm |  4 +-
 plug-ins/script-fu/scripts/drop-shadow.scm        |  6 +--
 plug-ins/script-fu/scripts/erase-rows.scm         |  6 ++-
 plug-ins/script-fu/scripts/font-map.scm           |  4 +-
 plug-ins/script-fu/scripts/fuzzyborder.scm        | 10 ++--
 plug-ins/script-fu/scripts/gradient-example.scm   | 14 ++++--
 plug-ins/script-fu/scripts/grid-system.scm        |  2 +-
 plug-ins/script-fu/scripts/lava.scm               |  2 +-
 plug-ins/script-fu/scripts/line-nova.scm          |  2 +-
 plug-ins/script-fu/scripts/mkbrush.scm            | 10 ++--
 plug-ins/script-fu/scripts/old-photo.scm          |  2 +-
 plug-ins/script-fu/scripts/perspective-shadow.scm |  4 +-
 plug-ins/script-fu/scripts/predator.scm           |  2 +-
 plug-ins/script-fu/scripts/ripply-anim.scm        |  4 +-
 plug-ins/script-fu/scripts/round-corners.scm      |  2 +-
 plug-ins/script-fu/scripts/slide.scm              |  4 +-
 plug-ins/script-fu/scripts/test-sphere.scm        | 29 ++++++-----
 plug-ins/script-fu/scripts/weave.scm              | 31 +++++++-----
 plug-ins/script-fu/scripts/xach-effect.scm        | 14 +++---
 27 files changed, 162 insertions(+), 129 deletions(-)

commit 90ef8b123cf8d5ae4439a76eb4fee7670e0fb68f
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 16:13:46 2018 +0200

    libgimp: properly sort gimp.defs

 libgimp/gimp.def | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ddfc7715cbcd8d165520902bc0abfff3c09b88f4
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 16 09:49:15 2018 -0400

    app: make the airbrush tool thread-safe w.r.t. paint thread

    GimpAirbrush currently performs painting and flushes the image on
    its own during the airbrush timeout.  This is unsafe w.r.t. the
    paint thread, since the timeout is run on the main thread, while
    paint commands should run on the paint thread.

    Add a "timeout" signal to GimpAirbrush, and simply emit this signal
    during the airbrush timeout, rather than actually painting.

    Connect to this signal in GimpAirbrushTool, and use
    gimppaintool-paint to perform the actual painting, in a thread-safe
    manner (see the previous commit.)

 app/paint/gimpairbrush.c     | 37 ++++++++++++++++++++-----------------
 app/paint/gimpairbrush.h     | 11 +++++------
 app/tools/gimpairbrushtool.c | 33 ++++++++++++++++++++++++++++++++-
 3 files changed, 57 insertions(+), 24 deletions(-)

commit e02a339e01df51f96ed4d017ce4ae7b7c0a9f83d
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 16 09:36:35 2018 -0400

    app: reorganize gimppainttool-paint, to allow use by subclasses

    We'd like subclasses of GimpPaintTool to be able to issue paint
    commands to the tool's paint-core (in particular, see the next
    commit.)  Since paint commands should be executed on the paint
    thread, the subclasses must not call the paint-core functions
    directly, but should rather let gimppainttool-paint issue the
    commands on their behalf.

    Reorgainze gimppainttool-paint to make it usable for this purpose
    by subclasses.  In particular, add
    gimp_paint_tool_paint_core_paint() and
    gimp_paint_tool_paint_core_interpolate(), which call the
    corresponding paint-core functions on the paint thread.

    Additionally, rename the {start,end,flush}_paint() virtual
    functions of GimpPaintTool to paint_{start,end,flush}(), and rename
    gimp_paint_tool_is_painting() to gimp_paint_tool_paint_is_active(),
    so that all the gimppainttool-paint-related stuff are grouped under
    the same namespace.

 app/tools/gimpbrushtool.c       |  33 +++++-----
 app/tools/gimppainttool-paint.c | 140
 ++++++++++++++++++++++++++++++++++------
 app/tools/gimppainttool-paint.h |  35 ++++++----
 app/tools/gimppainttool.c       |   6 --
 app/tools/gimppainttool.h       |   8 +--
 5 files changed, 163 insertions(+), 59 deletions(-)

commit 3f4995d3d71f294271a71b707133e098243a7331
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 11:42:46 2018 +0200

    pdb: add procedures to set the built-in gradients

    gimp-context-set-gradient-fg-bg-rgb
    gimp-context-set-gradient-fg-bg-hsv-cw
    gimp-context-set-gradient-fg-bg-hsv-ccw
    gimp-context-set-gradient-fg-transparent

 app/pdb/context-cmds.c    | 125
 ++++++++++++++++++++++++++++++++++++++++++++++
 app/pdb/internal-procs.c  |   2 +-
 libgimp/gimp.def          |   4 ++
 libgimp/gimpcontext_pdb.c | 124
 +++++++++++++++++++++++++++++++++++++++++++++
 libgimp/gimpcontext_pdb.h |   4 ++
 pdb/groups/context.pdb    |  85 +++++++++++++++++++++++++++++++
 6 files changed, 343 insertions(+), 1 deletion(-)

commit 92a8978064eb52e1072ed4b83ea1d505507a1f8a
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 16 09:13:59 2018 +0200

    data: re-add 3 brushes of very questionable origin, but as "obsolete".

    So I discover the concept of obsolete data in GIMP where some data can
    be apparently unavailable in the GUI, but still selectable by script.
    This somehow reverts commit 26cb87aa2dfaaa63c71cc4e5dfe40c75f8005353
    then moves the brushes into the obsolete section instead of simple
    deletion. This way, any script using the said brushes won't break at
    least.

    We will definitely remove the brushes for 3.0, but for now it's better
    to keep scripts as compatible as possible.

 data/brushes/gimp-obsolete-files/Makefile.am    |   3 +++
 data/brushes/gimp-obsolete-files/dunes.gbr      | Bin 0 -> 1100 bytes
 data/brushes/gimp-obsolete-files/galaxy-big.gbr | Bin 0 -> 10040 bytes
 data/brushes/gimp-obsolete-files/galaxy.gbr     | Bin 0 -> 2637 bytes
 4 files changed, 3 insertions(+)

commit 64bab848c323ae47e0565c150873819592e6fba3
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 16 09:11:41 2018 +0200

    NEWS, devel-docs: next release is RC2 + some fixes in release howto.

 NEWS                         |  4 ++--
 devel-docs/release-howto.txt | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit d3124d980a99a583cf230922d53f1a1991cc6b82
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Mon Apr 16 07:11:27 2018 +0000

    Update Swedish translation

 po-libgimp/sv.po | 1079
 ++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 680 insertions(+), 399 deletions(-)

commit 410e55c40c09f5623d80dbbf91e185dfefb22c67
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 16 01:18:05 2018 +0200

    pdb: never pass bogus supersample values to gimp_drawable_gradient()

    even when supersampling is not enabled, or we will get warnings about
    out-of-range property values.

 app/pdb/drawable-edit-cmds.c | 20 ++++++++++++++------
 app/pdb/edit-cmds.c          | 18 +++++++++++++-----
 pdb/groups/drawable_edit.pdb | 20 ++++++++++++++------
 pdb/groups/edit.pdb          | 18 +++++++++++++-----
 4 files changed, 54 insertions(+), 22 deletions(-)

commit 055e61f06558615b297163b689043bea258c6eed
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Sun Apr 15 17:53:37 2018 +0200

    Updated Italian translation

 po-libgimp/it.po | 294
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 157 insertions(+), 137 deletions(-)

commit c30239c912b393c4884399bf481d7cbfb48b160f
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Sun Apr 15 17:52:05 2018 +0200

    Updated Italian translation

 po-plug-ins/it.po | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit bba7130cc24c9ec7d8ad8c6ef5ae03d7bf38d0ac
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Sun Apr 15 17:50:36 2018 +0200

    Updated Italian translation

 po/it.po | 2381
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1309 insertions(+), 1072 deletions(-)

commit dbf57b44941168758998eca658faa169e3e2a0bd
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 15 17:52:37 2018 +0300

    Update Russian translation

 po-libgimp/ru.po | 502 +++++++++++++++++++++-------------
 po/ru.po         | 817
 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 758 insertions(+), 561 deletions(-)

commit 5ee67deea5d49ad2a4328e055841ea2b81553a20
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 15 16:39:59 2018 +0200

    pdb: deprecate all non-clipboard functions in the "edit" group

    Still have to port script-fu scripts...

 app/pdb/edit-cmds.c                  | 48 +++++++++++-------
 libgimp/gimpedit_pdb.c               | 14 ++++++
 libgimp/gimpedit_pdb.h               |  7 +++
 libgimp/gimpexport.c                 |  2 +-
 pdb/groups/edit.pdb                  | 16 ++++++
 plug-ins/gfig/gfig-dialog.c          | 96
 ++++++++++++++++--------------------
 plug-ins/screenshot/screenshot-x11.c |  2 +-
 7 files changed, 113 insertions(+), 72 deletions(-)

commit 1305926f38f0552675f667661236c144ad24b5e1
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 15 16:15:07 2018 +0200

    pdb: forgot to add drawable_edit.pdb

 pdb/groups/drawable_edit.pdb | 433
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 433 insertions(+)

commit c50449670b3b4292f463b1b80894abb8de2dc91b
Author: Tobias Ellinghaus <me@houz.org>
Date:   Sun Apr 15 16:10:04 2018 +0200

    Fix build with vector icons enabled

    The invert-svg tool was never built so generating the
    Symbolic-Inverted
    icons failed. Thanks Ell for the hint how to fix this.

 tools/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef3edece9b6c685766bbd490cc7586facc90547c
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 15 16:06:00 2018 +0200

    pdb: improve docs of deprecated functions

    Don't unconditionally overwrite all the proc's description, author
    etc.  Instead, try to preserve them and append the "Deprecated" notes
    to the help texts and generated comments.

    Only affects one procedure because we killed the meta info of all
    other deprecated procs so far, but now we don't have to do that any
    longer.

 app/pdb/text-layer-cmds.c   |  4 +++-
 libgimp/gimptextlayer_pdb.c |  6 ++++++
 pdb/app.pl                  | 24 +++++++++++++++++++++++-
 pdb/lib.pl                  | 22 ++++++++++++++++++----
 pdb/stddefs.pdb             |  4 ++--
 5 files changed, 52 insertions(+), 8 deletions(-)

commit 50536e1c3822a58db26c8061a51240bb94782e20
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 15 14:57:25 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Add new PDB group "drawable_edit" which has all procedures from the
    "edit" group which are not cut/copy/paste.

    The new group's procedures don't have opacity, paint_mode
    etc. arguments but take them from the context instead. Unlike the old
    gimp-edit-fill, gimp-drawable-edit-fill now uses the context's opacity
    and paint_mode.

    The new gimp-drawable-edit-gradient-fill procedure uses even more
    context properties which are also newly added with this commit
    (gradient_color_space, gradient_repeat_mode, gradient_reverse).

    And some cleanup in context.pdb.

    This is still WIP, nothing in the edit group is depcreated yet.

 app/pdb/Makefile.am                     |   1 +
 app/pdb/context-cmds.c                  | 532
 ++++++++++++++++++++++------
 app/pdb/drawable-edit-cmds.c            | 609
 ++++++++++++++++++++++++++++++++
 app/pdb/edit-cmds.c                     |   6 +-
 app/pdb/internal-procs.c                |   3 +-
 app/pdb/internal-procs.h                |   1 +
 devel-docs/libgimp/libgimp-docs.sgml    |   1 +
 devel-docs/libgimp/libgimp-sections.txt |  10 +
 libgimp/Makefile.am                     |   2 +
 libgimp/gimp.def                        |  12 +
 libgimp/gimp_pdb_headers.h              |   1 +
 libgimp/gimpcontext_pdb.c               | 352 +++++++++++++-----
 libgimp/gimpcontext_pdb.h               | 226 ++++++------
 libgimp/gimpdrawableedit_pdb.c          | 310 ++++++++++++++++
 libgimp/gimpdrawableedit_pdb.h          |  60 ++++
 pdb/Makefile.am                         |   1 +
 pdb/groups.pl                           |   1 +
 pdb/groups/context.pdb                  | 303 ++++++++++++----
 pdb/groups/edit.pdb                     |   2 -
 po/POTFILES.in                          |   1 +
 20 files changed, 2077 insertions(+), 357 deletions(-)

commit 1a277f2cc6c4c0e50fcd9faf4c24714da10cb5ee
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 15 03:24:43 2018 -0400

    icons: s/gimp-tool-blend/gimp-tool-gradient/ in SVG icons

    In particular, so that we use the correct element IDs, if we ever
    extract the icons based on element ID.

 icons/Color/24/gimp-tool-gradient.svg          | 2 +-
 icons/Color/color-scalable.svg                 | 4 ++--
 icons/Color/scalable/gimp-tool-gradient.svg    | 2 +-
 icons/Symbolic/24/gimp-tool-gradient.svg       | 4 ++--
 icons/Symbolic/scalable/gimp-tool-gradient.svg | 4 ++--
 icons/Symbolic/symbolic-scalable.svg           | 6 +++---
 6 files changed, 11 insertions(+), 11 deletions(-)

commit 02808e8072c336ff5bc1312a0bedc2a95fda3919
Merge: e30a32d56e 92330425c8
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 15 03:30:52 2018 -0400

    Merge branch 'fix-gradient-history'

    This fixes the history of app/core/gimpdrawable-gradient.h, and
    app/tools/gimpgradienttool{.c,-editor.{c,h}}.

commit 92330425c8f5350cac0bed8ea146f135029e4aca
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 00:52:20 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Redo the part of commits b0beb0197a4bd2c14ded20da976d4affd0c94729,
    c3f98cccbdb6a154ca6efea043e46c9c532a407c,
    6b0f5136e09f64a830b65037f48493fc0040674f,
    and 3736bfd189c53637f04fb751ed8d02070e6289fb, reverted by commit
    e30a32d56e123a9e221102cc2707fd697f1d7945.

 app/tools/gimpgradienttool-editor.c | 1437
 +++++++++++++++++------------------
 app/tools/gimpgradienttool-editor.h |   38 +-
 app/tools/gimpgradienttool.c        |  837 ++++++++++----------
 3 files changed, 1156 insertions(+), 1156 deletions(-)

commit 2e69608a46190cf4b0214a942f616ef3fde9e3a2
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 00:52:20 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename gimpblendtool{.c,-editor.{c,h}} to
    gimpgradientool{.c,-editor.{c,h}}.  Note that this commit only
    renames the files; the actual changes are done in the next commit,
    so that git doesn't consider them new files.

 app/tools/{gimpblendtool-editor.c => gimpgradienttool-editor.c} | 0
 app/tools/{gimpblendtool-editor.h => gimpgradienttool-editor.h} | 0
 app/tools/{gimpblendtool.c => gimpgradienttool.c}               | 0
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 721ce91d75e574657a8ba57d6a37e98783e36059
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:43:27 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Redo the part of commits 4f2e078ccb7be72c3af4641781f23b7d0c27f25e
    and 5f6dfc7617cb8d50173707ad748fd172107e06f6, reverted by commit
    e30a32d56e123a9e221102cc2707fd697f1d7945.

 app/core/gimpdrawable-gradient.h | 53
 ++++++++++++++++++++--------------------
 1 file changed, 27 insertions(+), 26 deletions(-)

commit 9fd44d5e44ea13d5419e4cc40e620563b2530d21
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:43:27 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename gimpdrawable-blend.h to gimpdrawable-gradient.h.  Note that
    this commit only renames the file; the actual changes are done in
    the next commit, so that git doesn't consider this a new file.

 app/core/{gimpdrawable-blend.h => gimpdrawable-gradient.h} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit e30a32d56e123a9e221102cc2707fd697f1d7945
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 15 02:42:35 2018 -0400

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Partially revert commits 4f2e078ccb7be72c3af4641781f23b7d0c27f25e
    and b0beb0197a4bd2c14ded20da976d4affd0c94729, since the changes
    they introduced to some of the renamed files were big enough for
    git to consider them entirely new files, hence we lost their
    history.  The next few commits fix this.

    This commit also partially or entirely undoes followup commits
    5f6dfc7617cb8d50173707ad748fd172107e06f6,
    c3f98cccbdb6a154ca6efea043e46c9c532a407c,
    6b0f5136e09f64a830b65037f48493fc0040674f,
    and 3736bfd189c53637f04fb751ed8d02070e6289fb, which will be
    restored by the next few commits as well.

 app/core/gimpdrawable-blend.h       |   49 +
 app/core/gimpdrawable-gradient.h    |   50 -
 app/tools/gimpblendtool-editor.c    | 2518
 +++++++++++++++++++++++++++++++++++
 app/tools/gimpblendtool-editor.h    |   48 +
 app/tools/gimpblendtool.c           | 1072 +++++++++++++++
 app/tools/gimpgradienttool-editor.c | 2517
 ----------------------------------
 app/tools/gimpgradienttool-editor.h |   48 -
 app/tools/gimpgradienttool.c        | 1073 ---------------
 8 files changed, 3687 insertions(+), 3688 deletions(-)

commit 309d118f6528bd2ae480c241a190e2d26a0ee8fa
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 15 02:15:14 2018 +0200

    app, devel-docs: improve position of loading text on splash image.

    The upper text will be centered on the top quarter of the bottom
    quarter
    of the splash image, whereas the bottom text will be centered on the
    bottom quarter of the bottom quarter of the splash (unless the
    splash is
    too small, in which case the double of the layout pixel extents
    will be
    used). Basically don't use absolute pixel values anymore for
    positionning. This should all be done relatively since there are
    nowadays all kind of display size (and positionning the text 6
    pixels to
    the bottom, as it was done, may be ok on low density displays,
    yet will
    look ugly on high density screens).

    Also write this down in the splash requirements in the release
    howto so
    that splash designers are aware that the bottom quarter of their image
    will have to be adapted for printing text.

 app/gui/splash.c             | 37 ++++++++++++++++++++++++++++++++-----
 devel-docs/release-howto.txt |  2 ++
 2 files changed, 34 insertions(+), 5 deletions(-)

commit 09b16f6cc085aeb523a1eacf1ba479db6c4ff165
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 14 17:55:44 2018 -0400

    app: avoid copying the brush boundary on each brush tool flush()

    In GimpBrushTool, remember the settings used for the last cached
    brush boundary, and avoid creating a new copy if the settings
    didn't change.  This should lower the overhead of
    gimp_brush_tool_flush_paint() when not using dynamics.

 app/tools/gimpbrushtool.c | 43
 ++++++++++++++++++++++++++++++++++++-------
 app/tools/gimpbrushtool.h |  5 +++++
 2 files changed, 41 insertions(+), 7 deletions(-)

commit 1806e56405cb0579f521a27d71c00aa417d27d32
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 15 00:09:57 2018 +0200

    INSTALL: make clear not to install libmypaint from master.

    Also add a note about installing possibly from the release tarball or
    from the package manager of a distribution, since apparently some
    assume
    it has to be installed from repository, making their own life harder
    that it has to!
    Finally split the libmypaint and mypaint-brushes into their own
    numbers
    to make things even clearer.

 INSTALL.in | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 9674186bed1a3482102df682bad04d4aa0066d15
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Apr 14 20:19:18 2018 +0000

    Update Swedish translation

 po-script-fu/sv.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7e82a24875c090222529a5480e7868527548d0a6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Apr 14 20:10:35 2018 +0000

    Update Swedish translation

 po-plug-ins/sv.po | 60
 ++++++++++++++++++++-----------------------------------
 1 file changed, 22 insertions(+), 38 deletions(-)

commit f505f57bd89217ac70f7db250917c3351af50d34
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Sat Apr 14 20:02:23 2018 +0000

    Update Swedish translation

 po/sv.po | 24491
 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 14109 insertions(+), 10382 deletions(-)

commit f365de49a03fd7ee532741692def3ec851500682
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 14 21:18:03 2018 +0200

    Update Polish translation

 po/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d528f80c16735f35f9d61f099323c1f246b27ecc
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 21:14:52 2018 +0200

    app: cast g_object_ref() argument in gimp_plug_in_proc_frame_init()

 app/plug-in/gimppluginprocframe.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3661097c04384dc23275387c6d48e632368e0a88
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 21:11:05 2018 +0200

    app: add gimp_pdb_context_get_paint_options_list()

    Which returns the entire GimpContainer of paint options.

 app/pdb/gimppdbcontext.c | 8 ++++++++
 app/pdb/gimppdbcontext.h | 2 ++
 2 files changed, 10 insertions(+)

commit 0c066f311e3024a90fe835feb9f89906d7882fb4
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 21:09:01 2018 +0200

    app: drop alpha from all fishes in gimpgradient.c

    Alpha is calculated separately, ne need to run it through babl.
    Also some formatting cleanup.

 app/core/gimpgradient.c | 58
 ++++++++++++++++++++++++++-----------------------
 1 file changed, 31 insertions(+), 27 deletions(-)

commit 3736bfd189c53637f04fb751ed8d02070e6289fb
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 21:06:13 2018 +0200

    app: even in a "gradient tool" its called "Blending" not "Gradienting"

 app/tools/gimpgradienttool-editor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cc1258444a888ecb5deee568cbdd211ad64ffdb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 14 19:11:16 2018 +0200

    Update Polish translation

 po-libgimp/pl.po | 255
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 130 insertions(+), 125 deletions(-)

commit 6d6da684f1cb4e07bce4883f6d37b1865d58d942
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 18:11:57 2018 +0200

    app: add handling of CIE Lab blend space to gradient

    Using CIE Lab yields gradients that more closely resemble the
    perceptual
    gradients but without the gamma based blending problems of linear-RGB
    / CIE
    XYZ.

 app/core/gimpgradient.c | 38 ++++++++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 8 deletions(-)

commit e007da260476c7b4ad9a5c0cccc5a783ee6e5086
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 18:11:38 2018 +0200

    libgimpbase: add GIMP_GRADIENT_BLEND_CIE_LAB value to enum

 libgimpbase/gimpbaseenums.c | 2 ++
 libgimpbase/gimpbaseenums.h | 3 ++-
 pdb/enums.pl                | 6 ++++--
 3 files changed, 8 insertions(+), 3 deletions(-)

commit f660d614f2bccbc0d0e3dd331fa2d03668dbc1c2
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 14 16:18:18 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 45c172a885dfa1684e3b0fad1a6e5cde5a1ccb0f
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 14 09:48:10 2018 -0400

    Bug 795257 - Segmentation fault crash using the clone tool

    Commit f5cb1fed85341a9d0a46fb1391b19fa9ea3ccb42, which performed
    brush outline generation in GimpPaintTool in synchrony with the
    paint thread, wasn't enough, since GimpSourceTool could still call
    gimp_brush_tool_create_outline() directly during its
    GimpDrawTool::draw() method, leading to the same race condition
    when executed concurrently with the paint thread.

    Partially revert the above commit, so that outline generation is
    handled as before, as far as GimpPaintTool is concenered.  Instead,
    add GimpPaintTool::{start,end,flush}_paint() virtual functions; the
    first two are called when starting/ending painting using the paint
    thread, while the third is called during the display-update
    timeout, while the main thread and the paint thread are
    synchronized.  This allows subclasses to perform non-thread-safe
    actions while the threads are synchronized.

    Override these functions in GimpBrushTool, and cache the brush
    boundary in the flush() function.  Use the cached boundary in
    gimp_brush_tool_create_outline() while painting, to avoid the above
    race condition, both when this function is called through
    GimpPaintTool, and through GimpSourceTool.

 app/tools/gimpbrushtool.c       | 109
 +++++++++++++++++++++++++++++++++-------
 app/tools/gimpbrushtool.h       |   6 ++-
 app/tools/gimppainttool-paint.c |  60 +++++++---------------
 app/tools/gimppainttool.c       |  34 ++++++-------
 app/tools/gimppainttool.h       |  58 +++++++++++----------
 5 files changed, 160 insertions(+), 107 deletions(-)

commit 3ac794816a97ebf76b71dddd610220f19bf7191e
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 14 15:36:08 2018 +0200

    Bug 724692 - Canvas rotation stuck with specific order of actions.

    Commit b279c2d217 was breaking a specific use case, which I oversaw:
    when space bar activates the move tool, you may want to release the
    space bar while mouse button is pressed, and expect to still be
    able to
    move the layer/selection/guide, but releasing space was stopping the
    move immediately. The move tool must only be deactivated when
    both space
    and button 1 are released, and the move itself must continue as
    long as
    button 1 is pressed (when started while space was pressed).

    As a nice side effect of this commit, panning and canvas rotation are
    also improved since now they can be continued while releasing space
    (respectively shift-space) if mouse button 1 was pressed, and up until
    the mouse button is released. Pressing space again, then releasing the
    mouse, back and forth, also work as expected (i.e. move tool stay
    activated though the move stops; and panning or rotation continue).

    Of course now we don't get anymore panning/rotation stuck while
    neither
    space nor mouse buttons are pressed (which was the original bug). At
    least one of these need to stay pressed for panning/rotation/move to
    stay activated. And initial activation is obviously always through
    (shift-)space only.

 app/display/gimpdisplayshell-tool-events.c | 54
 ++++++++++++++++++++++++------
 app/display/gimpdisplayshell.h             |  6 ++++
 2 files changed, 49 insertions(+), 11 deletions(-)

commit 6b0f5136e09f64a830b65037f48493fc0040674f
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 14 14:27:36 2018 +0200

    app: use "g" for gradient shortcut.

    It makes more sense than "l" as a default, and "g" was currently
    unused.
    So not much left to ponder.

 app/tools/gimpgradienttool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e98dade143189e1c0c636e387eb67590f7b124f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Apr 14 12:38:43 2018 +0200

    configure/app: depend on GEGL 0.3.32

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 680da3ada808950a542d1a3c0dbbaf794b7678c0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 14 10:23:37 2018 +0200

    Update Polish translation

 po-libgimp/pl.po | 268 ++++++++++-----------
 po/pl.po         | 691
 ++++++++++++++++++++++++++++---------------------------
 2 files changed, 490 insertions(+), 469 deletions(-)

commit c3f98cccbdb6a154ca6efea043e46c9c532a407c
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 14 04:09:29 2018 +0200

    app: fix menu path for gradient tool s/Blen_d/Gra_dient/.

    This one string was still using the old name, which appeared in
    menus or
    in the shortcut list.

 app/tools/gimpgradienttool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 063a83c1ec677d1ce2888e3699582624aff5adbe
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 14 03:57:11 2018 +0200

    app: migrate configuration files for s/Blend/Gradient/ tool renaming.

    This includes migrating properly any custom shortcut (menurc), as well
    as a few strings in tool-presets/, and finally "gimp-blend-tool" in
    contextrc and devicerc.
    File toolrc also has some occurrences, but we are already skipping it
    anyway, same as whatever is under tool-options/.
    Hopefully I missed nothing.

 app/core/gimp-user-install.c | 58
 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 56 insertions(+), 2 deletions(-)

commit 257eb95258a2797e160f095b6a0f8f7bcc81190d
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 02:19:50 2018 +0200

    app: simpler and better-aligned packig in gimpviewablebox

 app/widgets/gimpviewablebox.c | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 4705684b0ebaa2b3f36c909f75c5b88a98a018d6
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 02:18:56 2018 +0200

    po: fix typo in POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f6dfc7617cb8d50173707ad748fd172107e06f6
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 01:34:50 2018 +0200

    app: add GimpGradientBlendColorSpace parameter to
    gimp_drawable_gradient()

 app/core/gimpdrawable-gradient.c | 70
 +++++++++++++++++++++-------------------
 app/core/gimpdrawable-gradient.h | 39 +++++++++++-----------
 app/pdb/edit-cmds.c              |  1 +
 pdb/groups/edit.pdb              |  5 +--
 4 files changed, 60 insertions(+), 55 deletions(-)

commit b0beb0197a4bd2c14ded20da976d4affd0c94729
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 14 00:52:20 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename the tool and its options, and the gradient sub-struct of paint
    options.

 app/core/gimptoolpreset.c                          |    4 +-
 app/dialogs/dialogs.c                              |    2 +-
 app/paint/gimppaintoptions.c                       |   34 +-
 app/paint/gimppaintoptions.h                       |   12 +-
 app/tools/Makefile.am                              |   12 +-
 app/tools/gimp-tools.c                             |    4 +-
 app/tools/gimpblendtool-editor.c                   | 2518
 --------------------
 app/tools/gimpblendtool-editor.h                   |   48 -
 app/tools/gimpblendtool.c                          | 1073 ---------
 .../{gimpblendoptions.c => gimpgradientoptions.c}  |  109 +-
 .../{gimpblendoptions.h => gimpgradientoptions.h}  |   28 +-
 app/tools/gimpgradienttool-editor.c                | 2517
 +++++++++++++++++++
 app/tools/gimpgradienttool-editor.h                |   48 +
 app/tools/gimpgradienttool.c                       | 1073 +++++++++
 app/tools/{gimpblendtool.h => gimpgradienttool.h}  |   38 +-
 app/tools/tool_manager.c                           |    2 +-
 app/widgets/gimphelp-ids.h                         |    2 +-
 data/tool-presets/FX/FX-Radial-Softlight.gtp       |    6 +-
 data/tool-presets/FX/Vignette.gtp                  |    6 +-
 menus/image-menu.xml.in                            |    2 +-
 po/POTFILES.in                                     |    6 +-
 21 files changed, 3772 insertions(+), 3772 deletions(-)

commit 4f2e078ccb7be72c3af4641781f23b7d0c27f25e
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:43:27 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename gimpdrawable-blend.[ch] to gimpdrawable-gradient.[ch]

 app/core/Makefile.am                               |  4 +-
 app/core/gimpdrawable-blend.h                      | 49
 -------------------
 ...impdrawable-blend.c => gimpdrawable-gradient.c} | 56
 +++++++++++-----------
 app/core/gimpdrawable-gradient.h                   | 49
 +++++++++++++++++++
 app/pdb/edit-cmds.c                                | 28 +++++------
 app/tools/gimpblendtool.c                          |  9 ++--
 pdb/groups/edit.pdb                                | 28 +++++------
 po/POTFILES.in                                     |  2 +-
 8 files changed, 113 insertions(+), 112 deletions(-)

commit b55c116755864570bc0597dbb877c40c821949b3
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:36:16 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename GimpOperationBlend to GimpOperationGradient.

 app/core/gimpdrawable-blend.c                      |   2 +-
 app/operations/Makefile.am                         |   4 +-
 app/operations/gimp-operations.c                   |   4 +-
 ...impoperationblend.c => gimpoperationgradient.c} | 106
 ++++++++++-----------
 ...impoperationblend.h => gimpoperationgradient.h} |  30 +++---
 app/tools/gimpblendtool.c                          |   2 +-
 6 files changed, 73 insertions(+), 75 deletions(-)

commit ea474f5e78eb348d3308ea879b292f226a9a46e6
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:27:03 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Rename the tool cursor: blend -> gradient in filename and enum value.

 app/tools/gimpblendtool.c                     |   2 +-
 app/widgets/gimpcursor.c                      |   2 +-
 app/widgets/widgets-enums.h                   |   2 +-
 cursors/Makefile.am                           |   2 +-
 cursors/gimp-tool-cursors.xcf                 | Bin 78346 -> 78349 bytes
 cursors/{tool-blend.png => tool-gradient.png} | Bin
 6 files changed, 4 insertions(+), 4 deletions(-)

commit 99ea6f91e20868838062fc156cb6f9c112e2979f
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:12:21 2018 +0200

    app: fix the build after the GimpGradientBlendColorSpace commit

    Somehow, gimppalette-import.c was not rebuilt on my system,
    leaving one gimp_gradient_get_color_at() unchanged.

 app/core/gimppalette-import.c       | 14 ++++++++------
 app/core/gimppalette-import.h       |  1 +
 app/dialogs/palette-import-dialog.c |  1 +
 3 files changed, 10 insertions(+), 6 deletions(-)

commit ebb9d83d631764b8d4d17c7740ee9f020f3f545d
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 23:07:08 2018 +0200

    Bug 795230 - Rename Blend tool and provide PDB compatibility

    Step 1: rename the icon to GIMP_ICON_TOOL_GRADIENT
    (gimp-tool-gradient)

 app/core/gimpgradient.c                                     |   2 +-
 app/tools/gimpblendtool.c                                   |   4 ++--
 devel-docs/libgimpwidgets/libgimpwidgets-sections.txt       |   2 +-
 .../16/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 .../24/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 .../24/{gimp-tool-blend.svg => gimp-tool-gradient.svg}      |   0
 .../{gimp-tool-blend.svg => gimp-tool-gradient.svg}         |   0
 .../16/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 .../22/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 icons/Legacy/Makefile.am                                    |   4 ++--
 .../16/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 .../24/{gimp-tool-blend.png => gimp-tool-gradient.png}      | Bin
 .../24/{gimp-tool-blend.svg => gimp-tool-gradient.svg}      |   0
 .../{gimp-tool-blend.svg => gimp-tool-gradient.svg}         |   0
 icons/icon-list.mk                                          |   8
 ++++----
 libgimpwidgets/gimpicons.c                                  |   2 ++
 libgimpwidgets/gimpicons.h                                  |   6 +++---
 17 files changed, 15 insertions(+), 13 deletions(-)

commit bf49b476209ed8350438fa496e7338c172b9b3b3
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 13 22:33:16 2018 +0200

    Bug 795207 - Add color space to blend(gradient) tool options

    First WIP commit, adds:

    - enum GimpGradientBlendColorSpace { RGB_PERCEPTUAL, RGB_LINEAR }
    - linear blending mode for gradient segments
    - tool options GUI for the blend and paint tools which use gradients

 app/actions/gradient-editor-commands.c |   2 +
 app/core/gimpgradient.c                | 133
 +++++++++++++++++++++------------
 app/core/gimpgradient.h                |   6 ++
 app/operations/gimpoperationblend.c    |  68 +++++++++++------
 app/operations/gimpoperationblend.h    |  25 ++++---
 app/paint/gimppaintoptions.c           |  25 ++++++-
 app/paint/gimppaintoptions.h           |   5 +-
 app/pdb/gradient-cmds.c                |  54 +++++++++----
 app/pdb/gradients-cmds.c               |  12 ++-
 app/tools/gimpblendoptions.c           |  10 +++
 app/tools/gimpblendoptions.h           |   2 +-
 app/tools/gimpblendtool-editor.c       |   7 +-
 app/tools/gimppaintoptions-gui.c       |  16 +++-
 app/widgets/gimpgradienteditor.c       |   8 +-
 app/widgets/gimpgradienteditor.h       |   2 +
 app/widgets/gimpgradientselect.c       |   4 +-
 app/widgets/gimpviewablebox.c          |  47 +++++++++++-
 app/widgets/gimpviewablebox.h          |   4 +-
 app/widgets/gimpviewrenderergradient.c |  25 ++++++-
 app/widgets/gimpviewrenderergradient.h |  24 +++---
 libgimp/gimpenums.c.tail               |   2 +
 libgimpbase/gimpbase.def               |   1 +
 libgimpbase/gimpbaseenums.c            |  30 ++++++++
 libgimpbase/gimpbaseenums.h            |  12 +++
 pdb/enums.pl                           |   8 ++
 pdb/groups/gradient.pdb                |  54 +++++++++----
 pdb/groups/gradients.pdb               |  12 ++-
 27 files changed, 445 insertions(+), 153 deletions(-)

commit 3cb7fc86aa673cadfef4edbbb9043360f6198352
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Apr 13 19:58:22 2018 +0300

    NEWS: update

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff34965faf98f1d533b5b38143d534a7f2496a3b
Author: Ell <ell_se@yahoo.com>
Date:   Fri Apr 13 09:56:20 2018 -0400

    Bug 795177 - seg fault with clone tool

    Don't flush the source pickable in gimp_source_core_motion(), as
    this introduces a race condition between the paint thread and the
    display-update timeout, when the source pickable is the image
    containing the target drawable.

    Flushing the source pickable shouldn't be currently necessary, and
    either way, should happen during initialization.

 app/paint/gimpsourcecore.c | 2 --
 1 file changed, 2 deletions(-)

commit 65c7ce5e7d398eeb24a6eb29a43b91debfdaf29c
Author: Ell <ell_se@yahoo.com>
Date:   Fri Apr 13 08:15:45 2018 -0400

    build: add Chinese (China) translation to the Windows installer

 build/windows/installer/gimp3264.iss     | 1 +
 build/windows/installer/lang/Makefile.am | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 6785a689cf05cf48699e5be2f07c4fafcb767f1b
Author: Aron Xu <happyaron.xu@gmail.com>
Date:   Thu Apr 12 22:51:45 2018 +0800

    po-windows-installer: add Chinese (China) translation

 po-windows-installer/LINGUAS  |   1 +
 po-windows-installer/zh_CN.po | 368
 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 369 insertions(+)

commit 2255f09fac2c3ae101e0d48d7fafbb2a11863c91
Author: Aron Xu <happyaron.xu@gmail.com>
Date:   Thu Apr 12 22:22:28 2018 +0800

    Update Chinese (China) translation

 po/zh_CN.po | 31325
 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 20127 insertions(+), 11198 deletions(-)

commit b91742a84fe78fb6e5b99cb147cb35ec2504b2c6
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 12 12:13:38 2018 +0200

    Bug 795185 - Corrective rotation guides are incorrect in GIMP 2.10.

    Most expected behavior in normal transform is to see the preview,
    whereas you usually don't want to see it in corrective mode. In 2.8
    actually, it seems like it was not even possible to see the image
    preview in corrective mode.

    So let's set "show-preview" to these defaults when "direction"
    property
    is updated.  It is still possible to change it manually for any
    specific
    use cases (i.e. you can hide the preview in normal transform, and
    oppositely you can show it in corrective transform), but at least now
    defaults are sane.

 app/tools/gimptransformoptions.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3841d3d5378173aabdd0d79a25b8cb08ca3591fb
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 12 10:03:13 2018 +0200

    Bug 795185 - "Show image preview" works differently if checked
    before...

    ... or during rotation.
    If checked before rotation, it works as expected, i.e. one sees
    only the
    original or the rotated image.
    While rotation is in progress: if unchecked, one sees neither the
    original nor the image preview; if checked, one sees both original and
    rotated preview.
    Let's make the behavior consistent and only show exactly one
    version at
    all time.

 app/tools/gimptransformtool.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 421c9fc51a25de283cfff4554ac29c7c833f5745
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Apr 11 11:31:02 2018 +0200

    Bug 795050 - ‘strncpy’ output truncated before terminating nul

    Use memcpy() because we really dont' want to copy the terminating nul,
    but we don't want a warning either.

 app/core/gimp-templates.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b8b33dad723323080aa4e3064f8e259147723ef
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 11 04:49:27 2018 -0400

    app: invert zoom mapping in gegl:panorama-projection gyro controller

 app/propgui/gimppropgui-panorama-projection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5430e7794c006c4086710c24def569ed32e725d4
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 11 04:46:52 2018 -0400

    app: various fixes in GimpToolGyroscope

    Invert zoom adjustment using the mouse or the keyboard when in
    inverse mode.  Take zoom factor into account when panning using the
    keyboard.  Fix motion cancelation.

 app/display/gimptoolgyroscope.c | 27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

commit 7bb0821977685193c04f4bc8ced5ad4413b6a515
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Apr 11 10:17:46 2018 +0200

    Update Polish translation

 po/pl.po | 320
 ++++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 246 insertions(+), 74 deletions(-)

commit 1993d8a4a78fbd424a535ed31be9e5b36f37f8f9
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 11 02:09:21 2018 +0200

    Bug 768872 - Tiling Symmetry doesn't wrap vertical coordinates over...

    ... edges for MyPaint brush.

    Adding the concept of "stateful" symmetry when a tool needs to
    make sure
    of corresponding stroke numbers and orders while painting
    (i.e. stroke N
    at time T+1 is the continuation of stroke N at time T). This is
    the case
    for the MyPaint brushes and the ink tool.

 app/core/gimpsymmetry-tiling.c | 117
 +++++++++++++++++++++++++++++++----------
 app/core/gimpsymmetry.c        |  27 ++++++++++
 app/core/gimpsymmetry.h        |   3 ++
 app/paint/gimpink.c            |   2 +
 app/paint/gimpmybrushcore.c    |   2 +
 5 files changed, 123 insertions(+), 28 deletions(-)

commit 12ec7976d5ff9815c1371f24f3ccf8715587813d
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 11 01:15:52 2018 +0200

    NEWS, desktop: small fixes in NEWS and in <release> appdata.

 NEWS                                    |  5 +++--
 desktop/org.gimp.GIMP.appdata.xml.in.in | 11 ++++++-----
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 0a1dd3771922af526ac9cb709c28d0d7d410303e
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 11 01:12:19 2018 +0200

    desktop: preparing a new <release> tag for 2.10.0 RC2.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 4b725c6c031c8d581f21508b8b58da5144eda53f
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Apr 11 01:07:38 2018 +0300

    NEWS: more updates

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a627d4795186016c24810f45f604f84df1bbbf10
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Apr 11 01:05:08 2018 +0300

    NEWS: update

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 9f55de0b25f7a01253338e8530086569934228a4
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Apr 11 01:00:58 2018 +0300

    Update Russian translation

 po/ru.po | 491
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 304 insertions(+), 187 deletions(-)

commit 087d2462bca3d4f479928287a327c136baba2384
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Apr 10 23:29:41 2018 +0200

    configure/app: depend on babl 0.1.46

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dd77b0596717648e4a2a4078cf9cd9ef63f76d34
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Tue Apr 10 21:18:09 2018 +0300

    2.10: updates for appdata

 desktop/org.gimp.GIMP.appdata.xml.in.in | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 6453b371a95cd38279d0279072b9607ec0f52c99
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 11:07:53 2018 -0400

    app: fix status message of GimpToolGyroscope

 app/display/gimptoolgyroscope.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6255ae70b8c87d59745e002ea86cafcae2327f7
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 10 16:56:27 2018 +0200

    desktop: changes in appdata and 2.10 <release> now uncommented.

    I was hoping others would review this <release> text before submitting
    it to translators, but no such luck there. Anyway let's uncomment now
    because translators need to get the text sooner than later if we
    want as
    many localized version of the appdata text as possible at release.
    Everyone if you want to review the English and the contents of
    this tag,
    do it now!

 desktop/org.gimp.GIMP.appdata.xml.in.in | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 698253329228d80a482997186c303d7c210ed3ae
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 09:53:42 2018 -0400

    app: add custom GUI for gegl:panorama-projection

    ... which uses a gyroscope controller to control the op's rotation
    angles and zoom.

 app/propgui/Makefile.am                       |   2 +
 app/propgui/gimppropgui-panorama-projection.c | 144
 ++++++++++++++++++++++++++
 app/propgui/gimppropgui-panorama-projection.h |  35 +++++++
 app/propgui/gimppropgui.c                     |   3 +
 po/POTFILES.in                                |   1 +
 5 files changed, 185 insertions(+)

commit 8738d2f22b7940e9ff8a5fb2b486e928e912b4e9
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 09:51:48 2018 -0400

    app: add a gyroscope controller to prop-gui

    Add a gyroscope controller, providing a prop-gui interface to
    GimpToolGyroscope.

    Implement the gyroscope controller in GimpFilterTool.

 app/propgui/propgui-types.h        | 10 ++++-
 app/tools/gimpfiltertool-widgets.c | 91
 ++++++++++++++++++++++++++++++++++++++
 app/tools/gimpfiltertool.c         | 16 ++++---
 3 files changed, 109 insertions(+), 8 deletions(-)

commit 634d5ae57d7178eb5f8f451e2040b02cf542d9c3
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 09:41:41 2018 -0400

    app: add GimpToolGyroscope

    GimpToolGyroscope is a tool widget providing canvas interaction for
    3D rotation.  The widget doesn't preset a UI, but rather
    facilitates panning, rotation, and zoom, by dragging the canvas, or
    using the keyboard.

    Rotation is expressed using yaw/pitch/roll angles (performed in
    this order).  A zoom factor can be specified, which affects the
    magnitude of the rotation per distance traveled.  The widget can
    operate in inverse mode, performing an inverse transformation.

 app/display/Makefile.am         |   2 +
 app/display/gimptoolgyroscope.c | 857
 ++++++++++++++++++++++++++++++++++++++++
 app/display/gimptoolgyroscope.h |  58 +++
 po/POTFILES.in                  |   1 +
 4 files changed, 918 insertions(+)

commit 2c1f1c507c2711ddc565292b95a4252484da959c
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 09:40:55 2018 -0400

    app, cursors: add zoom cursor modifier

    To be used by GimpToolGyroscope.

 app/widgets/gimpcursor.c      |   1 +
 app/widgets/widgets-enums.h   |   1 +
 cursors/Makefile.am           |   1 +
 cursors/gimp-tool-cursors.xcf | Bin 77739 -> 78346 bytes
 cursors/modifier-zoom.png     | Bin 0 -> 173 bytes
 5 files changed, 3 insertions(+)

commit f81542e5c90dcef192c46d74b203cea59013dc51
Author: Ell <ell_se@yahoo.com>
Date:   Tue Apr 10 09:40:15 2018 -0400

    app, cursors: add rotate cursor modifier

    To be used by GimpToolGyroscope.

 app/widgets/gimpcursor.c      |   1 +
 app/widgets/widgets-enums.h   |   1 +
 cursors/Makefile.am           |   1 +
 cursors/gimp-tool-cursors.xcf | Bin 77065 -> 77739 bytes
 cursors/modifier-rotate.png   | Bin 0 -> 183 bytes
 5 files changed, 3 insertions(+)

commit ae6a7bf98f409d184e13ddfd18581777339c45eb
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 10 14:36:51 2018 +0200

    libgimpbase: improve multi-threaded stack traces.

    Since commit bb52431cdd, we get multi-thread traces in functions
    gimp_stack_trace_*(). Adding now the LLDB equivalent improvement.

    Also adding the process and thread id information, from which
    the trace
    order was made, atop the listing, as well as the thread list. This
    would
    allow to easily find and associate the threads.
    The problem is that sometimes the thread where we got a trace from may
    not matter (for instance signals, even such as SIGABRT or SIGSEGV,
    seem
    to sent a bit randomly to either the thread which provoked them or the
    main thread; there is a bit of contradictory info on this when reading
    on the topic, in my case I experienced this), in such case,
    getting all
    thread stack is important to find the origin of the signal.
    Other times it will highly matter, in particular when getting a trace
    for a WARNING or CRITICAL. This information will help to discriminate
    between thread traces.

 libgimpbase/gimputils.c | 70
 ++++++++++++++++++++++++++++++++++---------------
 1 file changed, 49 insertions(+), 21 deletions(-)

commit 4bc982b84abdf95e00f994b0bcf07aaa3f9cd760
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 10 14:16:33 2018 +0200

    Bug 795123 - plug-in crash starts neverending loop.

    Since commit 9c8a8ae576, we don't run gimp_quit(), which properly
    quits
    the plug-in executable, to make sure that GIMP gets the information
    that
    it crashed. Instead quit with `exit (EXIT_FAILURE)`.

 libgimp/gimp.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3f95dc52d3232cac64283d9514e6d8bcf32df951
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 10 02:00:23 2018 +0200

    Bug 791519 - Unexpected selection from channel

    Make sure a channel -> selection -> channel roundtrip never does any
    gamma conversion.

    In gimp_channel_duplicate(), make sure a created channel has the
    right format, and the right data. Fixes selection -> channel.

    When switching off quick mask, call gimp_item_to_selection() instead
    if gimp_selection_load(), the latter was implementing a shortcut which
    is now wrong.

    Remove gimp_selection_load() which is now unused.

    Unrelated: also remove gimp_selection_save(), it was an obvious
    3-liner used only twice.

 app/actions/select-commands.c   | 14 ++++++++---
 app/core/gimpchannel.c          | 32 +++++++++++++++++++++++++
 app/core/gimpimage-quick-mask.c |  6 ++---
 app/core/gimpselection.c        | 53
 -----------------------------------------
 app/core/gimpselection.h        |  4 ----
 app/pdb/selection-cmds.c        | 13 ++++++++--
 pdb/groups/selection.pdb        | 13 ++++++++--
 7 files changed, 68 insertions(+), 67 deletions(-)

commit 6effffba93c4d981e20df128ab9dd6a3f9308bb0
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 10 01:58:12 2018 +0200

    pdb: one of the recent typo fixes was in a generated file

 pdb/groups/plug_in_compat.pdb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bba8f695941fa52b1bef60c3c5cf8f251229fb18
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 10 00:26:01 2018 +0200

    Revert "Bug 791512 - make the selection boundary detection the same
    as 2.8"

    This commit was fixing only a symptom of our channel/selection
    problem, making it appear things were fine.

    This reverts commit 27512d802b221df14b7c805e4ceccf710fcd0e4e.

 app/core/gimpboundary.h                 | 3 +--
 app/core/gimpchannel.c                  | 4 ++--
 app/core/gimplayer-floating-selection.c | 2 +-
 app/tools/gimpregionselecttool.c        | 2 +-
 4 files changed, 5 insertions(+), 6 deletions(-)

commit 54ca0a7f68332b3a1195343bb9c6719dbf4579ec
Author: Elle Stone <ellestone@ninedegreesbelow.com>
Date:   Sat Apr 7 01:46:07 2018 -0400

    Add Gray theme back to GIMP

    that was removed by commit 7aecc90e10aa48bcbc73a5199c9591c16ff5b022

 configure.ac                                       |    1 +
 themes/Gray/.gitignore                             |    2 +
 themes/Gray/Makefile.am                            |  132 +
 themes/Gray/gtkrc                                  | 2523
 ++++++++++++++++++++
 themes/Gray/ui/arrow-down-insens.png               |  Bin 0 -> 232 bytes
 themes/Gray/ui/arrow-down-prelight.png             |  Bin 0 -> 221 bytes
 themes/Gray/ui/arrow-down-small-insens.png         |  Bin 0 -> 231 bytes
 themes/Gray/ui/arrow-down-small-prelight.png       |  Bin 0 -> 207 bytes
 themes/Gray/ui/arrow-down-small.png                |  Bin 0 -> 207 bytes
 themes/Gray/ui/arrow-down.png                      |  Bin 0 -> 221 bytes
 themes/Gray/ui/arrow-left-insens.png               |  Bin 0 -> 228 bytes
 themes/Gray/ui/arrow-left-prelight.png             |  Bin 0 -> 227 bytes
 themes/Gray/ui/arrow-left.png                      |  Bin 0 -> 227 bytes
 themes/Gray/ui/arrow-right-insens.png              |  Bin 0 -> 236 bytes
 themes/Gray/ui/arrow-right-prelight.png            |  Bin 0 -> 225 bytes
 themes/Gray/ui/arrow-right.png                     |  Bin 0 -> 225 bytes
 themes/Gray/ui/arrow-up-insens.png                 |  Bin 0 -> 231 bytes
 themes/Gray/ui/arrow-up-prelight.png               |  Bin 0 -> 221 bytes
 themes/Gray/ui/arrow-up-small-insens.png           |  Bin 0 -> 208 bytes
 themes/Gray/ui/arrow-up-small-prelight.png         |  Bin 0 -> 199 bytes
 themes/Gray/ui/arrow-up-small.png                  |  Bin 0 -> 199 bytes
 themes/Gray/ui/arrow-up.png                        |  Bin 0 -> 221 bytes
 themes/Gray/ui/bar-h.png                           |  Bin 0 -> 162 bytes
 themes/Gray/ui/bar-v.png                           |  Bin 0 -> 170 bytes
 themes/Gray/ui/button-default.png                  |  Bin 0 -> 515 bytes
 themes/Gray/ui/button-insensitive.png              |  Bin 0 -> 380 bytes
 themes/Gray/ui/button-normal.png                   |  Bin 0 -> 422 bytes
 themes/Gray/ui/button-prelight.png                 |  Bin 0 -> 414 bytes
 themes/Gray/ui/button-pressed.png                  |  Bin 0 -> 419 bytes
 themes/Gray/ui/check1.png                          |  Bin 0 -> 288 bytes
 themes/Gray/ui/check2.png                          |  Bin 0 -> 290 bytes
 themes/Gray/ui/check3.png                          |  Bin 0 -> 272 bytes
 themes/Gray/ui/combo-entry-border-active-bg.png    |  Bin 0 -> 153 bytes
 .../Gray/ui/combo-entry-border-active-notebook.png |  Bin 0 -> 153 bytes
 .../ui/combo-entry-border-active-rtl-notebook.png  |  Bin 0 -> 152 bytes
 themes/Gray/ui/combo-entry-border-bg.png           |  Bin 0 -> 153 bytes
 themes/Gray/ui/combo-entry-border-disabled-bg.png  |  Bin 0 -> 153 bytes
 .../ui/combo-entry-border-disabled-notebook.png    |  Bin 0 -> 153 bytes
 .../Gray/ui/combo-entry-border-disabled-rtl-bg.png |  Bin 0 -> 152 bytes
 .../combo-entry-border-disabled-rtl-notebook.png   |  Bin 0 -> 152 bytes
 themes/Gray/ui/combo-entry-border-notebook.png     |  Bin 0 -> 153 bytes
 themes/Gray/ui/combo-entry-border-rtl-bg.png       |  Bin 0 -> 152 bytes
 themes/Gray/ui/combo-entry-border-rtl-notebook.png |  Bin 0 -> 152 bytes
 themes/Gray/ui/combo-entry-button-active-rtl.png   |  Bin 0 -> 147 bytes
 themes/Gray/ui/combo-entry-button-active.png       |  Bin 0 -> 148 bytes
 themes/Gray/ui/combo-entry-button-disabled-rtl.png |  Bin 0 -> 153 bytes
 themes/Gray/ui/combo-entry-button-disabled.png     |  Bin 0 -> 152 bytes
 themes/Gray/ui/combo-entry-button-rtl.png          |  Bin 0 -> 153 bytes
 themes/Gray/ui/combo-entry-button.png              |  Bin 0 -> 152 bytes
 themes/Gray/ui/down-pre.png                        |  Bin 0 -> 159 bytes
 themes/Gray/ui/down.png                            |  Bin 0 -> 160 bytes
 themes/Gray/ui/entry-border-active-bg.png          |  Bin 0 -> 154 bytes
 themes/Gray/ui/entry-border-active-notebook.png    |  Bin 0 -> 154 bytes
 themes/Gray/ui/entry-border-disabled-bg.png        |  Bin 0 -> 171 bytes
 themes/Gray/ui/entry-border-disabled-notebook.png  |  Bin 0 -> 171 bytes
 themes/Gray/ui/entry-border-fill-active-item.png   |  Bin 0 -> 125 bytes
 themes/Gray/ui/entry-border-fill-active.png        |  Bin 0 -> 141 bytes
 themes/Gray/ui/entry-border-fill.png               |  Bin 0 -> 141 bytes
 themes/Gray/ui/entry-border-notebook-null.png      |  Bin 0 -> 4013 bytes
 themes/Gray/ui/entry-border-notebook.png           |  Bin 0 -> 193 bytes
 themes/Gray/ui/ext-bottom.png                      |  Bin 0 -> 166 bytes
 themes/Gray/ui/ext-left.png                        |  Bin 0 -> 165 bytes
 themes/Gray/ui/ext-right.png                       |  Bin 0 -> 164 bytes
 themes/Gray/ui/ext-top.png                         |  Bin 0 -> 166 bytes
 themes/Gray/ui/extension-bottom.png                |  Bin 0 -> 166 bytes
 themes/Gray/ui/extension-left.png                  |  Bin 0 -> 165 bytes
 themes/Gray/ui/extension-right.png                 |  Bin 0 -> 164 bytes
 themes/Gray/ui/extension-top.png                   |  Bin 0 -> 166 bytes
 themes/Gray/ui/frame-gap-end.png                   |  Bin 0 -> 168 bytes
 themes/Gray/ui/frame-gap-start.png                 |  Bin 0 -> 168 bytes
 themes/Gray/ui/frame.png                           |  Bin 0 -> 212 bytes
 themes/Gray/ui/gap_bottom.png                      |  Bin 0 -> 186 bytes
 themes/Gray/ui/gap_left.png                        |  Bin 0 -> 189 bytes
 themes/Gray/ui/gap_right.png                       |  Bin 0 -> 186 bytes
 themes/Gray/ui/gap_top.png                         |  Bin 0 -> 187 bytes
 themes/Gray/ui/gimp-arrow-down-insensitive.png     |  Bin 0 -> 236 bytes
 themes/Gray/ui/gimp-arrow-down-insenstive.png      |  Bin 0 -> 236 bytes
 themes/Gray/ui/gimp-arrow-down.png                 |  Bin 0 -> 218 bytes
 themes/Gray/ui/gimp-arrow-left.png                 |  Bin 0 -> 220 bytes
 themes/Gray/ui/gimp-arrow-right-dark.png           |  Bin 0 -> 232 bytes
 themes/Gray/ui/gimp-arrow-right-prelight.png       |  Bin 0 -> 179 bytes
 themes/Gray/ui/gimp-arrow-right.png                |  Bin 0 -> 221 bytes
 themes/Gray/ui/gimp-arrow-up.png                   |  Bin 0 -> 216 bytes
 themes/Gray/ui/gimp-button-default.png             |  Bin 0 -> 515 bytes
 themes/Gray/ui/gimp-button-insensitive.png         |  Bin 0 -> 380 bytes
 themes/Gray/ui/gimp-button-normal.png              |  Bin 0 -> 422 bytes
 themes/Gray/ui/gimp-button-prelight.png            |  Bin 0 -> 4184 bytes
 themes/Gray/ui/gimp-button-pressed.png             |  Bin 0 -> 4030 bytes
 themes/Gray/ui/gimp-handle-h.png                   |  Bin 0 -> 4962 bytes
 themes/Gray/ui/gimp-handle-v.png                   |  Bin 0 -> 4969 bytes
 themes/Gray/ui/gimp-line-h.png                     |  Bin 0 -> 185 bytes
 themes/Gray/ui/gimp-line-v.png                     |  Bin 0 -> 184 bytes
 themes/Gray/ui/gimp-menu-line-h.png                |  Bin 0 -> 183 bytes
 themes/Gray/ui/gimp-tooltip-bg.png                 |  Bin 0 -> 438 bytes
 themes/Gray/ui/list_header-pressed.png             |  Bin 0 -> 203 bytes
 themes/Gray/ui/list_header.png                     |  Bin 0 -> 214 bytes
 themes/Gray/ui/menu-arrow-prelight.png             |  Bin 0 -> 179 bytes
 themes/Gray/ui/menu-arrow.png                      |  Bin 0 -> 180 bytes
 themes/Gray/ui/menu-prelight.png                   |  Bin 0 -> 154 bytes
 themes/Gray/ui/menu.png                            |  Bin 0 -> 140 bytes
 themes/Gray/ui/menubar.png                         |  Bin 0 -> 157 bytes
 themes/Gray/ui/menuitem-prelight.png               |  Bin 0 -> 146 bytes
 themes/Gray/ui/menuitem.png                        |  Bin 0 -> 146 bytes
 themes/Gray/ui/minus.png                           |  Bin 0 -> 264 bytes
 themes/Gray/ui/notebook.png                        |  Bin 0 -> 3722 bytes
 themes/Gray/ui/null.png                            |  Bin 0 -> 173 bytes
 themes/Gray/ui/option1.png                         |  Bin 0 -> 371 bytes
 themes/Gray/ui/option2.png                         |  Bin 0 -> 367 bytes
 themes/Gray/ui/option3.png                         |  Bin 0 -> 360 bytes
 themes/Gray/ui/plus.png                            |  Bin 0 -> 269 bytes
 themes/Gray/ui/progressbar-trough.png              |  Bin 0 -> 3493 bytes
 themes/Gray/ui/progressbar.png                     |  Bin 0 -> 4409 bytes
 themes/Gray/ui/shadow-in-alt.png                   |  Bin 0 -> 206 bytes
 themes/Gray/ui/shadow-in.png                       |  Bin 0 -> 219 bytes
 themes/Gray/ui/shadow-null.png                     |  Bin 0 -> 146 bytes
 themes/Gray/ui/shadow-out.png                      |  Bin 0 -> 228 bytes
 themes/Gray/ui/slider-h.png                        |  Bin 0 -> 168 bytes
 themes/Gray/ui/slider-v.png                        |  Bin 0 -> 149 bytes
 themes/Gray/ui/spin-down-insensitive.png           |  Bin 0 -> 213 bytes
 themes/Gray/ui/spin-down-normal.png                |  Bin 0 -> 200 bytes
 themes/Gray/ui/spin-down-pressed.png               |  Bin 0 -> 204 bytes
 themes/Gray/ui/spin-fill-bg.png                    |  Bin 0 -> 3397 bytes
 themes/Gray/ui/spin-insensitive.png                |  Bin 0 -> 224 bytes
 themes/Gray/ui/spin-up-insensitive.png             |  Bin 0 -> 194 bytes
 themes/Gray/ui/spin-up-normal.png                  |  Bin 0 -> 202 bytes
 themes/Gray/ui/spin-up-pressed.png                 |  Bin 0 -> 194 bytes
 themes/Gray/ui/spin.png                            |  Bin 0 -> 244 bytes
 themes/Gray/ui/toolbar.png                         |  Bin 0 -> 130 bytes
 themes/Gray/ui/transparent.png                     |  Bin 0 -> 179 bytes
 themes/Makefile.am                                 |    2 +-
 130 files changed, 2659 insertions(+), 1 deletion(-)

commit f5cb1fed85341a9d0a46fb1391b19fa9ea3ccb42
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 9 14:25:57 2018 -0400

    Bug 795081 - Crash when using a brush combined with a dynamics

    In GimpPaintTool, brush outline generation took place during
    gimp_paint_tool_draw() even while painting.  This function is run
    concurrently with the paint thread.  When using dynamics, this
    introduced a race conidition between updating the brush mask in the
    paint thread, and updating the brush boundary in the main thread.

    Move brush outline generation during painting to
    gimppainttool-paint.c, and perform it in the display-update
    timeout, while the main thread and the paint thread are
    synchronized.

 app/core/gimpdrawable.c         |  8 +++++++
 app/core/gimpdrawable.h         |  1 +
 app/tools/gimppainttool-paint.c | 47
 ++++++++++++++++++++++++++++++++++++++---
 app/tools/gimppainttool.c       | 28 ++++++++++++++++--------
 app/tools/gimppainttool.h       | 32 +++++++++++++++-------------
 5 files changed, 89 insertions(+), 27 deletions(-)

commit e98506b0007af9e6d81bba2c89f1d8b0b7cb6e52
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 9 12:16:50 2018 -0400

    app: remove option for paint tools to opt out of a separate thread

    After last commit, all paint tools work correctly with a separate
    paint thread, so we can remove the option for specific paint tools
    to opt out.  Particularly, GimpMybrushTool now uses a separate
    paint thread too.

    Note that the separate paint thread can still be disabled through
    the GIMP_NO_PAINT_THREAD environment variable.

 app/tools/gimpmybrushtool.c     | 5 ++---
 app/tools/gimppainttool-paint.c | 3 +--
 app/tools/gimppainttool.c       | 2 --
 app/tools/gimppainttool.h       | 2 --
 4 files changed, 3 insertions(+), 9 deletions(-)

commit 2ae16ca6045d3c8c1efbf8e624335bd7d8f25cc6
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 9 12:09:51 2018 -0400

    app: reorganize gimppaintool-paint

    Reorganize/clean up gimppainttool-paint.  In particular, move all
    paint-core interaction during painting to gimppainttool-paint.c, so
    that we can have more control over what's going on; specifically,
    enter the drawable into paint mode *before* starting the paint
    core, so that it picks up the correct buffer.  This fixes painting
    with the paint thread using GimpApplicator, and enables us to use
    the paint thread with GimpMybrushTool.

 app/tools/gimppainttool-paint.c | 310
 ++++++++++++++++++++++++++++++----------
 app/tools/gimppainttool-paint.h |  17 ++-
 app/tools/gimppainttool.c       | 127 +++-------------
 app/tools/gimppainttool.h       |   3 +
 4 files changed, 269 insertions(+), 188 deletions(-)

commit f77edcdf193e8c7b3117f797ec3daddccb5e4b20
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 9 06:08:48 2018 +0200

    app: do not use gimp_filename_to_utf8() in the signal handler.

    This function is unsafe during signal handling. And in any case, when
    printing to stderr, I don't think we need to convert to UTF-8. Quite
    the
    contrary, the system encoding may be more appropriate.

 app/errors.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ab7c3d2b2407f50c3d045e85032e1e7e1e59c444
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 9 04:40:48 2018 +0200

    libgimpbase: oups, I lost the "full" option in my backtrace.

    Quite useful to get values of local variables when possible.

 libgimpbase/gimputils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9dfd35be054125ab7ba8b5201490ffae96a74056
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 9 04:02:36 2018 +0200

    build: update base dependencies to fix flatpak.

 build/flatpak/flathub | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb52431cdd424a9068069977549e5eab66768bad
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 9 02:15:37 2018 +0200

    libgimpbase: gimp_stack_trace_*() should get backtraces for all
    threads.

    Now that GIMP core is multi-threaded, let's get traces for all
    threads,
    otherwise we may get some useless traces in some cases.

 libgimpbase/gimputils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 53fae39aeed4634dde5377da777d09b26744c9f4
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 8 22:55:19 2018 +0200

    Bug 795057 - Insensitive text in plug-ins is unreadable with dark
    themes

    Copy the fix from app/gui/themes.c to libgimp/gimpui.c so insensitive
    labels look right in plug-ins too.

 libgimp/gimpui.c | 113
 +++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 106 insertions(+), 7 deletions(-)

commit c4975dd8937921c22d368867b05e2a4705c7f18f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 8 22:20:05 2018 +0200

    Update Polish translation

 po-libgimp/pl.po  |   55 +--
 po-plug-ins/pl.po |    8 +-
 po/pl.po          | 1294
 +++++++++++++++++++++++++++--------------------------
 3 files changed, 698 insertions(+), 659 deletions(-)

commit 7fdb963e018c5413036bc1dd547c7a812e20302d
Author: luz.paz <luzpaz@users.noreply.github.com>
Date:   Sat Mar 24 16:49:01 2018 -0400

    Bug 794996 - Misc. typo fixes in comments in app/

    Found via `codespell -q 3 --skip="./po*"`

 app/actions/debug-commands.c                   | 2 +-
 app/app.c                                      | 2 +-
 app/core/gimpboundary.c                        | 4 ++--
 app/core/gimpbrush.c                           | 4 ++--
 app/core/gimpdrawable-preview.h                | 2 +-
 app/core/gimpdrawablefilter.c                  | 2 +-
 app/core/gimpdynamicsoutput.c                  | 2 +-
 app/core/gimpimage-convert-indexed.c           | 2 +-
 app/core/gimpimage-guides.h                    | 2 +-
 app/core/gimpimage-preview.h                   | 2 +-
 app/core/gimpimage-sample-points.h             | 2 +-
 app/core/gimpimageundo.c                       | 2 +-
 app/core/gimpitem-preview.h                    | 2 +-
 app/core/gimppickable-contiguous-region.c      | 2 +-
 app/core/gimptag.c                             | 2 +-
 app/core/gimpviewable.c                        | 4 ++--
 app/display/gimpdisplayshell.c                 | 2 +-
 app/display/gimpimagewindow.c                  | 2 +-
 app/display/gimpmotionbuffer.c                 | 2 +-
 app/display/gimpmotionbuffer.h                 | 2 +-
 app/display/gimptoolrectangle.c                | 8 ++++----
 app/gegl/gimp-babl.c                           | 2 +-
 app/gui/gui-message.c                          | 2 +-
 app/gui/gui-unique.c                           | 2 +-
 app/gui/gui.c                                  | 2 +-
 app/operations/gimpoperationborder.c           | 2 +-
 app/operations/gimpoperationgrow.c             | 2 +-
 app/paint/gimpbrushcore.c                      | 8 ++++----
 app/paint/gimpmybrushsurface.c                 | 2 +-
 app/paint/gimppaintcore.c                      | 6 +++---
 app/pdb/plug-in-compat-cmds.c                  | 2 +-
 app/plug-in/gimppluginmanager-file-procedure.c | 2 +-
 app/plug-in/gimppluginmanager.c                | 2 +-
 app/tests/test-ui.c                            | 2 +-
 app/tools/gimpcagetool.h                       | 2 +-
 app/tools/gimpfliptool.c                       | 4 ++--
 app/tools/gimpiscissorstool.c                  | 2 +-
 app/tools/gimpoperationtool.c                  | 2 +-
 app/tools/gimppainttool.c                      | 2 +-
 app/tools/gimpseamlessclonetool.c              | 6 +++---
 app/tools/gimptransformtool.c                  | 2 +-
 app/tools/gimpwarptool.c                       | 2 +-
 app/vectors/gimpbezierstroke.c                 | 2 +-
 app/vectors/gimpvectors-preview.h              | 2 +-
 app/widgets/gimpaction-history.c               | 2 +-
 app/widgets/gimpdnd.c                          | 2 +-
 app/widgets/gimpdock.c                         | 2 +-
 app/widgets/gimpdockbook.c                     | 2 +-
 app/widgets/gimphistogramview.c                | 2 +-
 app/widgets/gimppaletteview.c                  | 2 +-
 app/widgets/gimppanedbox.c                     | 4 ++--
 app/widgets/gimpsearchpopup.c                  | 2 +-
 app/widgets/gimpselectiondata.c                | 2 +-
 app/xcf/xcf-save.c                             | 2 +-
 54 files changed, 69 insertions(+), 69 deletions(-)

commit 8994246be259d05c33942a5c908c0907f96e0c5b
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 8 20:26:32 2018 +0200

    Bug 791519 - Unexpected selection from channel

    One additional fix for the gimp-channel-combine-masks procedure,
    it needs both the combined *and* combined-to buffer in
    gimp_gegl_mask_combine_buffer() to be treated specially.

 app/gegl/gimp-gegl-mask-combine.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit bb4ac7c8293ad994f82b257b32fc27c3eafd2b26
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 8 19:16:58 2018 +0200

    Bug 791519 - Unexpected selection from channel

    Storing selections and layer masks as linear grayscale, but channels
    as whatever-the-layers-are caused severe problems in images with
    gamma-corrected layers: when combining channels with the selection,
    they would go thorugh a gamma conversion before being combined, giving
    unexpected results.

    This commit changes all channels to always be linear, except in 8-bit
    images, where they continue to be "Y' u8", for compatibility with old
    XCF files, and because linear 8-bit can't really be used in
    compositing (channels can be visible too).

    To fix channel -> selection combinations also for these images, add a
    small hack to gimp_gegl_mask_combine_buffer() which makes sure the
    to-be-combined channel's pixels are always read as-is, without any
    gamma conversion. After changing channels to linear, this makes no
    difference except in the 8-bit images where we need this hack.

 app/core/gimpimage.c              | 13 ++++++++++---
 app/gegl/gimp-gegl-mask-combine.c | 19 ++++++++++++++++++-
 2 files changed, 28 insertions(+), 4 deletions(-)

commit 8e7a34297fe993c1e8de9d85ecd61c73a1e4afd4
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 8 09:28:23 2018 -0400

    app: move painting to a separate thread

    Add gimppainttool-paint.[ch], which takes care of painting during
    motion events in GimpPaintTool.  Perform the actual painting in a
    separate thread, so that display updates, which can have a
    significant synchronization overhead, don't stall painting.

    Allow specific paint tools to opt-out of a separate paint thread,
    and avoid it in GimpMybrushTool, since it doesn't seem to work.

    The separate paint thread can be explicitly disabled by setting the
    GIMP_NO_PAINT_THREAD environment variable.

 app/tools/Makefile.am           |   2 +
 app/tools/gimpmybrushtool.c     |   5 +-
 app/tools/gimppainttool-paint.c | 312
 ++++++++++++++++++++++++++++++++++++++++
 app/tools/gimppainttool-paint.h |  30 ++++
 app/tools/gimppainttool.c       |  19 +--
 app/tools/gimppainttool.h       |   2 +
 6 files changed, 359 insertions(+), 11 deletions(-)

commit ce9ca03ed47eb2e2fe6cd18a467d02e1bcff5fe2
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 8 09:21:46 2018 -0400

    app: add gimp_drawable_{start,end,flush}_paint()

    gimp_drawable_start/end_paint() are used to enter/exit paint mode
    for a given drawable.  While the drawable is in paint mode,
    gimp_drawable_get_buffer() returns a copy of the real drawable's
    buffer, referred to as the paint buffer, so that modifications to
    the returned buffer don't immediately affect the projection, and
    calls to gimp_drawable_update() queue the updated region, instead
    of emitting an "update" signal.

    gimp_drawable_flush_paint() can be called while the drawable is in
    paint mode, in order to copy the updated region of the paint buffer
    back to the drawable's real buffer, and to emit "update" signals
    for the queued region.

    We use these functions in the next commit, to move painting to a
    separate thread in the paint tools.

 app/core/gimpdrawable-filters.c |   1 +
 app/core/gimpdrawable-private.h |   5 ++
 app/core/gimpdrawable-shadow.c  |   1 +
 app/core/gimpdrawable.c         | 169
 +++++++++++++++++++++++++++++++++++++++-
 app/core/gimpdrawable.h         |   4 +
 app/text/gimptextlayer-xcf.c    |   1 +
 6 files changed, 178 insertions(+), 3 deletions(-)

commit db50c72c24fffd07d3bdcadc6a633b864d065fac
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 8 09:16:53 2018 -0400

    app: align display paint area to a coarse grid

    Align rectangles added to the display paint area, in
    gimp_display_paint_area(), to a coarse grid, to reduce the
    complexity of ther overall area.  This is similar to commit
    49285463e6c0cc03c361902df4e3006fa135dde3, however the alignment
    happens in display space, instead of image space.

 app/display/gimpdisplay.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 440be88035812bfbe290c203b396b24b88de1eb5
Author: Thomas Manni <thomas.manni@free.fr>
Date:   Sun Apr 8 13:03:11 2018 +0200

    Bug 794926 - Foreground select tool: several critical errors when ...

    ... double click during trimap painting

    Disable double click when the tool is in trimap paint state.

 app/tools/gimpforegroundselecttool.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 6ebc3f1b090194e02b6e5f6d4fd20e4f856a861f
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 8 03:59:49 2018 -0400

    Makefiles: don't use -xobjective-c when linking files on Mac

    Last commit caused -xobjective-c to be passed during linking on
    Mac, causing object files to be treated as source files.  Add a
    -xnone flag to AM_LDFLAGS, canceling the effect of -xobjective-c.

    Additinally, add a -xobjective-c++ flag to AM_CXXFLAGS, so that we
    can use Objective-C in C++ files on Mac, if we ever need to.

 app-tools/Makefile.am          |  8 ++++++++
 app/core/Makefile.am           |  8 ++++++++
 app/display/Makefile.am        |  8 ++++++++
 app/gui/Makefile.am            |  8 ++++++++
 app/widgets/Makefile.am        |  8 ++++++++
 libgimp/Makefile.am            | 14 ++++++++++++--
 libgimpbase/Makefile.am        | 11 ++++++++++-
 libgimpthumb/Makefile.am       | 11 ++++++++++-
 libgimpwidgets/Makefile.am     | 11 ++++++++++-
 plug-ins/script-fu/Makefile.am | 24 +++++++++++++++---------
 tools/Makefile.am              |  8 ++++++++
 11 files changed, 105 insertions(+), 14 deletions(-)

commit 06950be7f0a10145c9e7c4f60d0afcb58dba89a5
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 7 16:39:13 2018 -0400

    Makefiles: don't use -xobjective-c when compiling C++ files on Mac

    On Mac, pass -xobjective-c to the compiler through AM_CFLAGS, not
    AM_CPPFLAGS, so that it's only used for C sources, and not C++
    sources.  In the latter case, it clashes with the -std=... flag,
    spewing an error.  Thanks, Partha :)

 app-tools/Makefile.am          | 4 +++-
 app/core/Makefile.am           | 4 +++-
 app/display/Makefile.am        | 4 +++-
 app/gui/Makefile.am            | 4 +++-
 app/widgets/Makefile.am        | 4 +++-
 libgimp/Makefile.am            | 4 +++-
 libgimpbase/Makefile.am        | 4 +++-
 libgimpthumb/Makefile.am       | 4 +++-
 libgimpwidgets/Makefile.am     | 4 +++-
 plug-ins/script-fu/Makefile.am | 6 +++---
 tools/Makefile.am              | 4 +++-
 11 files changed, 33 insertions(+), 13 deletions(-)

commit bea27171ad56179e89fbace3ef1614e35565cbb1
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 7 11:46:58 2018 -0400

    app: throttle statusbar progress updates

    Statusbar progress updates that update the progress bar are
    relatively expensive, slowing down operations that report progress
    frequently.  Only update the progress bar if a certain amount of
    time has passed since the last update, to counter that.

 app/display/gimpstatusbar.c | 71
 ++++++++++++++++++++++++++++++---------------
 app/display/gimpstatusbar.h |  1 +
 2 files changed, 48 insertions(+), 24 deletions(-)

commit 87a10aaf9e75a1b65d1630a7e2539186e4d67b78
Author: Ell <ell_se@yahoo.com>
Date:   Sat Apr 7 11:35:25 2018 -0400

    Bug 795048 - Image->mode->Grayscale results in a black or transparent
    image

    In gimp_gegl_convert_color_profile(), when src/dest_rect is NULL,
    use the extents of src/dest_buffer, instead of passing a NULL area
    to gimp_parallel_distribute_area(), which results in a CRITICAL.

    Additionally, only report progress on the main thread.

 app/gegl/gimp-gegl-loops.cc | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 81e1e3967d0395c2f10ffc312c8409327041cf0c
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Apr 7 14:30:30 2018 +0200

    app: silence gcc warning

    gimp-templates.c:143:15: warning: ‘strncpy’ output truncated
    before terminating nul copying 3 bytes from a string of the same
    length [-Wstringop-truncation]
                   strncpy (dpi, "ppi", 3);
                   ^~~~~~~~~~~~~~~~~~~~~~~

 app/core/gimp-templates.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dd2f2f371120a6eda501a3c3230b1f394eccb7a
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Apr 7 12:27:53 2018 +0200

    Bug 770424 - Themes: insensitive menu item are not readable

    Need to check if we must override PixbufStyle's draw_layout() after
    each theme change, not only at the beginning of themes_init(), so it
    works also when the the pixbuf engine was not already loaded at
    startup.

 app/gui/themes.c | 83
 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 48 insertions(+), 35 deletions(-)

commit 0ae8e356d185ebbbb92fe53940512dc0a70acf8c
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 7 01:19:57 2018 +0200

    po: fix desktop file keywords syntax for Basque translation.

    Some tool in flatpak-build was failing to validate the keywords
    because
    of this localization. It was complaining that:

    > key "Keywords[eu]" in group "Desktop Entry" does not have a
    semicolon
    > (';') as trailing character

 po/eu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d907898c65c706fc5417e3c7c90d5c8299263385
Author: Jehan <jehan@girinstud.io>
Date:   Sat Apr 7 01:17:09 2018 +0200

    build: update dev and nightly flatpak manifests.

    Dev flatpak now builds the 2.10.0 RC1.
    Both manifest tested and working.

 build/flatpak/org.gimp.GIMP-dev.json     | 39
 ++++++++++++++++++++++++++------
 build/flatpak/org.gimp.GIMP-nightly.json |  7 ++----
 2 files changed, 34 insertions(+), 12 deletions(-)

commit d2c4db1984d5266be76b5698c09e323c4bae13f5
Author: Jehan <jehan@girinstud.io>
Date:   Fri Apr 6 21:08:34 2018 +0200

    build: upstream flathub build and base modules updated too.

 build/flatpak/flathub | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 494f68418a0809eeb496eb8b6575dee37f3b2ee7
Author: Jehan <jehan@girinstud.io>
Date:   Fri Apr 6 20:59:16 2018 +0200

    build: do not bundle glib anymore.

    We now use the GNOME 3.28 runtime and glib 2.56.0 is bundled with it.

 build/flatpak/org.gimp.GIMP-nightly.json | 29
 -----------------------------
 1 file changed, 29 deletions(-)

commit 43549b7a385e0e6975ae9c2a08ee34e0eb2c9785
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Apr 6 12:56:31 2018 +0200

    app: remove some references to TileManager from xcf-load.c comments

    and minor whitepace cleanup.

 app/xcf/xcf-load.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f7c2ce9b1359e414ca53273bcea9787bdb51dc3d
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 5 19:14:59 2018 -0400

    app: fix smudge tool artifacts

    Commit cb239e60f6ef91ba66373a285ab2f5cbeb700eb8 introduced
    artifacts when using the smudge tool with multithreads.  Fix this
    (caused by a wrong offset passed to an iterator) plus indentation
    fixes.

 app/gegl/gimp-gegl-loops.cc | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit d66839993d2d7db47276e2fa964d0802ecc7430a
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Apr 6 02:09:48 2018 +0300

    Updated Russian translation

 po/ru.po | 1747
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 896 insertions(+), 851 deletions(-)

commit 87b96116289b56d1410fab58ef28fd8def5fd571
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 5 23:57:34 2018 +0200

    app: fix build error "‘memset’ was not declared in this scope".

 app/paint/gimpbrushcore-loops.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 299a258237f3b5309068b73b310cbd49a10d8fe7
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Apr 6 00:44:15 2018 +0300

    NEWS: keep updated

 NEWS | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4336e2e52a5bd5dfdc31ccdf2e0594cf93b3ca90
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 5 17:30:51 2018 -0400

    app: parallelize gimpbrushcore-loops.cc

    Use gimp_parallel_distribute_foo() to parallelize the brush core
    loops.

 app/paint/gimpbrushcore-loops.cc | 204
 ++++++++++++++++++++++++---------------
 1 file changed, 126 insertions(+), 78 deletions(-)

commit 6e314b5090b2d75603f919fb5d9306f822ead285
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 5 14:05:10 2018 -0400

    app: move brush-core loops to a separate file

    Move gimp_brush_core_{subsample,pressurize,solidify}_mask() to a
    separate gimpbrushcore-loops.cc file, so that they can be C++-ified
    independently from the rest of the code.  The next commit
    parallelizes them.

 app/paint/Makefile.am            |   2 +
 app/paint/gimpbrushcore-loops.cc | 379
 +++++++++++++++++++++++++++++++++++++++
 app/paint/gimpbrushcore-loops.h  |  37 ++++
 app/paint/gimpbrushcore.c        | 359
 +-----------------------------------
 4 files changed, 419 insertions(+), 358 deletions(-)

commit f7ea9abc732f925fdf1604d275d659c790ce304b
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 5 13:41:36 2018 -0400

    app: add include guards to gimppatincore-loops.h

 app/paint/gimppaintcore-loops.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit cf21dcbe374475ef9f9f19cf491a1be39b9c5dd8
Author: Ville Pätsi <drc@gimp.org>
Date:   Thu Apr 5 18:24:44 2018 +0300

    Rework and rename the default Dark theme

 app/config/gimpguiconfig.h                         |   2 +-
 docs/gimprc.5.in                                   |   2 +-
 etc/gimprc.in                                      |   2 +-
 themes/Dark/Makefile.am                            |   4 +-
 themes/Dark/gtkrc                                  | 266
 ++++++++++++++-------
 themes/Dark/ui/arrow-right.png                     | Bin 226 ->
 4994 bytes
 themes/Dark/ui/button-default.png                  | Bin 517 ->
 1134 bytes
 themes/Dark/ui/button-prelight.png                 | Bin 369 ->
 1835 bytes
 themes/Dark/ui/button-pressed.png                  | Bin 377 ->
 1653 bytes
 themes/Dark/ui/check1.png                          | Bin 247 ->
 1758 bytes
 themes/Dark/ui/check2.png                          | Bin 7436 ->
 4223 bytes
 themes/Dark/ui/check3.png                          | Bin 5978 ->
 6348 bytes
 themes/Dark/ui/combo-entry-border-active-bg.png    | Bin 191 ->
 4930 bytes
 .../Dark/ui/combo-entry-border-active-notebook.png | Bin 185 ->
 4929 bytes
 .../ui/combo-entry-border-active-rtl-notebook.png  | Bin 185 ->
 4932 bytes
 themes/Dark/ui/combo-entry-border-bg.png           | Bin 191 ->
 4926 bytes
 themes/Dark/ui/combo-entry-border-disabled-bg.png  | Bin 191 ->
 4928 bytes
 .../ui/combo-entry-border-disabled-notebook.png    | Bin 185 ->
 4928 bytes
 .../Dark/ui/combo-entry-border-disabled-rtl-bg.png | Bin 191 ->
 4933 bytes
 .../combo-entry-border-disabled-rtl-notebook.png   | Bin 185 ->
 4931 bytes
 themes/Dark/ui/combo-entry-border-notebook.png     | Bin 185 -> 942 bytes
 themes/Dark/ui/combo-entry-border-rtl-bg.png       | Bin 191 ->
 4931 bytes
 themes/Dark/ui/combo-entry-border-rtl-notebook.png | Bin 185 ->
 4932 bytes
 themes/Dark/ui/combo-entry-button-active-rtl.png   | Bin 175 ->
 4934 bytes
 themes/Dark/ui/combo-entry-button-active.png       | Bin 175 ->
 4935 bytes
 themes/Dark/ui/combo-entry-button-disabled-rtl.png | Bin 191 ->
 4962 bytes
 themes/Dark/ui/combo-entry-button-disabled.png     | Bin 191 ->
 4937 bytes
 themes/Dark/ui/combo-entry-button-rtl.png          | Bin 191 ->
 4939 bytes
 themes/Dark/ui/combo-entry-button.png              | Bin 191 -> 972 bytes
 themes/Dark/ui/entry-border-active-bg.png          | Bin 197 ->
 4939 bytes
 themes/Dark/ui/entry-border-active-notebook.png    | Bin 168 ->
 4940 bytes
 themes/Dark/ui/entry-border-disabled-bg.png        | Bin 150 ->
 4941 bytes
 themes/Dark/ui/entry-border-disabled-notebook.png  | Bin 150 ->
 4939 bytes
 themes/Dark/ui/entry-border-fill-active.png        | Bin 125 ->
 4896 bytes
 themes/Dark/ui/entry-border-fill.png               | Bin 125 ->
 4891 bytes
 themes/Dark/ui/entry-border-notebook.png           | Bin 172 ->
 4924 bytes
 themes/Dark/ui/ext-bottom.png                      | Bin 148 ->
 5205 bytes
 themes/Dark/ui/ext-left.png                        | Bin 149 ->
 5355 bytes
 themes/Dark/ui/extension-bottom.png                | Bin 3911 ->
 5284 bytes
 themes/Dark/ui/frame-gap-end.png                   | Bin 124 ->
 4892 bytes
 themes/Dark/ui/frame-gap-start.png                 | Bin 124 ->
 4892 bytes
 themes/Dark/ui/frame.png                           | Bin 168 ->
 5166 bytes
 themes/Dark/ui/gimp-button-default.png             | Bin 517 ->
 1149 bytes
 themes/Dark/ui/gimp-button-insensitive.png         | Bin 4068 ->
 1392 bytes
 themes/Dark/ui/gimp-button-normal.png              | Bin 4066 ->
 5419 bytes
 themes/Dark/ui/gimp-button-prelight.png            | Bin 4141 ->
 1308 bytes
 themes/Dark/ui/gimp-button-pressed.png             | Bin 4523 ->
 1216 bytes
 themes/Dark/ui/gimp-line-h.png                     | Bin 141 ->
 4888 bytes
 themes/Dark/ui/gimp-line-v.png                     | Bin 140 ->
 4887 bytes
 themes/Dark/ui/gimp-menu-line-h.png                | Bin 139 ->
 4908 bytes
 themes/Dark/ui/list_header-pressed.png             | Bin 159 ->
 5249 bytes
 themes/Dark/ui/list_header.png                     | Bin 170 ->
 5248 bytes
 themes/Dark/ui/menu-arrow.png                      | Bin 188 ->
 5173 bytes
 themes/Dark/ui/menuitem.png                        | Bin 167 -> 862 bytes
 themes/Dark/ui/minus.png                           | Bin 6041 ->
 5578 bytes
 themes/Dark/ui/option1.png                         | Bin 333 ->
 5017 bytes
 themes/Dark/ui/option2.png                         | Bin 8204 ->
 6701 bytes
 themes/Dark/ui/option3.png                         | Bin 7622 ->
 6087 bytes
 themes/Dark/ui/plus.png                            | Bin 6384 ->
 6023 bytes
 themes/Dark/ui/shadow-in-alt.png                   | Bin 161 ->
 2407 bytes
 themes/Dark/ui/slider-h.png                        | Bin 212 -> 897 bytes
 themes/Dark/ui/slider-v.png                        | Bin 181 -> 900 bytes
 themes/Dark/ui/spin-insensitive.png                | Bin 180 ->
 1405 bytes
 themes/Dark/ui/spin.png                            | Bin 201 ->
 1188 bytes
 64 files changed, 188 insertions(+), 88 deletions(-)

commit 7aecc90e10aa48bcbc73a5199c9591c16ff5b022
Author: Ville Pätsi <drc@gimp.org>
Date:   Thu Apr 5 18:18:47 2018 +0300

    Remove Lighter, Darker, and Gray themes

 configure.ac                                       |    3 -
 themes/Darker/.gitignore                           |    2 -
 themes/Darker/Makefile.am                          |  131 -
 themes/Darker/gtkrc                                | 2512
 -------------------
 themes/Darker/ui/arrow-down-insens.png             |  Bin 228 -> 0 bytes
 themes/Darker/ui/arrow-down-prelight.png           |  Bin 223 -> 0 bytes
 themes/Darker/ui/arrow-down-small-insens.png       |  Bin 224 -> 0 bytes
 themes/Darker/ui/arrow-down-small-prelight.png     |  Bin 212 -> 0 bytes
 themes/Darker/ui/arrow-down-small.png              |  Bin 212 -> 0 bytes
 themes/Darker/ui/arrow-down.png                    |  Bin 223 -> 0 bytes
 themes/Darker/ui/arrow-left-insens.png             |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-left-prelight.png           |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-left.png                    |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-right-insens.png            |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-right-prelight.png          |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-right.png                   |  Bin 226 -> 0 bytes
 themes/Darker/ui/arrow-up-insens.png               |  Bin 224 -> 0 bytes
 themes/Darker/ui/arrow-up-prelight.png             |  Bin 219 -> 0 bytes
 themes/Darker/ui/arrow-up-small-insens.png         |  Bin 202 -> 0 bytes
 themes/Darker/ui/arrow-up-small-prelight.png       |  Bin 198 -> 0 bytes
 themes/Darker/ui/arrow-up-small.png                |  Bin 198 -> 0 bytes
 themes/Darker/ui/arrow-up.png                      |  Bin 219 -> 0 bytes
 themes/Darker/ui/bar-h.png                         |  Bin 161 -> 0 bytes
 themes/Darker/ui/bar-v.png                         |  Bin 165 -> 0 bytes
 themes/Darker/ui/button-default.png                |  Bin 517 -> 0 bytes
 themes/Darker/ui/button-insensitive.png            |  Bin 334 -> 0 bytes
 themes/Darker/ui/button-normal.png                 |  Bin 375 -> 0 bytes
 themes/Darker/ui/button-prelight.png               |  Bin 369 -> 0 bytes
 themes/Darker/ui/button-pressed.png                |  Bin 377 -> 0 bytes
 themes/Darker/ui/check1.png                        |  Bin 247 -> 0 bytes
 themes/Darker/ui/check2.png                        |  Bin 7436 -> 0 bytes
 themes/Darker/ui/check3.png                        |  Bin 5978 -> 0 bytes
 themes/Darker/ui/combo-entry-border-active-bg.png  |  Bin 191 -> 0 bytes
 .../ui/combo-entry-border-active-notebook.png      |  Bin 185 -> 0 bytes
 .../ui/combo-entry-border-active-rtl-notebook.png  |  Bin 185 -> 0 bytes
 themes/Darker/ui/combo-entry-border-bg.png         |  Bin 191 -> 0 bytes
 .../Darker/ui/combo-entry-border-disabled-bg.png   |  Bin 191 -> 0 bytes
 .../ui/combo-entry-border-disabled-notebook.png    |  Bin 185 -> 0 bytes
 .../ui/combo-entry-border-disabled-rtl-bg.png      |  Bin 191 -> 0 bytes
 .../combo-entry-border-disabled-rtl-notebook.png   |  Bin 185 -> 0 bytes
 themes/Darker/ui/combo-entry-border-notebook.png   |  Bin 185 -> 0 bytes
 themes/Darker/ui/combo-entry-border-rtl-bg.png     |  Bin 191 -> 0 bytes
 .../Darker/ui/combo-entry-border-rtl-notebook.png  |  Bin 185 -> 0 bytes
 themes/Darker/ui/combo-entry-button-active-rtl.png |  Bin 175 -> 0 bytes
 themes/Darker/ui/combo-entry-button-active.png     |  Bin 175 -> 0 bytes
 .../Darker/ui/combo-entry-button-disabled-rtl.png  |  Bin 191 -> 0 bytes
 themes/Darker/ui/combo-entry-button-disabled.png   |  Bin 191 -> 0 bytes
 themes/Darker/ui/combo-entry-button-rtl.png        |  Bin 191 -> 0 bytes
 themes/Darker/ui/combo-entry-button.png            |  Bin 191 -> 0 bytes
 themes/Darker/ui/down-pre.png                      |  Bin 159 -> 0 bytes
 themes/Darker/ui/down.png                          |  Bin 160 -> 0 bytes
 themes/Darker/ui/entry-border-active-bg.png        |  Bin 197 -> 0 bytes
 themes/Darker/ui/entry-border-active-notebook.png  |  Bin 168 -> 0 bytes
 themes/Darker/ui/entry-border-disabled-bg.png      |  Bin 150 -> 0 bytes
 .../Darker/ui/entry-border-disabled-notebook.png   |  Bin 150 -> 0 bytes
 themes/Darker/ui/entry-border-fill-active.png      |  Bin 125 -> 0 bytes
 themes/Darker/ui/entry-border-fill.png             |  Bin 125 -> 0 bytes
 themes/Darker/ui/entry-border-notebook-null.png    |  Bin 4013 -> 0 bytes
 themes/Darker/ui/entry-border-notebook.png         |  Bin 172 -> 0 bytes
 themes/Darker/ui/ext-bottom.png                    |  Bin 148 -> 0 bytes
 themes/Darker/ui/ext-left.png                      |  Bin 149 -> 0 bytes
 themes/Darker/ui/ext-right.png                     |  Bin 148 -> 0 bytes
 themes/Darker/ui/ext-top.png                       |  Bin 148 -> 0 bytes
 themes/Darker/ui/extension-bottom.png              |  Bin 148 -> 0 bytes
 themes/Darker/ui/extension-left.png                |  Bin 149 -> 0 bytes
 themes/Darker/ui/extension-right.png               |  Bin 148 -> 0 bytes
 themes/Darker/ui/extension-top.png                 |  Bin 148 -> 0 bytes
 themes/Darker/ui/frame-gap-end.png                 |  Bin 124 -> 0 bytes
 themes/Darker/ui/frame-gap-start.png               |  Bin 124 -> 0 bytes
 themes/Darker/ui/frame.png                         |  Bin 168 -> 0 bytes
 themes/Darker/ui/gap_bottom.png                    |  Bin 142 -> 0 bytes
 themes/Darker/ui/gap_left.png                      |  Bin 144 -> 0 bytes
 themes/Darker/ui/gap_right.png                     |  Bin 141 -> 0 bytes
 themes/Darker/ui/gap_top.png                       |  Bin 143 -> 0 bytes
 themes/Darker/ui/gimp-arrow-down-insensitive.png   |  Bin 185 -> 0 bytes
 themes/Darker/ui/gimp-arrow-down-insenstive.png    |  Bin 185 -> 0 bytes
 themes/Darker/ui/gimp-arrow-down.png               |  Bin 170 -> 0 bytes
 themes/Darker/ui/gimp-arrow-left.png               |  Bin 166 -> 0 bytes
 themes/Darker/ui/gimp-arrow-right-dark.png         |  Bin 173 -> 0 bytes
 themes/Darker/ui/gimp-arrow-right.png              |  Bin 160 -> 0 bytes
 themes/Darker/ui/gimp-arrow-up.png                 |  Bin 171 -> 0 bytes
 themes/Darker/ui/gimp-button-default.png           |  Bin 517 -> 0 bytes
 themes/Darker/ui/gimp-button-insensitive.png       |  Bin 4068 -> 0 bytes
 themes/Darker/ui/gimp-button-normal.png            |  Bin 4066 -> 0 bytes
 themes/Darker/ui/gimp-button-prelight.png          |  Bin 4154 -> 0 bytes
 themes/Darker/ui/gimp-button-pressed.png           |  Bin 4523 -> 0 bytes
 themes/Darker/ui/gimp-handle-h.png                 |  Bin 4927 -> 0 bytes
 themes/Darker/ui/gimp-handle-v.png                 |  Bin 4911 -> 0 bytes
 themes/Darker/ui/gimp-line-h.png                   |  Bin 141 -> 0 bytes
 themes/Darker/ui/gimp-line-v.png                   |  Bin 140 -> 0 bytes
 themes/Darker/ui/gimp-menu-line-h.png              |  Bin 139 -> 0 bytes
 themes/Darker/ui/gimp-tooltip-bg.png               |  Bin 393 -> 0 bytes
 themes/Darker/ui/list_header-pressed.png           |  Bin 159 -> 0 bytes
 themes/Darker/ui/list_header.png                   |  Bin 170 -> 0 bytes
 themes/Darker/ui/menu-arrow-prelight.png           |  Bin 179 -> 0 bytes
 themes/Darker/ui/menu-arrow.png                    |  Bin 188 -> 0 bytes
 themes/Darker/ui/menu.png                          |  Bin 141 -> 0 bytes
 themes/Darker/ui/menubar.png                       |  Bin 141 -> 0 bytes
 themes/Darker/ui/menuitem-prelight.png             |  Bin 125 -> 0 bytes
 themes/Darker/ui/menuitem.png                      |  Bin 167 -> 0 bytes
 themes/Darker/ui/minus.png                         |  Bin 6041 -> 0 bytes
 themes/Darker/ui/notebook.png                      |  Bin 3675 -> 0 bytes
 themes/Darker/ui/null.png                          |  Bin 3398 -> 0 bytes
 themes/Darker/ui/option1.png                       |  Bin 333 -> 0 bytes
 themes/Darker/ui/option2.png                       |  Bin 8204 -> 0 bytes
 themes/Darker/ui/option3.png                       |  Bin 7622 -> 0 bytes
 themes/Darker/ui/plus.png                          |  Bin 6384 -> 0 bytes
 themes/Darker/ui/progressbar-trough.png            |  Bin 130 -> 0 bytes
 themes/Darker/ui/progressbar.png                   |  Bin 145 -> 0 bytes
 themes/Darker/ui/shadow-in-alt.png                 |  Bin 161 -> 0 bytes
 themes/Darker/ui/shadow-in.png                     |  Bin 159 -> 0 bytes
 themes/Darker/ui/shadow-null.png                   |  Bin 146 -> 0 bytes
 themes/Darker/ui/shadow-out.png                    |  Bin 182 -> 0 bytes
 themes/Darker/ui/slider-h.png                      |  Bin 212 -> 0 bytes
 themes/Darker/ui/slider-v.png                      |  Bin 181 -> 0 bytes
 themes/Darker/ui/spin-down-insensitive.png         |  Bin 151 -> 0 bytes
 themes/Darker/ui/spin-down-normal.png              |  Bin 148 -> 0 bytes
 themes/Darker/ui/spin-down-pressed.png             |  Bin 148 -> 0 bytes
 themes/Darker/ui/spin-insensitive.png              |  Bin 180 -> 0 bytes
 themes/Darker/ui/spin-up-insensitive.png           |  Bin 151 -> 0 bytes
 themes/Darker/ui/spin-up-normal.png                |  Bin 151 -> 0 bytes
 themes/Darker/ui/spin-up-pressed.png               |  Bin 151 -> 0 bytes
 themes/Darker/ui/spin.png                          |  Bin 201 -> 0 bytes
 themes/Darker/ui/toolbar.png                       |  Bin 326 -> 0 bytes
 themes/Darker/ui/transparent.png                   |  Bin 122 -> 0 bytes
 themes/Gray/.gitignore                             |    2 -
 themes/Gray/Makefile.am                            |  132 -
 themes/Gray/gtkrc                                  | 2523
 -------------------
 themes/Gray/ui/arrow-down-insens.png               |  Bin 232 -> 0 bytes
 themes/Gray/ui/arrow-down-prelight.png             |  Bin 221 -> 0 bytes
 themes/Gray/ui/arrow-down-small-insens.png         |  Bin 231 -> 0 bytes
 themes/Gray/ui/arrow-down-small-prelight.png       |  Bin 207 -> 0 bytes
 themes/Gray/ui/arrow-down-small.png                |  Bin 207 -> 0 bytes
 themes/Gray/ui/arrow-down.png                      |  Bin 221 -> 0 bytes
 themes/Gray/ui/arrow-left-insens.png               |  Bin 228 -> 0 bytes
 themes/Gray/ui/arrow-left-prelight.png             |  Bin 227 -> 0 bytes
 themes/Gray/ui/arrow-left.png                      |  Bin 227 -> 0 bytes
 themes/Gray/ui/arrow-right-insens.png              |  Bin 236 -> 0 bytes
 themes/Gray/ui/arrow-right-prelight.png            |  Bin 225 -> 0 bytes
 themes/Gray/ui/arrow-right.png                     |  Bin 225 -> 0 bytes
 themes/Gray/ui/arrow-up-insens.png                 |  Bin 231 -> 0 bytes
 themes/Gray/ui/arrow-up-prelight.png               |  Bin 221 -> 0 bytes
 themes/Gray/ui/arrow-up-small-insens.png           |  Bin 208 -> 0 bytes
 themes/Gray/ui/arrow-up-small-prelight.png         |  Bin 199 -> 0 bytes
 themes/Gray/ui/arrow-up-small.png                  |  Bin 199 -> 0 bytes
 themes/Gray/ui/arrow-up.png                        |  Bin 221 -> 0 bytes
 themes/Gray/ui/bar-h.png                           |  Bin 162 -> 0 bytes
 themes/Gray/ui/bar-v.png                           |  Bin 170 -> 0 bytes
 themes/Gray/ui/button-default.png                  |  Bin 515 -> 0 bytes
 themes/Gray/ui/button-insensitive.png              |  Bin 380 -> 0 bytes
 themes/Gray/ui/button-normal.png                   |  Bin 422 -> 0 bytes
 themes/Gray/ui/button-prelight.png                 |  Bin 414 -> 0 bytes
 themes/Gray/ui/button-pressed.png                  |  Bin 419 -> 0 bytes
 themes/Gray/ui/check1.png                          |  Bin 288 -> 0 bytes
 themes/Gray/ui/check2.png                          |  Bin 290 -> 0 bytes
 themes/Gray/ui/check3.png                          |  Bin 272 -> 0 bytes
 themes/Gray/ui/combo-entry-border-active-bg.png    |  Bin 153 -> 0 bytes
 .../Gray/ui/combo-entry-border-active-notebook.png |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-active-rtl-notebook.png  |  Bin 152 -> 0 bytes
 themes/Gray/ui/combo-entry-border-bg.png           |  Bin 153 -> 0 bytes
 themes/Gray/ui/combo-entry-border-disabled-bg.png  |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-disabled-notebook.png    |  Bin 153 -> 0 bytes
 .../Gray/ui/combo-entry-border-disabled-rtl-bg.png |  Bin 152 -> 0 bytes
 .../combo-entry-border-disabled-rtl-notebook.png   |  Bin 152 -> 0 bytes
 themes/Gray/ui/combo-entry-border-notebook.png     |  Bin 153 -> 0 bytes
 themes/Gray/ui/combo-entry-border-rtl-bg.png       |  Bin 152 -> 0 bytes
 themes/Gray/ui/combo-entry-border-rtl-notebook.png |  Bin 152 -> 0 bytes
 themes/Gray/ui/combo-entry-button-active-rtl.png   |  Bin 147 -> 0 bytes
 themes/Gray/ui/combo-entry-button-active.png       |  Bin 148 -> 0 bytes
 themes/Gray/ui/combo-entry-button-disabled-rtl.png |  Bin 153 -> 0 bytes
 themes/Gray/ui/combo-entry-button-disabled.png     |  Bin 152 -> 0 bytes
 themes/Gray/ui/combo-entry-button-rtl.png          |  Bin 153 -> 0 bytes
 themes/Gray/ui/combo-entry-button.png              |  Bin 152 -> 0 bytes
 themes/Gray/ui/entry-border-active-bg.png          |  Bin 154 -> 0 bytes
 themes/Gray/ui/entry-border-active-notebook.png    |  Bin 154 -> 0 bytes
 themes/Gray/ui/entry-border-disabled-bg.png        |  Bin 171 -> 0 bytes
 themes/Gray/ui/entry-border-disabled-notebook.png  |  Bin 171 -> 0 bytes
 themes/Gray/ui/entry-border-fill-active-item.png   |  Bin 125 -> 0 bytes
 themes/Gray/ui/entry-border-fill-active.png        |  Bin 141 -> 0 bytes
 themes/Gray/ui/entry-border-fill.png               |  Bin 141 -> 0 bytes
 themes/Gray/ui/entry-border-notebook-null.png      |  Bin 4013 -> 0 bytes
 themes/Gray/ui/entry-border-notebook.png           |  Bin 193 -> 0 bytes
 themes/Gray/ui/ext-bottom.png                      |  Bin 166 -> 0 bytes
 themes/Gray/ui/ext-left.png                        |  Bin 165 -> 0 bytes
 themes/Gray/ui/ext-right.png                       |  Bin 164 -> 0 bytes
 themes/Gray/ui/ext-top.png                         |  Bin 166 -> 0 bytes
 themes/Gray/ui/extension-bottom.png                |  Bin 166 -> 0 bytes
 themes/Gray/ui/extension-left.png                  |  Bin 165 -> 0 bytes
 themes/Gray/ui/extension-right.png                 |  Bin 164 -> 0 bytes
 themes/Gray/ui/extension-top.png                   |  Bin 166 -> 0 bytes
 themes/Gray/ui/frame-gap-end.png                   |  Bin 168 -> 0 bytes
 themes/Gray/ui/frame-gap-start.png                 |  Bin 168 -> 0 bytes
 themes/Gray/ui/frame.png                           |  Bin 212 -> 0 bytes
 themes/Gray/ui/gap_bottom.png                      |  Bin 186 -> 0 bytes
 themes/Gray/ui/gap_left.png                        |  Bin 189 -> 0 bytes
 themes/Gray/ui/gap_right.png                       |  Bin 186 -> 0 bytes
 themes/Gray/ui/gap_top.png                         |  Bin 187 -> 0 bytes
 themes/Gray/ui/gimp-arrow-down-insensitive.png     |  Bin 236 -> 0 bytes
 themes/Gray/ui/gimp-arrow-down-insenstive.png      |  Bin 236 -> 0 bytes
 themes/Gray/ui/gimp-arrow-down.png                 |  Bin 218 -> 0 bytes
 themes/Gray/ui/gimp-arrow-left.png                 |  Bin 220 -> 0 bytes
 themes/Gray/ui/gimp-arrow-right-dark.png           |  Bin 232 -> 0 bytes
 themes/Gray/ui/gimp-arrow-right-prelight.png       |  Bin 179 -> 0 bytes
 themes/Gray/ui/gimp-arrow-right.png                |  Bin 221 -> 0 bytes
 themes/Gray/ui/gimp-arrow-up.png                   |  Bin 216 -> 0 bytes
 themes/Gray/ui/gimp-button-default.png             |  Bin 515 -> 0 bytes
 themes/Gray/ui/gimp-button-insensitive.png         |  Bin 380 -> 0 bytes
 themes/Gray/ui/gimp-button-normal.png              |  Bin 422 -> 0 bytes
 themes/Gray/ui/gimp-button-prelight.png            |  Bin 4184 -> 0 bytes
 themes/Gray/ui/gimp-button-pressed.png             |  Bin 4030 -> 0 bytes
 themes/Gray/ui/gimp-handle-h.png                   |  Bin 4962 -> 0 bytes
 themes/Gray/ui/gimp-handle-v.png                   |  Bin 4969 -> 0 bytes
 themes/Gray/ui/gimp-line-h.png                     |  Bin 185 -> 0 bytes
 themes/Gray/ui/gimp-line-v.png                     |  Bin 184 -> 0 bytes
 themes/Gray/ui/gimp-menu-line-h.png                |  Bin 183 -> 0 bytes
 themes/Gray/ui/gimp-tooltip-bg.png                 |  Bin 438 -> 0 bytes
 themes/Gray/ui/list_header-pressed.png             |  Bin 203 -> 0 bytes
 themes/Gray/ui/list_header.png                     |  Bin 214 -> 0 bytes
 themes/Gray/ui/menu-arrow-prelight.png             |  Bin 179 -> 0 bytes
 themes/Gray/ui/menu-arrow.png                      |  Bin 180 -> 0 bytes
 themes/Gray/ui/menu-prelight.png                   |  Bin 154 -> 0 bytes
 themes/Gray/ui/menu.png                            |  Bin 140 -> 0 bytes
 themes/Gray/ui/menubar.png                         |  Bin 157 -> 0 bytes
 themes/Gray/ui/menuitem-prelight.png               |  Bin 146 -> 0 bytes
 themes/Gray/ui/menuitem.png                        |  Bin 146 -> 0 bytes
 themes/Gray/ui/minus.png                           |  Bin 264 -> 0 bytes
 themes/Gray/ui/notebook.png                        |  Bin 3722 -> 0 bytes
 themes/Gray/ui/null.png                            |  Bin 173 -> 0 bytes
 themes/Gray/ui/option1.png                         |  Bin 371 -> 0 bytes
 themes/Gray/ui/option2.png                         |  Bin 367 -> 0 bytes
 themes/Gray/ui/option3.png                         |  Bin 360 -> 0 bytes
 themes/Gray/ui/plus.png                            |  Bin 269 -> 0 bytes
 themes/Gray/ui/progressbar-trough.png              |  Bin 3493 -> 0 bytes
 themes/Gray/ui/progressbar.png                     |  Bin 4409 -> 0 bytes
 themes/Gray/ui/shadow-in-alt.png                   |  Bin 206 -> 0 bytes
 themes/Gray/ui/shadow-in.png                       |  Bin 219 -> 0 bytes
 themes/Gray/ui/shadow-null.png                     |  Bin 146 -> 0 bytes
 themes/Gray/ui/shadow-out.png                      |  Bin 228 -> 0 bytes
 themes/Gray/ui/slider-h.png                        |  Bin 168 -> 0 bytes
 themes/Gray/ui/slider-v.png                        |  Bin 149 -> 0 bytes
 themes/Gray/ui/spin-down-insensitive.png           |  Bin 213 -> 0 bytes
 themes/Gray/ui/spin-down-normal.png                |  Bin 200 -> 0 bytes
 themes/Gray/ui/spin-down-pressed.png               |  Bin 204 -> 0 bytes
 themes/Gray/ui/spin-insensitive.png                |  Bin 224 -> 0 bytes
 themes/Gray/ui/spin-up-insensitive.png             |  Bin 194 -> 0 bytes
 themes/Gray/ui/spin-up-normal.png                  |  Bin 202 -> 0 bytes
 themes/Gray/ui/spin-up-pressed.png                 |  Bin 194 -> 0 bytes
 themes/Gray/ui/spin.png                            |  Bin 244 -> 0 bytes
 themes/Gray/ui/toolbar.png                         |  Bin 130 -> 0 bytes
 themes/Gray/ui/transparent.png                     |  Bin 179 -> 0 bytes
 themes/Light/Makefile.am                           |    4 +-
 themes/Lighter/.gitignore                          |    2 -
 themes/Lighter/Makefile.am                         |  131 -
 themes/Lighter/gtkrc                               | 2529
 --------------------
 themes/Lighter/ui/arrow-down-insens.png            |  Bin 232 -> 0 bytes
 themes/Lighter/ui/arrow-down-prelight.png          |  Bin 221 -> 0 bytes
 themes/Lighter/ui/arrow-down-small-insens.png      |  Bin 231 -> 0 bytes
 themes/Lighter/ui/arrow-down-small-prelight.png    |  Bin 207 -> 0 bytes
 themes/Lighter/ui/arrow-down-small.png             |  Bin 207 -> 0 bytes
 themes/Lighter/ui/arrow-down.png                   |  Bin 221 -> 0 bytes
 themes/Lighter/ui/arrow-left-insens.png            |  Bin 228 -> 0 bytes
 themes/Lighter/ui/arrow-left-prelight.png          |  Bin 227 -> 0 bytes
 themes/Lighter/ui/arrow-left.png                   |  Bin 227 -> 0 bytes
 themes/Lighter/ui/arrow-right-insens.png           |  Bin 236 -> 0 bytes
 themes/Lighter/ui/arrow-right-prelight.png         |  Bin 225 -> 0 bytes
 themes/Lighter/ui/arrow-right.png                  |  Bin 225 -> 0 bytes
 themes/Lighter/ui/arrow-up-insens.png              |  Bin 231 -> 0 bytes
 themes/Lighter/ui/arrow-up-prelight.png            |  Bin 221 -> 0 bytes
 themes/Lighter/ui/arrow-up-small-insens.png        |  Bin 208 -> 0 bytes
 themes/Lighter/ui/arrow-up-small-prelight.png      |  Bin 199 -> 0 bytes
 themes/Lighter/ui/arrow-up-small.png               |  Bin 199 -> 0 bytes
 themes/Lighter/ui/arrow-up.png                     |  Bin 221 -> 0 bytes
 themes/Lighter/ui/bar-h.png                        |  Bin 175 -> 0 bytes
 themes/Lighter/ui/bar-v.png                        |  Bin 181 -> 0 bytes
 themes/Lighter/ui/button-default.png               |  Bin 515 -> 0 bytes
 themes/Lighter/ui/button-insensitive.png           |  Bin 380 -> 0 bytes
 themes/Lighter/ui/button-normal.png                |  Bin 422 -> 0 bytes
 themes/Lighter/ui/button-prelight.png              |  Bin 414 -> 0 bytes
 themes/Lighter/ui/button-pressed.png               |  Bin 419 -> 0 bytes
 themes/Lighter/ui/check1.png                       |  Bin 288 -> 0 bytes
 themes/Lighter/ui/check2.png                       |  Bin 290 -> 0 bytes
 themes/Lighter/ui/check3.png                       |  Bin 272 -> 0 bytes
 themes/Lighter/ui/combo-entry-border-active-bg.png |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-active-notebook.png      |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-active-rtl-notebook.png  |  Bin 152 -> 0 bytes
 themes/Lighter/ui/combo-entry-border-bg.png        |  Bin 3446 -> 0 bytes
 .../Lighter/ui/combo-entry-border-disabled-bg.png  |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-disabled-notebook.png    |  Bin 153 -> 0 bytes
 .../ui/combo-entry-border-disabled-rtl-bg.png      |  Bin 152 -> 0 bytes
 .../combo-entry-border-disabled-rtl-notebook.png   |  Bin 152 -> 0 bytes
 themes/Lighter/ui/combo-entry-border-notebook.png  |  Bin 153 -> 0 bytes
 themes/Lighter/ui/combo-entry-border-rtl-bg.png    |  Bin 152 -> 0 bytes
 .../Lighter/ui/combo-entry-border-rtl-notebook.png |  Bin 152 -> 0 bytes
 .../Lighter/ui/combo-entry-button-active-rtl.png   |  Bin 147 -> 0 bytes
 themes/Lighter/ui/combo-entry-button-active.png    |  Bin 148 -> 0 bytes
 .../Lighter/ui/combo-entry-button-disabled-rtl.png |  Bin 153 -> 0 bytes
 themes/Lighter/ui/combo-entry-button-disabled.png  |  Bin 152 -> 0 bytes
 themes/Lighter/ui/combo-entry-button-rtl.png       |  Bin 153 -> 0 bytes
 themes/Lighter/ui/combo-entry-button.png           |  Bin 3485 -> 0 bytes
 themes/Lighter/ui/entry-border-active-bg.png       |  Bin 154 -> 0 bytes
 themes/Lighter/ui/entry-border-active-notebook.png |  Bin 154 -> 0 bytes
 themes/Lighter/ui/entry-border-disabled-bg.png     |  Bin 171 -> 0 bytes
 .../Lighter/ui/entry-border-disabled-notebook.png  |  Bin 171 -> 0 bytes
 .../Lighter/ui/entry-border-fill-active-item.png   |  Bin 125 -> 0 bytes
 themes/Lighter/ui/entry-border-fill-active.png     |  Bin 141 -> 0 bytes
 themes/Lighter/ui/entry-border-fill.png            |  Bin 141 -> 0 bytes
 themes/Lighter/ui/entry-border-notebook-null.png   |  Bin 4013 -> 0 bytes
 themes/Lighter/ui/entry-border-notebook.png        |  Bin 193 -> 0 bytes
 themes/Lighter/ui/ext-bottom.png                   |  Bin 166 -> 0 bytes
 themes/Lighter/ui/ext-left.png                     |  Bin 166 -> 0 bytes
 themes/Lighter/ui/ext-right.png                    |  Bin 164 -> 0 bytes
 themes/Lighter/ui/ext-top.png                      |  Bin 166 -> 0 bytes
 themes/Lighter/ui/extension-bottom.png             |  Bin 166 -> 0 bytes
 themes/Lighter/ui/extension-left.png               |  Bin 166 -> 0 bytes
 themes/Lighter/ui/extension-right.png              |  Bin 164 -> 0 bytes
 themes/Lighter/ui/extension-top.png                |  Bin 166 -> 0 bytes
 themes/Lighter/ui/frame-gap-end.png                |  Bin 168 -> 0 bytes
 themes/Lighter/ui/frame-gap-start.png              |  Bin 168 -> 0 bytes
 themes/Lighter/ui/frame.png                        |  Bin 212 -> 0 bytes
 themes/Lighter/ui/gap_bottom.png                   |  Bin 186 -> 0 bytes
 themes/Lighter/ui/gap_left.png                     |  Bin 189 -> 0 bytes
 themes/Lighter/ui/gap_right.png                    |  Bin 186 -> 0 bytes
 themes/Lighter/ui/gap_top.png                      |  Bin 187 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-down-insensitive.png  |  Bin 236 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-down-insenstive.png   |  Bin 236 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-down.png              |  Bin 218 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-left.png              |  Bin 220 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-right-dark.png        |  Bin 232 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-right-prelight.png    |  Bin 179 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-right.png             |  Bin 221 -> 0 bytes
 themes/Lighter/ui/gimp-arrow-up.png                |  Bin 216 -> 0 bytes
 themes/Lighter/ui/gimp-button-default.png          |  Bin 5763 -> 0 bytes
 themes/Lighter/ui/gimp-button-insensitive.png      |  Bin 4124 -> 0 bytes
 themes/Lighter/ui/gimp-button-normal.png           |  Bin 4205 -> 0 bytes
 themes/Lighter/ui/gimp-button-prelight.png         |  Bin 4513 -> 0 bytes
 themes/Lighter/ui/gimp-button-pressed.png          |  Bin 4092 -> 0 bytes
 themes/Lighter/ui/gimp-handle-h.png                |  Bin 5112 -> 0 bytes
 themes/Lighter/ui/gimp-handle-v.png                |  Bin 5062 -> 0 bytes
 themes/Lighter/ui/gimp-line-h.png                  |  Bin 185 -> 0 bytes
 themes/Lighter/ui/gimp-line-v.png                  |  Bin 184 -> 0 bytes
 themes/Lighter/ui/gimp-menu-line-h.png             |  Bin 183 -> 0 bytes
 themes/Lighter/ui/gimp-tooltip-bg.png              |  Bin 438 -> 0 bytes
 themes/Lighter/ui/list_header-pressed.png          |  Bin 203 -> 0 bytes
 themes/Lighter/ui/list_header.png                  |  Bin 214 -> 0 bytes
 themes/Lighter/ui/menu-arrow-prelight.png          |  Bin 3548 -> 0 bytes
 themes/Lighter/ui/menu-arrow.png                   |  Bin 3626 -> 0 bytes
 themes/Lighter/ui/menu.png                         |  Bin 3399 -> 0 bytes
 themes/Lighter/ui/menubar.png                      |  Bin 3402 -> 0 bytes
 themes/Lighter/ui/menuitem.png                     |  Bin 3412 -> 0 bytes
 themes/Lighter/ui/minus.png                        |  Bin 264 -> 0 bytes
 themes/Lighter/ui/notebook.png                     |  Bin 3657 -> 0 bytes
 themes/Lighter/ui/null.png                         |  Bin 173 -> 0 bytes
 themes/Lighter/ui/option1.png                      |  Bin 371 -> 0 bytes
 themes/Lighter/ui/option2.png                      |  Bin 367 -> 0 bytes
 themes/Lighter/ui/option3.png                      |  Bin 360 -> 0 bytes
 themes/Lighter/ui/plus.png                         |  Bin 269 -> 0 bytes
 themes/Lighter/ui/progressbar-trough.png           |  Bin 164 -> 0 bytes
 themes/Lighter/ui/progressbar.png                  |  Bin 161 -> 0 bytes
 themes/Lighter/ui/shadow-in-alt.png                |  Bin 206 -> 0 bytes
 themes/Lighter/ui/shadow-in.png                    |  Bin 219 -> 0 bytes
 themes/Lighter/ui/shadow-null.png                  |  Bin 146 -> 0 bytes
 themes/Lighter/ui/shadow-out.png                   |  Bin 228 -> 0 bytes
 themes/Lighter/ui/slider-h.png                     |  Bin 203 -> 0 bytes
 themes/Lighter/ui/slider-v.png                     |  Bin 190 -> 0 bytes
 themes/Lighter/ui/spin-down-insensitive.png        |  Bin 213 -> 0 bytes
 themes/Lighter/ui/spin-down-normal.png             |  Bin 200 -> 0 bytes
 themes/Lighter/ui/spin-down-pressed.png            |  Bin 204 -> 0 bytes
 themes/Lighter/ui/spin-fill-bg.png                 |  Bin 3397 -> 0 bytes
 themes/Lighter/ui/spin-insensitive.png             |  Bin 224 -> 0 bytes
 themes/Lighter/ui/spin-up-insensitive.png          |  Bin 194 -> 0 bytes
 themes/Lighter/ui/spin-up-normal.png               |  Bin 202 -> 0 bytes
 themes/Lighter/ui/spin-up-pressed.png              |  Bin 194 -> 0 bytes
 themes/Lighter/ui/spin.png                         |  Bin 244 -> 0 bytes
 themes/Lighter/ui/toolbar.png                      |  Bin 326 -> 0 bytes
 themes/Lighter/ui/transparent.png                  |  Bin 179 -> 0 bytes
 themes/Makefile.am                                 |    2 +-
 376 files changed, 3 insertions(+), 7970 deletions(-)

commit 0009794d9d788099409d215f88ab511925fc2f4c
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 5 11:46:49 2018 +0200

    app: migrate tool-presets with
    s/GimpImageMapOptions/GimpFilterOptions/.

    As requested!

 app/core/gimp-user-install.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 082a6404c9613beeef4feafdb91ff43994c096dc
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 5 02:14:29 2018 -0400

    app: fix iterator area in canvas_buffer_to_paint_buf_alpha()

    The entire ROI was processed in all threads, instead of only the
    thread-specific area, causing artifacts.

 app/paint/gimppaintcore-loops.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b88170b9e08d7004112a1128a25ff403581ef7e2
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 5 01:37:26 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit ba06a0fe86088b37cef3eeb3db1ce5bb39f2257c
Author: Jehan <jehan@girinstud.io>
Date:   Thu Apr 5 00:12:00 2018 +0200

    Bug 794949 - Plugin crash when opening png, jpeg or tiff with...

    ... non-latin unicode path.
    g_win32_locale_filename_from_utf8() was sometimes returning NULL for
    some paths on Windows. Then the call to gexiv2_metadata_open_path()
    with
    a NULL value was crashing plug-ins.
    This commit only prevents from crashing by simply failing to load
    metadata when this occurs, which means losing metadata support on
    Windows depending on filenames. A proper solution will have to be
    implemented.

 libgimpbase/gimpmetadata.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit cb239e60f6ef91ba66373a285ab2f5cbeb700eb8
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 17:12:21 2018 -0400

    app: parallelize gimp-gegl-loops.cc

    Ditto.

 app/gegl/gimp-gegl-loops.cc | 827
 ++++++++++++++++++++++++--------------------
 1 file changed, 448 insertions(+), 379 deletions(-)

commit 828b99b5b33cc5a10f8e186cb477ef42563ce934
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 17:09:55 2018 -0400

    app: switch gimp-gegl-loops.c to C++

    Ditto.

 app/gegl/Makefile.am                               |  2 +-
 app/gegl/{gimp-gegl-loops.c => gimp-gegl-loops.cc} | 62
 ++++++++++++----------
 2 files changed, 35 insertions(+), 29 deletions(-)

commit 3df757ffd7311e621817aa7aa66e61efecf80de6
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 17:02:34 2018 -0400

    app: parallelize gimppaintcore-loops.cc

    Ditto.

 app/paint/gimppaintcore-loops.cc | 430
 +++++++++++++++++++++------------------
 1 file changed, 229 insertions(+), 201 deletions(-)

commit e8a14deecfd356be995d24a613293847c8de2fda
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 16:59:24 2018 -0400

    app: switch gimppaintcore-loops.c to C++

    Ditto.

 app/paint/Makefile.am                                       | 2 +-
 app/paint/{gimppaintcore-loops.c => gimppaintcore-loops.cc} | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c8d4c079a204dded5429f336e394e492a581226a
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 16:57:35 2018 -0400

    app: parallelize gimpbrush-transform.cc

    Use gimp_parallel_distribute_foo() to parallelize the brush
    transform functions.

 app/core/gimpbrush-transform.cc | 683
 +++++++++++++++++++++-------------------
 1 file changed, 365 insertions(+), 318 deletions(-)

commit 565f1f2aa45bc74581e707c25f5667aac69612c2
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 16:53:00 2018 -0400

    app: switch gimpbrush-transform.c to C++

    The next commit is going to parallelize gimpbrush-transform using
    the gimp_parallel_distribute_foo() functions.  To spare us a lot of
    boilerplate code, we're going to use C++ lambdas as callback
    arguments to these functions.

    This commit does the initial conversion of gimpbrush-transform.c to
    C++, renaming it to gimpbrush-transform.cc.  We do this in a
    separate commit, so that the changes are small enough for git to
    register this as a renamed file, rather than a new file, so that we
    don't lose the file's history.

 app/core/Makefile.am                               |  2 +-
 ...impbrush-transform.c => gimpbrush-transform.cc} | 61
 ++++++++++++----------
 2 files changed, 34 insertions(+), 29 deletions(-)

commit 86b89cf62a14b98056355d0c8ad2b27e29b3a56f
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 15:16:42 2018 -0400

    app: add gimp-parallel

    Add gimp-parallel.[cc,h], which provides a set of parallel
    algorithms.

    These currently include:

      - gimp_parallel_distribute():  Calls a callback function in
        parallel on multiple threads, passing it the current thread
        index, and the total number of threads.  Allows specifying the
        maximal number of threads used.

      - gimp_parallel_distribute_range():  Splits a range of integers
        between multiple threads, passing the sub-range to a callback
        function.  Allows specifying the minimal sub-range size.

      - gimp_parallel_distribute_area():  Splits a rectangular area
        between multiple threads, passing the sub-area to a callback
        function.  Allows specifying the minimal sub-area.

    The callback function is passed using an appropriately-typed
    function pointer, and a user-data pointer.  Additionally, when used
    in a C++ file, each of the above functions has an overloaded
    template version, taking the callback through a generic parameter,
    without a user-data pointer, which allows using function objects.

 app/Makefile.am           |   4 +-
 app/app.c                 |   2 +
 app/core/Makefile.am      |   2 +
 app/core/gimp-parallel.cc | 355
 ++++++++++++++++++++++++++++++++++++++++++++++
 app/core/gimp-parallel.h  | 112 +++++++++++++++
 app/gegl/gimp-gegl.c      |  11 ++
 app/gegl/gimp-gegl.h      |   1 +
 7 files changed, 486 insertions(+), 1 deletion(-)

commit 700cc33bec157d81efd865189a55f9e6b9dee379
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 14:25:06 2018 -0400

    configure.ac: require a C++11 compiler

    The following commits use C++11 lambdas.

 acinclude.m4                      |   1 +
 configure.ac                      |   1 +
 m4macros/Makefile.am              |   1 +
 m4macros/ax_cxx_compile_stdcxx.m4 | 980
 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 983 insertions(+)

commit 394c930fbe6c2004f4fb2c1f106a3fd686f38d22
Author: Ell <ell_se@yahoo.com>
Date:   Wed Apr 4 13:00:40 2018 -0400

    app: avoid potential division by 0 in dashboard CPU usage sampler

 app/widgets/gimpdashboard.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fa02a2c64f5fcaaceff34cea2bd02c5e558c63ca
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 18:04:34 2018 +0200

    libgimp: add an exception handler for Windows.

    Drmingw already added its own exception handler which generates crash
    traces in a text file, for plug-ins as well. This additional
    handler is
    run after Drmingw handler and allows us to do things on our own,
    and in
    particular we could display the content of the debug traces.

    Right now it simply prints these to stderr, which actually won't be of
    much use on Win32, first because the console is deactivated on stable
    releases, also because after tests, it doesn't look like even running
    GIMP from cmd outputs to console either.

    We currently don't use the same debug dialog as the core on purpose,
    because we don't want everyone to send us traces for every
    unmaintained
    third party plug-ins out there. But we should definitely allow easier
    trace possibilities at some point, first to improve/debug our own core
    plug-ins, and also to help third party plug-in developers!
    So this commit is not making visible changes yet but is actually
    a first
    step towards these debugging goals.

 libgimp/gimp.c | 80
 +++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 68 insertions(+), 12 deletions(-)

commit 76bce77d097c6ebec7f894cb81fc6cc138e0bec0
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 06:30:36 2018 +0200

    libgimp: various warning fixes for Win32.

 libgimp/gimp.c | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)

commit 9c8a8ae57645ec60f1e072b4f7cb51917d14379d
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 04:45:27 2018 +0200

    libgimp: do not end the fatal and signal handlers with gimp_quit().

    When ending with gimp_quit(), GIMP was not displaying the "Plug-in
    crashed" error dialog, which is not good, since we lose the crash
    feedback for plug-ins. Just let the plug-in continue its normal run in
    order to get the error dialog.
    Also protect the tracing functions, which are not working on Win32.

 libgimp/gimp.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit e98b937643b005b9698ee042dc2250a5247fac23
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 04:33:19 2018 +0200

    libgimp: add a gimp_fatal_func() allowing stack tracing plug-ins on...

    ... various crashes.

 libgimp/gimp.c | 71
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

commit 6bcb30e1eeb556a9256729f9b9f219cf6c400d8e
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 04:13:28 2018 +0200

    devel-docs: update debugging-tips.txt regarding --stack-trace-mode...

    ... for plug-in debugging as well.

 devel-docs/debugging-tips.txt | 3 +++
 1 file changed, 3 insertions(+)

commit c46211190fe4a4a74fec09dd3209fef89f2de5a8
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 04:03:42 2018 +0200

    libgimp: properly catch SIGABRT signal.

    SIGABRT was in the switch list in gimp_plugin_sigfatal_handler(),
    but it
    had not been properly handled with gimp_signal_private(), making this
    switch case useless. Fix this oversight, and while doing so, move
    it in
    the "fatal error" list for which we may generate stack traces,
    similarly
    to core signal handling. Indeed this signal can definitely happen
    during
    various kinds of common bugs and needs to be debugged.

 libgimp/gimp.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6936a655bdfb5c8ce4e9f683e2cbf04adf0a98e2
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 02:21:47 2018 +0200

    plug-ins: minor fix of an error string.

    Was reading this part of the code when I saw this: the error happens
    when loading not exporting a PNG.

 plug-ins/common/file-png.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 33822c51c26412631206457a59eeae2a03c79a32
Author: Jehan <jehan@girinstud.io>
Date:   Wed Apr 4 00:26:41 2018 +0200

    app: check if tool control is active before setting modifier state.

    Similar to commit 845eb522b6, I had a CRITICAL which happened on a
    device_changed, triggering gimp_display_shell_update_focus(),
    this time
    in focus in.

 app/tools/tool_manager.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7230d5d777c98fb4896f1de76c147deb4f3ae692
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 3 22:36:17 2018 +0200

    Bug 794356 - Rulers always shown for subsequent image views

    Remove the connect_after() hack from GimpImageWindow again and instead
    add gimp_display_shell_canvas_realize_after() and restore the
    configured
    ruler visibility there. Should work for all cases now.

 app/display/gimpdisplayshell-callbacks.c | 14 ++++++++++++++
 app/display/gimpdisplayshell-callbacks.h |  2 ++
 app/display/gimpdisplayshell.c           |  3 +++
 app/display/gimpimagewindow.c            | 14 +++-----------
 4 files changed, 22 insertions(+), 11 deletions(-)

commit 65a697ff67df9ce63b219af1a821fb9222279b7a
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 3 21:57:43 2018 +0200

    app: switch the first two args of gimp_channel_new_from_buffer()

 app/core/gimpchannel.c | 6 +++---
 app/core/gimpchannel.h | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit de0706f3f12165ec4548a49115945baef0c00a86
Author: Julien Hardelin <jhardlin@orange.fr>
Date:   Tue Apr 3 11:47:17 2018 +0200

    Updated French translation

 po/fr.po | 2847
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1683 insertions(+), 1164 deletions(-)

commit cdc20c9c79226ee22cdd3a7d1e1cf9c2ecac301e
Author: Julien Hardelin <jhardlin@orange.fr>
Date:   Tue Apr 3 10:57:46 2018 +0200

    Updated French translations

 po-libgimp/fr.po           |   95 ++--
 po-plug-ins/fr.po          |  297 ++++++-----
 po-script-fu/fr.po         | 1202
 +++++++++-----------------------------------
 po-windows-installer/fr.po |  114 +++--
 4 files changed, 519 insertions(+), 1189 deletions(-)

commit bbd79f9d62a5b4ce1066358b2077742113d09e18
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 21:26:01 2018 -0400

    app: fix Wilber's eyes

    Commit fd6d4931c8184825d642bfebe69d045ce36f89e7 accidentally
    introduced a bug that caused Wilber's eyes to misbehave.  This
    commit is an attempt to fix this issue.  Unfortunately, it seems
    like the bug can still be triggered through a certain sequence of
    actions...

 app/tools/tool_manager.c       | 65
 ++++++++++++++++++++++++++++++++++++++++++
 app/widgets/gimpcairo-wilber.c | 34 +++++++++++++++++++++-
 app/widgets/gimpcairo-wilber.h | 27 ++++++++++--------
 3 files changed, 113 insertions(+), 13 deletions(-)

commit b46b9d8921071b11fd0a2bf66a2003bdb9e42127
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Apr 3 01:45:27 2018 +0200

    Bug 772126 - Make GimpColorFrame handle very long numbers

    Add "ellipsize" property to GimpColorFrame and set it to
    PANGO_ELLIPSIZE_END in the the pointer information dockable.

    Better cut off long numbers than make them expand the dock.

 app/display/gimpcursorview.c |  2 ++
 app/widgets/gimpcolorframe.c | 41
 +++++++++++++++++++++++++++++++++++++++--
 app/widgets/gimpcolorframe.h |  5 +++++
 3 files changed, 46 insertions(+), 2 deletions(-)

commit 5e2600db1eee6a7ed1d1341ab9341c63bc2dcc42
Author: Jehan <jehan@girinstud.io>
Date:   Tue Apr 3 00:49:56 2018 +0200

    NEWS: keep up-to-date.

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit cad72b1432a536e366c9a010d0d77c596ed9c910
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 2 23:23:54 2018 +0200

    app: remove unused variable in gimp_tile_handler_validate_command()

 app/gegl/gimptilehandlervalidate.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4acdc7392af74d09a281f334d06841e32c006547
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 11:49:01 2018 -0400

    app: use gegl_tile_handler_damage_rect() in TileHandlerValidate

    Use the recently-added gegl_tile_handler_damage_rect() function
    during GimpTileHandlerValidate invalidation, instead of manually
    voiding the tile pyramid.  This function avoids voiding mipmapped
    tiles entirely when only a subarea of the tile needs to be redrawn.

    See GEGL commit 3210f4ffc3c569a2acd9483811cb141070112bc6.

 app/gegl/gimptilehandlervalidate.c | 28 +---------------------------
 app/gegl/gimptilehandlervalidate.h |  1 -
 2 files changed, 1 insertion(+), 28 deletions(-)

commit da3c96f541d1ab9fb62b527625b30c13d2f34181
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 11:43:15 2018 -0400

    app: add "misc" group to the dashboard

    ... which currently has a single "mipmapped" field, which shows the
    total size of processed mipmapped data.

 app/widgets/gimpdashboard.c | 38 ++++++++++++++++++++++++++++++++++++--
 1 file changed, 36 insertions(+), 2 deletions(-)

commit 4c041b2e8acb2f9edfa3e206d62e54831f15e3dc
Author: Ell <ell_se@yahoo.com>
Date:   Mon Apr 2 16:24:09 2018 -0400

    app: allow hiding groups in the dashboard

    Add a "groups" submenu to the dashboard popup menu, which can be
    used to control which groups are shown in the dashboard.

 app/actions/dashboard-actions.c |   2 +
 app/menus/menus.c               |   4 +-
 app/widgets/gimpdashboard.c     | 192
 ++++++++++++++++++++++++++++++++++++----
 app/widgets/gimpdashboard.h     |   3 +
 app/widgets/gimphelp-ids.h      |   1 +
 menus/dashboard-menu.xml        |   7 +-
 6 files changed, 188 insertions(+), 21 deletions(-)

commit ea48b9f31ca3460611530b6a8297386d9acdaf92
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 2 22:21:41 2018 +0200

    Bug 794356 - Rulers always shown for subsequent image views

    gimp_image_window_constructed(): connect_after to the notebook's
    "switch-page" signal so gimp_display_shell_appearance_update() is
    called after gimp_display_shell_canvas_realize(). Just another hack
    to fix the hack...

 app/display/gimpimagewindow.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 8a24de6557869585f9609080758ce612e4d09348
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 2 18:51:41 2018 +0200

    app: fix dashboard help id.

    It was using the errors dialog help id. Probably just copy-paste
    error.

 app/dialogs/dialogs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d779c138914167d6cf66f76900a3dad8d7d772b7
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 2 18:49:23 2018 +0200

    app: do not edit symmetry variables but properties.

    If variables are edited directly, in some cases, the GUI and the
    symmetries may end up out-of-sync. The variable can only be edited
    through property setting.

 app/core/gimpsymmetry-mirror.c | 48
 ++++++++++++++++++++++++++----------------
 1 file changed, 30 insertions(+), 18 deletions(-)

commit 3c1516ea5023b77fcfbed430b1308f56737d4a26
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 2 17:34:22 2018 +0200

    app: mirror positions 0.0 are accepted.

    This value is actually used as a special value when removing a
    guide to
    get rid of a symmetry, in particular it is set in the guides' callback
    gimp_mirror_guide_removed_cb() for "removed" signal.
    If not setting to 0, when adding back a symmetry, it starts with weird
    low or high values near to border (whereas when set to 0, it is
    reset to
    default position afterwards).

 app/core/gimpsymmetry-mirror.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6501faf90d42aa080307790b561b6c36435eccf4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Apr 2 14:34:53 2018 +0000

    Update Swedish translation

 po-plug-ins/sv.po | 84
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 43 insertions(+), 41 deletions(-)

commit f242bf4d926e40e2e46b59dcb043b609a971216e
Author: Jeremy Bicha <jbicha@debian.org>
Date:   Sun Apr 1 18:58:30 2018 -0400

    appdata: Install appstream metadata to non-deprecated directory

    https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html#spec-component-location

    https://bugzilla.gnome.org/show_bug.cgi?id=794884

 desktop/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15041e8ff7698e977acd0149a81cd5db25dbbc6b
Author: Jehan <jehan@girinstud.io>
Date:   Mon Apr 2 00:16:50 2018 +0200

    NEWS: starting the news for 2.10.0.

    Note that it might be a 2.10.0 RC2 instead. It will depend on
    whether we
    decide to make a second release candidate (better process and
    safer) or
    release earlier and go forward.

 NEWS | 41 +++++++++++++++++++++++++++++++++++++++--
 1 file changed, 39 insertions(+), 2 deletions(-)

commit 617d0c455061d36e41f40b0e99e6307a60590660
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 1 23:44:22 2018 +0200

    etc: add 4K Ultra HD template and fix DCI 4K.

    The dimension currently set in DCI 4K were rather ones of common 5K.

 etc/templaterc | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit c9df2a6879615bee0d0f1f3ae75ebe09a98f397f
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 1 18:16:54 2018 +0200

    app: do not raise a warning when failing to deserialize symmetry...

    ... parasite.
    Not sure if that should be considered a bug. On one hand, it should
    because that's core code. On the other hand, symmetry saving currently
    uses parasites, which is a feature which can also be used by people
    randomly. So "theoretically", there could be any data in a parasite
    and
    we should not assume specific format.
    Anyway still keep the error message but just print to standard error
    output instead. Also print a bit more details (parasite name and
    contents) as it would help for debugging when such a case were
    to occur.

 app/core/gimpsymmetry.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e0029d31b476da4e93760e4eac0a006d51f02a96
Author: Jehan <jehan@girinstud.io>
Date:   Sun Apr 1 17:51:07 2018 +0200

    Bug 792520 - Image symmetries should be saved: version the properties.

    Care for future changes of symmetries, by adding a version
    property. For
    now, all symmetries are at version 0, and no real check is done. If
    any
    symmetry bumps its settings in the future, it will have to override
    also
    update_version() to change settings properly if necessary,
    according to
    any new behavior.

 app/core/gimpsymmetry.c | 64
 +++++++++++++++++++++++++++++++++++++++++++++++++
 app/core/gimpsymmetry.h |  3 +++
 2 files changed, 67 insertions(+)

commit 65717041edc22ba8bec33d8b1c98ee65d69f57cf
Author: Jehan <jehan@girinstud.io>
Date:   Wed Jan 27 19:18:53 2016 +0100

    app: save image symmetries in the XCF file.

    Symmetries are saved in a parasite, which is backward compatible.

 app/xcf/xcf-load.c | 37 +++++++++++++++++++++++++++++++++++++
 app/xcf/xcf-save.c | 31 +++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

commit 9090a98498e5399a06c395880505d3b157cfda1f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 14:55:11 2018 +0200

    app: fix new g_object_ref() warnings in gimp_filter_tool_edit_as()

    g_object_ref() now returns the same type that was passed in. Cast the
    argument to GObject* to match the variable the return value is
    assigned to.

 app/tools/gimpfiltertool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe932fe7ad5acd3a05be2bb6e934583881c26e7a
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 14:41:20 2018 +0200

    Bug 794826 - Do not default to last used filter settings

    Add GimpGuiConfig::filter-tool-use-last-settings wchich defaults
    to FALSE.

    Honor the new option in gimp_gegl_procedure_execute_async() and add
    it to prefs -> dialog defaults.

 app/actions/gimpgeglprocedure.c  |  6 +++++-
 app/config/gimpguiconfig.c       | 14 ++++++++++++++
 app/config/gimpguiconfig.h       |  1 +
 app/config/gimprc-blurbs.h       |  3 +++
 app/dialogs/preferences-dialog.c |  4 ++++
 5 files changed, 27 insertions(+), 1 deletion(-)

commit 14a054e980882bbe7c8fef2d6b422fb4d54e791f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 14:15:13 2018 +0200

    app: add a "Filter Dialogs" section to prefs -> dialog defaults

 app/dialogs/preferences-dialog.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 62ec4831db080aeb6c4e285c83a9f036156b4824
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 14:01:14 2018 +0200

    app: ...and a mnemonic.

 app/dialogs/preferences-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44ce8b4dd8ad08f0b73f6ad15b49a8a42829dca8
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 13:58:42 2018 +0200

    app: a colon was missing after "Debug Policy" in preferences

    and it's "Debug policy" (capitalization).

 app/dialogs/preferences-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f586aac43af440ff909ec164405d579fd182fae5
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Apr 1 13:54:47 2018 +0200

    app: use g_clear_foo() in gimp_gegl_procedure_finalize()

 app/actions/gimpgeglprocedure.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit e55c94eff0a9b2715b052b61fdc95bb071882c8c
Author: shark0r <b91502038@ntu.edu.tw>
Date:   Fri Mar 30 01:53:12 2018 +0800

    Bug 794854 - Brush color is not added to color history in smudge tool

    Add the color in gimp_smudge_paint(INIT) like GimpPaintbrush does.

    Achieve this by calling gimp_palettes_add_color_history() directly,
    not by inheriting GimpPaintbrush because GimpPaintbrush and GimpSmudge
    seem to share few common features.

 app/paint/gimpsmudge.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 019af3dacb92e18179d60951cad890b4c87ab7c8
Author: Edward E <develinthedetail@gmail.com>
Date:   Sat Mar 31 12:03:51 2018 -0500

    file-open-location: don't close dialog if no file was opened

 app/dialogs/file-open-location-dialog.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit a4b366f49440e8755cfb7ff63efe5c2a1c955a8f
Author: Edward E <develinthedetail@gmail.com>
Date:   Sat Mar 31 12:00:05 2018 -0500

    file-open-location: disable widgets only while opening a file

 app/dialogs/file-open-location-dialog.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 33b7d8e3349bf68a97eddfce3ef9f6140097e1d0
Author: Edward E <develinthedetail@gmail.com>
Date:   Sat Mar 31 11:48:18 2018 -0500

    file-open-location: create only one progress bar

 app/dialogs/file-open-location-dialog.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit fd6d4931c8184825d642bfebe69d045ce36f89e7
Author: Ell <ell_se@yahoo.com>
Date:   Sun Apr 1 01:18:35 2018 +0000

    It's alive!

 app/widgets/gimpcairo-wilber.c | 352
 +++++++++++++++++++++++++++++++++++++++--
 1 file changed, 336 insertions(+), 16 deletions(-)

commit a3071d26207608263fd07f65a176f0dad10f0342
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Mar 31 18:39:53 2018 +0200

    configure.ac: require babl >= 0.1.45 and GEGL => 0.3.31

    and set gimp_version to "2.10.0-RC1-git" so we can distinguish it
    from the RC1 tarball.

 app/sanity.c | 4 ++--
 configure.ac | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 04a798d786617257ffa2b75ad24a14afd7b5c087
Author: Jehan <jehan@girinstud.io>
Date:   Sat Mar 31 16:36:55 2018 +0200

    app: do not copy needlessly paint_mask GimpTempBuf.

    We are not doing any write operation on this mask data so copying all
    the data just to read it and unreffing it in the end is only a cost on
    performance.
    See also bug 694917.

 app/paint/gimppaintcore-loops.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 49285463e6c0cc03c361902df4e3006fa135dde3
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 31 08:13:36 2018 -0400

    app: align projection update area to coarse grid

    When adding a rectangle to a projection's update area, align the
    rectangle to a coarse grid, to reduce the complexity of the overall
    area.  We currently align the rectangle to a 32x32 grid, which
    seems to be a good tradeoff between the overhead of processing a
    complex area, and the overhead of processing a large area.

 app/core/gimpprojection.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 7be2d1457ce2e5fbb313569af4e62c7bee252a5f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Mar 31 11:28:12 2018 +0200

    app: use gimp_config_writer_string() to output the mypaint-brush-path

    so it is properly escaped.

 app/config/gimpconfig-dump.c | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 2aa4426d4f30f576bb04c90ef573fdc4a88ee046
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Thu Mar 29 16:50:15 2018 +0200

    app: improvements in code executed a lot while painting.

    This keeps the same rectangle packing behaviour, so to behave
    exactly as
    before for what concerns batching the updates, but should be lighter
    when looping to find the first good rectangle to use.

    In rtree_insert(), some conditions in the if tests are implied by
    previous conditions. And therefore the 2 successive for loops are
    actually identical.

    In rtree_node_insert(), it is wrong/harmful to insert zero sized
    rectangles in the tree because they can never be selected and
    just make
    the list longer. So rtree_node_create() should just return NULL when w
    or h are 0.

    See bug 694917, comments 51 to 61.

 app/display/gimpdisplayxfer.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 31086ae2118d169206be5ba3e0fec42ad489ad31
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 30 22:00:14 2018 +0200

    Update Polish translation

 po/pl.po | 120
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 63 insertions(+), 57 deletions(-)

commit 347acb16d335536fd5cb482d403696842bd62c72
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Mar 30 15:53:19 2018 +0200

    desktop: add gimp-data-extras.metainfo.xml to .gitignore

    and some cosmetic cleanup in Makefile.am

 desktop/.gitignore  | 1 +
 desktop/Makefile.am | 9 +++++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 29d7cee1008b1b52e03a1c53fd801b9d9c3dbe22
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Mar 30 14:41:13 2018 +0200

    configure.ac: add new option --enable-bundled-mypaint-brushes

    because a simple platform dependency in gimpcoreconfig.c doesn't do
    the trick (there can be both manual builds and bundled builds on
    windows and macos). Use an AC_DEFINE() instead.

    Also, make sure the system gimprc and its manpage are generated with
    the correct values.

 app/config/gimpcoreconfig.c |  2 +-
 configure.ac                | 72
 +++++++++++++++++++++++++++------------------
 2 files changed, 45 insertions(+), 29 deletions(-)

commit 452b1bd5584b619ae6c575fd2a19dd767222f96d
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Mar 30 12:45:27 2018 +0200

    Stop leaking properties of the distcheck machine into the tarball

    Some gimprc properties' default values depend on the machine where
    "make dist" in run. We had an ugly hack in place to force
    (num-processors 1) in the installed system gimprc and its manpage, but
    were still leaking "tile-cache-size" and "mypaint-brush-path".

    The files are generated by the hidden options --dump-gimprc-system
    and --dump-gimprc-manpage which exist only for this purpose.

    In gimpconfig-dump.c, special case the three properties in
    dump_gimprc_system() and dump_gimprc_manpage() to output constant
    default values for "num-processors" and "tile-cache-size" and
    output @mypaint_brushes_dir@ in "mypaint-brush-path" which can
    be replaced at configure time.

    Also introduce etc/gimprc.in so @mypaint_brushes_dir@ can actually be
    substituted for the installed system gimprc.

 app/Makefile.am              | 16 +++++-------
 app/config/gimpconfig-dump.c | 61
 ++++++++++++++++++++++++++++++++++++++++++--
 configure.ac                 |  1 +
 docs/gimprc.5.in             |  2 +-
 etc/.gitignore               |  1 +
 etc/Makefile.am              |  9 ++++---
 etc/{gimprc => gimprc.in}    |  4 +--
 7 files changed, 76 insertions(+), 18 deletions(-)

commit 4698529dbe9bf6ffdf44da21ce65fcec5dee6c41
Author: Jehan <jehan@girinstud.io>
Date:   Thu Mar 29 22:22:51 2018 +0200

    app: make MyPaint brushes path relative on Win32 and macOS.

    Otherwise the brushes won't be found when bundling on macOS or
    with the
    Windows installer. Build-time path from configuration is still used on
    other platforms.

 app/config/gimpcoreconfig.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 8811e31419229c21f803dbdc0153ae22102b389d
Author: Jehan <jehan@girinstud.io>
Date:   Thu Mar 29 17:47:48 2018 +0200

    app: cleaning out some if-0 variables.

 app/config/gimpcoreconfig.c | 4 ----
 1 file changed, 4 deletions(-)

commit 479bcaafdd61c02d329c5a9b09b5bd9896ed79b2
Author: Jehan <jehan@girinstud.io>
Date:   Thu Mar 29 17:22:15 2018 +0200

    configure, docs: set correct "mypaint-brush-path" value in man page.

    This was hard-coded to what I guess was a personal prefix (commit
    368c7c0511), which is obviously wrong. This has to be constructed at
    compilation and the man must mirror whatever is the actual
    installation
    path of mypaint-brushes package.

 configure.ac     | 4 ++++
 docs/gimprc.5.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 5d83c7697ef6477f619f86e5e5b2ec75d53a7a7a
Author: Jehan <jehan@girinstud.io>
Date:   Wed Mar 28 19:54:30 2018 +0200

    devel-docs: minor typo.

 devel-docs/contexts.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c1ea0345ef2d7c47824204990597c46eb2e1b16
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Mar 29 12:25:27 2018 +0200

    configure.ac: fix check for freetype2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbb9fdb3335e56df171299a0144b7aad00b43d31
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu Mar 29 11:58:12 2018 +0200

    Update Catalan translation

 po/ca.po | 852
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 512 insertions(+), 340 deletions(-)

commit 53c145c0be4ad7ad52c3be40537b3032175f0856
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 29 05:20:20 2018 -0400

    app: add --show-debug-menu command-line option

    The debug menu is currently not included in stable versions.

    Include the menu unconditionally, but hide it, and its associated
    actions, by default in stable versions.  Allow enabling the menu
    using a new --show-debug-menu command-line option, in the same vein
    as --show-playground.

 app/actions/debug-actions.c  | 16 ++++++++++------
 app/actions/debug-commands.c |  5 -----
 app/actions/debug-commands.h | 10 ----------
 app/app.c                    |  2 ++
 app/app.h                    |  1 +
 app/core/gimp.c              |  2 ++
 app/core/gimp.h              |  2 ++
 app/main.c                   |  8 ++++++++
 app/tests.c                  |  4 ++--
 menus/image-menu.xml.in      |  2 +-
 menus/menus.xsl              |  6 ------
 11 files changed, 28 insertions(+), 30 deletions(-)

commit c3efb1b0deca09ca3bb2337dd9d138a1b7d7964f
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 29 05:16:52 2018 -0400

    app: don't show invisible actions in search dialog

 app/dialogs/action-search-dialog.c | 5 +++--
 app/widgets/gimpaction-history.c   | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 3265797f3e057f8411cefc015954969fbe5e2fdf
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 29 03:03:51 2018 -0400

    Bug 794753 - do not dither image mask and channels for imported images

    By the same logic of commit
    44f293bcdb241f49b22a8df00d7f90f350f24005, we shouldn't dither the
    alpha channel either.

 app/core/gimpimage-convert-precision.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 9cabee5451bed56631db060d2eed19f664989766
Author: Ell <ell_se@yahoo.com>
Date:   Thu Mar 29 03:01:23 2018 -0400

    app: call gimp_progress_end() at gimp_image_convert_dither_u8() exit

 app/core/gimpimage-convert-precision.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 527ad94a7e2f27113b9c33c1fffe77947c93e993
Author: Jehan <jehan@girinstud.io>
Date:   Wed Mar 28 19:43:17 2018 +0200

    Bug 794772 - detect freetype2 using pkg-config.

    I hesitated keeping both the pkg-config and freetype-config (which is
    mostly a wrapper to pkg-config nowadays apparently) as fallback, but
    anyway I can see in their repositories that they have a pkg-config
    file
    since 2003. Really I don't think it makes sense to hold onto such old
    and deprecated dependency configuration systems.

 configure.ac | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 44f293bcdb241f49b22a8df00d7f90f350f24005
Author: Thomas Manni <thomas.manni@free.fr>
Date:   Wed Mar 28 09:02:12 2018 +0200

    Bug 794753 - do not dither image mask and channels for imported images

    When "Dither images when promoting to floating point" is checked in
    Preferences, apply dithering on layers and keep image mask and
    channels
    unaltered.

 app/core/gimpimage-convert-precision.c | 3 ---
 1 file changed, 3 deletions(-)

commit c5ebf29065a84ec778f65485512d853d882483e7
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Mar 28 14:45:11 2018 +0200

    Bug 794747 - Multiple GIMP-WARNINGs about duplicate accelerators
    on startup

    Turn the g_warning() into a g_printerr().

    Duplicate accelerators should not trigger a WARNING, because they come
    from a config file and there is nothing that can be fixed in the code
    to prevent that.

 app/gui/gui.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 60e01f5593ebf2ba9bef52ec1322fad4b6531a6c
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Mar 28 01:17:39 2018 +0200

    app: fix error reporting in gimp_tool_preset_deserialize_property()

    when setting a custom parse error with g_scanner_error() we *must*
    return G_TOKEN_NONE as expected token, or general GimpConfig error
    handling will try to overwrite our error with its generic "unexpected
    token" message, which triggers a warning.

 app/core/gimptoolpreset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69d5201d59e8bdac21003c7a6da06b535997a629
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Mar 28 00:44:33 2018 +0200

    app: fix formatting in previous commit

 app/display/gimpdisplayshell-render.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit a7b0d55fc5f7d6569ed98154e0311c96225d1e22
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:35:08 2018 +0200

    app: only create GeglBuffer wrapper for cairo-data when used

    As suggested by massimo in bug #694917, move unconditional
    creation/destruction
    of a wrapper GeglBuffer object from top-level scope of the function
    to the
    single conditional scope where it is used.

 app/display/gimpdisplayshell-render.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 0fe50c76f80b5f9d7eed46ead865ce734e1fa0db
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Mar 27 15:47:08 2018 +0200

    Update Arabic translation

 po/ar.po | 29317
 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 17040 insertions(+), 12277 deletions(-)

commit 5614cd444dc03226fc44b5fa0139c8e1eb71cbc3
Author: Ell <ell_se@yahoo.com>
Date:   Tue Mar 27 09:36:28 2018 -0400

    app: in gimp_image_convert_precision(), report progress for selection
    mask

 app/core/gimpimage-convert-precision.c | 2 ++
 1 file changed, 2 insertions(+)

commit cf658f64b5e91e1c3c741e0188b2505e6c970447
Author: Ell <ell_se@yahoo.com>
Date:   Tue Mar 27 09:34:42 2018 -0400

    Bug 794721 - CRITICAL converting image precision

    In gimp_image_convert_precision(), don't overwrite the 'progress'
    parameter with the object queue, since we need to call
    gimp_progress_end() on it at the end of the process.

 app/core/gimpimage-convert-precision.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 7f96c9e7c62d602fbccddfa98dbf6b9afe5e3cc4
Author: Marco Ciampa <ciampix@libero.it>
Date:   Tue Mar 27 12:25:33 2018 +0200

    Updated Italian translation

 po-libgimp/it.po           | 109 ++++---
 po-plug-ins/it.po          | 268 +++++++++--------
 po-tips/it.po              | 403 ++++++++++++-------------
 po-windows-installer/it.po |  26 +-
 po/it.po                   | 729
 ++++++++++++++++++++++++++-------------------
 5 files changed, 831 insertions(+), 704 deletions(-)

commit 956ca8e3a39cc93d8fae439a8e5eb073059db011
Author: Ell <ell_se@yahoo.com>
Date:   Mon Mar 26 19:14:02 2018 -0400

    app: small fix to gimp_operation_buffer_source_validate_process()

    Fix tile-grid realignemnt after intersecting the ROI with the dirty
    region.

 app/operations/gimpoperationbuffersourcevalidate.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit e5e14b3898460e6aaa4a7b79ffa7352aae5d14a4
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Mar 27 01:07:28 2018 +0200

    configure.ac: bump version to 2.10.0-RC1

 configure.ac | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 368c7c051153157749af617f4101d24e9a15b2c8
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Mar 27 01:07:28 2018 +0200

    docs, etc: default gimprc and its manpage regenerated by distcheck

 docs/gimprc.5.in | 46 ++++++++++++++++++++++++++++++++++++----------
 etc/gimprc       | 42 ++++++++++++++++++++++++++++++++----------
 2 files changed, 68 insertions(+), 20 deletions(-)

commit caa3a98f04334152dbc378bb85bea3bab021c69f
Author: Ell <ell_se@yahoo.com>
Date:   Mon Mar 26 18:51:24 2018 -0400

    Bug 790810 - Nested layer groups lead to a deadlock with
    multithreading

    In gimp_operation_buffer_source_validate_process(), align the ROI
    to the tile grid *before* intersecting it with the validate-
    handler's dirty region.  This is necessary since, even though
    subsequent operations will only read data within the ROI, the
    entire tiles containing the ROI will be fetched, resulting in an
    area potentially greater than the ROI.  We need to validate this
    area in advance, or else it will be validated as part of the
    subsequent operations, which can lead into the same deadlock we're
    trying to prevent.

 app/operations/gimpoperationbuffersourcevalidate.c | 122
 +++++++++------------
 1 file changed, 53 insertions(+), 69 deletions(-)

commit e4d2de7ddea2ec2457d9f7fc99e169958f164d51
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 26 23:55:30 2018 +0200

    Update Polish translation

    String freeze, eh?

 po-plug-ins/pl.po | 70
 +++++++++++++++++++++++++++++++++----------------------
 1 file changed, 42 insertions(+), 28 deletions(-)

commit 8c0d30004f1bc0ea88d1d66e3ff11282ca0d7cd8
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Mar 26 23:42:46 2018 +0200

    NEWS: some small fixes

 NEWS | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 7409c98893b5b387ae11bb56e06e2d7a3d24bcaf
Author: Jehan <jehan@girinstud.io>
Date:   Mon Mar 26 23:32:38 2018 +0200

    devel-docs: add OS support specific information.

    I create this file so that we can refer to it to know whether we
    can use
    a OS-specific API, or if we want to know if we can safely bump a
    dependency, etc.

 devel-docs/os-support.txt | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit ce3899e722c8079f18508a892f91114ba1ca8417
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Mon Mar 26 22:55:49 2018 +0200

    libgimpwidgets: gimppickbutton-quartz: do not release color_space

    The color_space reference should not be released because it was
    obtained
    with a Get-function, which means we do not have ownership.

 libgimpwidgets/gimppickbutton-quartz.c | 1 -
 1 file changed, 1 deletion(-)

commit 0e9e167da8626766aeafcf9172b038caacd6a1ba
Author: Kristian Rietveld <kris@loopnest.org>
Date:   Mon Mar 26 22:49:27 2018 +0200

    libgimpwidgets: make pick button quartz work on macOS < 10.12

    The symbol CGColorSpaceCopyICCData() is only available on macOS 10.12
    and higher. We want GIMP to run from 10.9 onwards, so use the older
    symbol CGColorSpaceCopyICCProfile() even though this one is
    deprecated.

 libgimpwidgets/gimppickbutton-quartz.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2d40eb99409cd6d239c9316b4f320cc22727fbd
Author: Ell <ell_se@yahoo.com>
Date:   Mon Mar 26 15:35:31 2018 -0400

    data: don't install gimp-splash.xcf

    We only need it in git.

 data/images/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit a6fd24a953655e3e65f797bfde56da5177a4c768
Author: Zhouyang <jiazhouyang09@gmail.com>
Date:   Mon Mar 26 21:25:10 2018 +0200

    Bug 793951 - Fix crashes when some external APIs fail

    Check the return values of some functions and set errors or print
    a message to stderr if they fail.

 app/display/gimpdisplayshell-layer-select.c | 11 +++++++----
 plug-ins/common/file-png.c                  | 14 ++++++++++++++
 plug-ins/common/file-xpm.c                  |  3 +++
 3 files changed, 24 insertions(+), 4 deletions(-)

commit fae9c283546808adc4719f51eefa11663b61dcd8
Author: Jehan <jehan@girinstud.io>
Date:   Mon Mar 26 21:16:04 2018 +0200

    app: splash max size now half of width and height.

    Apparently former 2/3 value was too big according to some.
    This makes the splash take now at most a quarter of the screen area. I
    really don't think that's too much anymore.

 app/gui/splash.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b6fbf3773072b5ae28ea86e76b4bf41570fb8c42
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Mar 26 18:04:34 2018 +0000

    Update Swedish translation

 po-plug-ins/sv.po | 200
 +++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 131 insertions(+), 69 deletions(-)

commit 7c4f7c53eac395bf3fb76af543b9c8f5325d6d86
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Mar 26 18:54:43 2018 +0200

    Bug 794679 - warning on scrolling in the gradient dock

    Validate all enum fields in gimp_gradient_load(), and reject
    gradients with out-of-range values.

 app/core/gimpgradient-load.c | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 806d1b0510bf56f5bd67c37e1f5d8c33d52888f6
Author: Ell <ell_se@yahoo.com>
Date:   Mon Mar 26 04:26:52 2018 -0400

    app: fix resizing of image-sized layers when resizing canvas

    In gimp_image_resize_with_layers(), calculate the set of resized
    layers before changing the image size, so that we correctly
    identify image-sized layers w.r.t. the old image size.  (Fixes
    commit 139a23451ddc588c91610f67daa799afc2f89080.)

 app/core/gimpimage-resize.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 20fc93fde04d3a3bac39d57f1a04fc6f3037b583
Author: Jehan <jehan@girinstud.io>
Date:   Mon Mar 26 01:41:32 2018 +0200

    devel-docs: update the release procedure regarding appdata contents.

 devel-docs/release-howto.txt | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 2cf6d88ac174aa63e45bd9b18aa105594fddcd8c
Author: Jehan <jehan@girinstud.io>
Date:   Mon Mar 26 01:31:26 2018 +0200

    desktop: 2.10.0-rc1 will actually be released on the 26th.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f3ee499c1e6ca27032a47f5b1ad2b8b6dd968eb
Author: Jehan <jehan@girinstud.io>
Date:   Mon Mar 26 01:22:36 2018 +0200

    app: run errors_init() after gimp_load_config().

    Since error handling is based on preferences, the config needs to be
    loaded first. Otherwise the gimp->config object does not exist yet and
    we get a bunch of "'G_IS_OBJECT (object)' failed" assertion which
    recurse in error handling when trying to get the "debug-policy"
    property.
    Just init the error handling later. It means it won't handle early
    loading code, but that is not much of an issue.

 app/app.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 3261e03d22df173b82e2b70c138dfd5a727cb8e0
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Mar 25 23:28:06 2018 +0300

    Update Russian translation

 po/ru.po | 101
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 53 insertions(+), 48 deletions(-)

commit f561231e1f59494907103b30bf3d14373c0986ae
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Thu Jan 18 10:24:51 2018 +0100

    app: various speedups to gimp_brush_core_color_area_with_pixmap()

    In gimp_brush_core_color_area_with_pixmap(), use the native area
    format when painting the brush, instead of always going through
    "RGBA float", and create the pixmap -> area fish only once, instead
    of once per scanrow.

    In gimp_brush_core_paint_line_pixmap_mask(), avoid modulus
    calculation at each pixel.

    See bug #694917.

 app/paint/gimpbrushcore.c | 119
 ++++++++++++++++++++++++++++------------------
 1 file changed, 72 insertions(+), 47 deletions(-)

commit 67041d6b82d3ad143621778a82aad0a178e5998a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 25 20:45:38 2018 +0200

    Update Polish translation

 po/pl.po | 419
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 217 insertions(+), 202 deletions(-)

commit 05a1dadf662f84bdf99b3cb91742df26850cc07f
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Mar 25 21:38:04 2018 +0300

    Add new splash screen with undecipherable easter egg, both PNG and XCF

 data/images/Makefile.am     |   1 +
 data/images/gimp-splash.png | Bin 588365 -> 129666 bytes
 data/images/gimp-splash.xcf | Bin 0 -> 13439283 bytes
 3 files changed, 1 insertion(+)

commit e931d354ab4f9a7b207685cac04dd68ed87d553c
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 13:29:44 2018 -0400

    build: update Windows installer splash for 2.10 RC

 build/windows/installer/installsplash.bmp       | Bin 2064982 ->
 2064982 bytes
 build/windows/installer/installsplash_small.bmp | Bin 537174 ->
 537174 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 923ffb7e530a079241ec36bd72e5d5c93cee6190
Author: Jehan <jehan@girinstud.io>
Date:   Sun Mar 25 18:19:24 2018 +0200

    devel-docs: adding new splash requirements.

    Current splash is not right within these requirements. But that's all
    right for this RC.
    These requirements are meant to be followed from next release.

 devel-docs/release-howto.txt | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5763b50d452a52ffb7e9fc2ec30dcde7ba9b5957
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 11:20:14 2018 -0400

    app: round layer bounds to global pixel grid when scaling image/group

    Add gimp_item_scale_by_factors_with_origin(), which is an extension
    of gimp_item_scale_by_factors(), taking the input/output points of
    origin for the transformation (both of which are (0, 0) in the case
    of gimp_item_scale_by_factors()).  Implement
    gimp_item_scale_by_factors() in terms of the new function, and Use
    the new function when scaling group layers, instead of manually
    calculating the children boundaries, so that the behavior is
    uniform across whole-image scaling and group-layer scaling.

    The new function rounds all four edges of the boundary to the
    image-global pixel grid, instead of only rounding the top/left
    edges to the global grid, and the bottom/right edges to the item-
    local grid.  This preserves layer-adjacency when scaling.

 app/core/gimpgrouplayer.c | 46 +++++++++--------------
 app/core/gimpitem.c       | 93
 +++++++++++++++++++++++++++++++++++++----------
 app/core/gimpitem.h       | 10 +++++
 3 files changed, 100 insertions(+), 49 deletions(-)

commit 139a23451ddc588c91610f67daa799afc2f89080
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 10:18:46 2018 -0400

    app: use GimpObjectQueue in lots of places

    Use GimpObjectQueue, added in the previous commit, in various
    instances where we perform an action on a set of objects.  This
    improves progress reporting, by using a single progress for the
    entire operation, rather than reporting the progress of each object
    individually, and by taking the relative cost of each object into
    account, instead of assuming a uniform cost for all objects.

    In particular, this affects the various whole-image operations
    (i.e., transformations and color conversions), operations on linked
    items, and operations on layer groups.  This also affects layers
    with masks, whose progress is now reported together instead of
    individually.

    Additionally, this commit fixes erroneous group-layer mask cropping
    during undo when resizing the image, by properly calling
    {start,end}_move() on all the resized layers before starting the
    operation, and when scaling the image, by only scaling top-level
    layers, and letting group layers scale their children themselves.

 app/core/gimpgrouplayer.c              |  30 +++++++
 app/core/gimpimage-color-profile.c     |  41 +++------
 app/core/gimpimage-convert-indexed.c   |  82 ++++++++---------
 app/core/gimpimage-convert-precision.c | 157
 +++++++++++++++------------------
 app/core/gimpimage-convert-type.c      |  37 +++-----
 app/core/gimpimage-flip.c              |  66 ++++----------
 app/core/gimpimage-item-list.c         |  27 ++++--
 app/core/gimpimage-resize.c            | 110 ++++++++++-------------
 app/core/gimpimage-rotate.c            | 123 ++++++++++----------------
 app/core/gimpimage-scale.c             | 103 +++++----------------
 app/core/gimplayer.c                   | 123 ++++++++++++++++++++++----
 11 files changed, 432 insertions(+), 467 deletions(-)

commit 3ee5054eb7591e559bb79a038a744ad5d69b7553
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 10:04:35 2018 -0400

    app: add GimpObjectQueue

    GimpObjectQueue implements a queue of GimpObjects.  It derives from
    GimpSubProgress, and hence can be used as a GimpProgress object.
    It keeps track of the total memsize of the objects that were
    pushed-to and popped-from the queue, and uses these numbers to set
    the corresponding subrange of the progress object when an object is
    popped.

    This provides an easy way to perform an operation on a set of
    objects, correctly reporting progress based on the relative sizes
    of the objects, which is assumed to be a good estimate of the
    relative cost of processing each object.

 app/core/Makefile.am       |   2 +
 app/core/core-types.h      |   1 +
 app/core/gimpobjectqueue.c | 198
 +++++++++++++++++++++++++++++++++++++++++++++
 app/core/gimpobjectqueue.h |  66 +++++++++++++++
 4 files changed, 267 insertions(+)

commit 0f532787c9289eb3508c6790293764f31d0f26d4
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 09:56:50 2018 -0400

    app: add "progress" property to GimpSubProgress

    Make the parent GimpProgress object of a GimpSubProgress instance
    settable through a property during construction, so that we can use
    it as a base class.

 app/core/gimpsubprogress.c | 74
 ++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 69 insertions(+), 5 deletions(-)

commit 76a88cc60ad76982fadb91f30c2fbdcaa6ac32fc
Author: Ell <ell_se@yahoo.com>
Date:   Sun Mar 25 09:54:13 2018 -0400

    app: fix layer-group mask cropping during move operation undo

    In gimp_group_layer_{start,end}_move(), push corresponding undo
    steps, which perform the opposite operation during undo, and make
    sure that mask-cropping is frozen during group-layer move
    operations.

    This fixed erroneous group-layer mask cropping when undoing/redoing
    a group-layer move operation multiple times.

 app/core/core-enums.c          |  4 +++
 app/core/core-enums.h          |  2 ++
 app/core/gimpgrouplayer.c      | 68
 +++++++++++++++++++++++++++++++++---------
 app/core/gimpgrouplayer.h      |  5 ++++
 app/core/gimpgrouplayerundo.c  | 21 +++++++++++++
 app/core/gimpimage-undo-push.c | 32 ++++++++++++++++++++
 app/core/gimpimage-undo-push.h |  8 +++++
 7 files changed, 126 insertions(+), 14 deletions(-)

commit 6a825f18bbf48af9075487c03e87539baa3a5f55
Author: Jehan <jehan@girinstud.io>
Date:   Sun Mar 25 14:44:42 2018 +0200

    desktop, po: also update the appdata description.

    GIMP 2.10 is 2.10.0 and "2.10 RC1" is "2.10.0-RC1".
    I also update directly the Polish msgid and msgstr (only language
    having
    a translation on time, though it's our fault!) to avoid the
    translation
    getting fuzzy uselessly.
    I let the "rc" as lowercase in version property of <release> tag,
    assuming the more official/parsable name should be lowercase. Not sure
    if it makes sense.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 4 ++--
 po/pl.po                                | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit f8de23877f3b0e43ad032eb51406e771556ccdcc
Author: Jehan <jehan@girinstud.io>
Date:   Sun Mar 25 14:31:57 2018 +0200

    desktop: so the accurate naming of the release is "2.10.0-rc1".

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0343a5969b769003947a88b5281504a9365fd11
Author: Jehan <jehan@girinstud.io>
Date:   Sun Mar 25 14:23:28 2018 +0200

    desktop: update the release date.

    Seems it will be today after all!

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b623a99c858aedbc2d0bdbd66647b29be87716f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Mar 25 14:08:50 2018 +0200

    Bug 794469 - Shift-click to create layer/channel/path...

    ...should really use last values

    When creating a layer or channel "from last values", really use the
    values last set be the user in the respective dialogs. In particular,
    don't use properties of the active layer or channel. I have no idea
    what we were thinking when adding that obscure logic.

 app/actions/channels-commands.c | 36 ++++++---------------------
 app/actions/layers-commands.c   | 55
 +++++++++++++----------------------------
 2 files changed, 25 insertions(+), 66 deletions(-)

commit 8f07d76786cbc898fa18d75d688de564ac99e149
Author: Ell <ell_se@yahoo.com>
Date:   Sat Mar 24 12:43:30 2018 -0400

    app: fix paste-in-place when pasting over a layer group/locked item

    When pasting in place over a layer group or a content-locked item,
    change the paste type to NEW_LAYER_IN_PLACE, rather than NEW_LAYER,
    so that the new layer is still pasted in the right location.

    Additionally, avoid showing the "Pasted as new layer because ..."
    message when pasting over a layer group or a content-locked item,
    when the paste type is NEW_LAYER[_IN_PLACE] to begin with.

 app/actions/edit-commands.c | 10 +++++-----
 app/core/gimp-edit.c        | 44
 ++++++++++++++++++++++++++++++--------------
 2 files changed, 35 insertions(+), 19 deletions(-)

commit 888baac9c8bd8b09b2b26c52934c5cac21e1d871
Author: Jehan <jehan@girinstud.io>
Date:   Sat Mar 24 04:50:25 2018 +0100

    Revert "app: tweak sessionrc-expected-2-6 for make check to succeed."

    This reverts commit 554347e0ff487800185e6c2a7e3368c28ea757aa.
    For some weird reason, this fixed the `make check` but broke the `make
    distcheck`. I am lost. Better revert, and now distcheck works great.

 app/tests/gimpdir/sessionrc-expected-2-6 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 554347e0ff487800185e6c2a7e3368c28ea757aa
Author: Jehan <jehan@girinstud.io>
Date:   Sat Mar 24 03:47:21 2018 +0100

    app: tweak sessionrc-expected-2-6 for make check to succeed.

    I'm not sure how useful is this test if we have to just constantly
    tweak
    the sessionrc for it to pass. But well… here it is.
    Now make check fully passes.

 app/tests/gimpdir/sessionrc-expected-2-6 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9adeee9d25324f59b273216f5fa413d04f2a0bf1
Author: Jehan <jehan@girinstud.io>
Date:   Sat Mar 24 02:59:02 2018 +0100

    app, po: revert commit a0724783d8 and add a TRANSLATORS comment.

    Not using %d in the singular form of English does not prevent other
    languages to use %d in any form they wish to. This will still work and
    will still be replaced by the relevant number of images.
    So I revert commit a0724783d8 because it is just prettier (in English)
    to write "An image" rather than "1 image", but this does not mean you
    have to do the same in other languages! Adding a comment so that
    translators know about it.

    Also directly modify the msgid in the Polish and Russian translations
    which already translated this string, so that the translations
    does not
    end up unnecessarily fuzzy.

 app/gui/gui.c | 8 +++++++-
 po/pl.po      | 2 +-
 po/ru.po      | 2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 08c4f84430baa68c8296ffa202ddf7d56f877eb7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 24 01:43:52 2018 +0100

    Update Polish translation

 po/pl.po | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit c49e34cf7e6c41795d0087c8a4bd4076c84ebe5e
Author: Jehan <jehan@girinstud.io>
Date:   Sat Mar 24 01:25:08 2018 +0100

    app: shorten to "Debug Policy" the long label in Preferences.

    The text was too long and increasing the minimum width of Preferences
    dialog.

 app/dialogs/preferences-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8266c2246e10219c5907f83af537324d660267b0
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sat Mar 24 01:43:13 2018 +0300

    Update Russian translation

 po-libgimp/ru.po |    8 +-
 po/ru.po         | 1074
 ++++++++++++++++++++++++++++++------------------------
 2 files changed, 599 insertions(+), 483 deletions(-)

commit 501b0822b85ccce6212abb8481f0537a40ef3769
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 21:24:52 2018 +0100

    Update Polish translation

 po/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a0724783d80b107e4af91ac87392499f055e6c6d
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Mar 23 22:57:45 2018 +0300

    Plural forms work better this way for languages other than English

 app/gui/gui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9add6b92f302e8ec853bd8bf3afed52282255f3c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 20:54:12 2018 +0100

    Update Polish translation

 po/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6dafb02a1100c3f15dc2c79877a13c1560b48644
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Mar 23 20:35:01 2018 +0100

    app: fix capitalization of the image recovery dialog title

 app/gui/gui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb58eab6076a00120779a32c2998b489bee29394
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 20:16:34 2018 +0100

    Update Polish translation

 po/pl.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f3b377028367c8a1125bc52e5b3a20af2b21dca9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 20:13:47 2018 +0100

    Update Polish translation

 po-plug-ins/pl.po |  88 +++++++++++++++++++--------
 po/pl.po          | 179
 +++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 192 insertions(+), 75 deletions(-)

commit f49e4b426391daaa528e5c4a18c5911a566aec39
Author: Ell <ell_se@yahoo.com>
Date:   Fri Mar 23 14:39:31 2018 -0400

    Bug 794634 - CRITICAL when adding layers with Dissolve mode

    Fix a CRITICAL when calling gimp_layer_mode_get_format() with an
    AUTO composite space and a NULL preferred format, which is valid:
    it means the layer mode is composite-space agnostic (as DISSOLVE
    is), and that there's no preferred format.

    A NULL preferred format can occur during
    gimp_operation_layer_mode_prepare() if the layer's mode node is not
    yet attached anything through its "input" or "aux" pads, which is
    the case during the call to gimp_layer_update_mode_node() while
    constructing the layer's node in gimp_layer_get_node().

 app/operations/layer-modes/gimp-layer-modes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9c3b4c54dc9e2fc1300babf8f72651b137a4182
Author: Jehan <jehan@girinstud.io>
Date:   Fri Mar 23 19:48:12 2018 +0100

    desktop: add a <release> tag for GIMP 2.10 RC1.

 desktop/org.gimp.GIMP.appdata.xml.in.in | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit a0c55a6b9636a1be1cbb17c28d2d3cada9ab7aa6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 19:05:42 2018 +0100

